2009-08-21  brettp

	* engine/lib/group.php: Fixes #1180: Group join event triggered
	  after joining group. This trigger's return was never being tested
	  so no overriding could be done. If we decide to test the trigger
	  to stop group joining, groups_write_acl_plugin_hook() will need
	  to be changed...

2009-08-21  dave

	* views/default/friends/river/create.php: new friending river view
	  applied

2009-08-20  brettp

	* version.php: Version bump to 1.6.
	* _css/css.php, _css/js.php, account/forgotten_password.php,
	  account/register.php, actions/admin/plugins/disable.php,
	  actions/admin/plugins/disableall.php,
	  actions/admin/plugins/enable.php,
	  actions/admin/plugins/enableall.php,
	  actions/admin/plugins/reorder.php,
	  actions/admin/site/update_basic.php, actions/admin/user/ban.php,
	  actions/admin/user/delete.php, actions/admin/user/makeadmin.php,
	  actions/admin/user/removeadmin.php,
	  actions/admin/user/resetpassword.php,
	  actions/admin/user/unban.php, actions/comments/add.php,
	  actions/comments/delete.php, actions/email/save.php,
	  actions/entities/delete.php, actions/friends/add.php,
	  actions/friends/addcollection.php,
	  actions/friends/deletecollection.php,
	  actions/friends/editcollection.php, actions/friends/remove.php,
	  actions/import/opendd.php, actions/login.php, actions/logout.php,
	  actions/notifications/settings/usersettings/save.php,
	  actions/plugins/settings/save.php,
	  actions/plugins/usersettings/save.php, actions/register.php,
	  actions/systemsettings/install.php,
	  actions/user/default_access.php, actions/user/language.php,
	  actions/user/name.php, actions/user/password.php,
	  actions/user/passwordreset.php,
	  actions/user/requestnewpassword.php, actions/useradd.php,
	  actions/usersettings/save.php, actions/widgets/add.php,
	  actions/widgets/reorder.php, actions/widgets/save.php,
	  admin/index.php, admin/plugins.php, admin/site.php,
	  admin/statistics.php, admin/user.php, dashboard/index.php,
	  dashboard/latest.php, engine/handlers/action_handler.php,
	  engine/handlers/cron_handler.php,
	  engine/handlers/pagehandler.php,
	  engine/handlers/xml-rpc_handler.php, engine/lib/access.php,
	  engine/lib/actions.php, engine/lib/activity.php,
	  engine/lib/admin.php, engine/lib/annotations.php,
	  engine/lib/api.php, engine/lib/cache.php,
	  engine/lib/calendar.php, engine/lib/configuration.php,
	  engine/lib/cron.php, engine/lib/database.php,
	  engine/lib/elgglib.php, engine/lib/entities.php,
	  engine/lib/exceptions.php, engine/lib/export.php,
	  engine/lib/extender.php, engine/lib/filestore.php,
	  engine/lib/group.php, engine/lib/input.php,
	  engine/lib/install.php, engine/lib/languages.php,
	  engine/lib/location.php, engine/lib/mb_wrapper.php,
	  engine/lib/memcache.php, engine/lib/metadata.php,
	  engine/lib/metastrings.php, engine/lib/notification.php,
	  engine/lib/objects.php, engine/lib/opendd.php,
	  engine/lib/pagehandler.php, engine/lib/pageowner.php,
	  engine/lib/pam.php, engine/lib/ping.php, engine/lib/plugins.php,
	  engine/lib/query.php, engine/lib/relationships.php,
	  engine/lib/river2.php, engine/lib/search.php,
	  engine/lib/sessions.php, engine/lib/sites.php,
	  engine/lib/social.php, engine/lib/statistics.php,
	  engine/lib/system_log.php, engine/lib/tags.php,
	  engine/lib/testing.php, engine/lib/users.php,
	  engine/lib/usersettings.php, engine/lib/version.php,
	  engine/lib/widgets.php, engine/lib/xml-rpc.php,
	  engine/lib/xml.php, engine/schema/mysql.sql, engine/start.php,
	  entities/index.php, entities/list.php, friends/add.php,
	  friends/collections.php, friends/edit.php, friends/index.php,
	  friends/of.php, friends/pickercallback.php, index.php,
	  install.php, mod/crontrigger/start.php,
	  mod/diagnostics/actions/download.php, mod/diagnostics/index.php,
	  mod/diagnostics/languages/en.php, mod/diagnostics/start.php,
	  mod/diagnostics/testreport.php, mod/diagnostics/unittester.php,
	  mod/diagnostics/views/default/diagnostics/forms/download.php,
	  mod/diagnostics/views/default/diagnostics/runalltests.php,
	  mod/diagnostics/views/default/diagnostics/test.php,
	  mod/diagnostics/views/default/diagnostics/testresult.php,
	  mod/garbagecollector/languages/en.php,
	  mod/garbagecollector/start.php, mod/htmlawed/start.php,
	  mod/logbrowser/index.php, mod/logbrowser/languages/en.php,
	  mod/logbrowser/start.php,
	  mod/logbrowser/views/default/logbrowser/css.php,
	  mod/logbrowser/views/default/object/logwrapper.php,
	  mod/logrotate/languages/en.php, mod/logrotate/start.php,
	  mod/uservalidationbyemail/actions/email/confirm.php,
	  mod/uservalidationbyemail/languages/en.php,
	  mod/uservalidationbyemail/start.php, search/groups.php,
	  search/index.php, search/users.php, services/api/rest.php,
	  services/export/handler.php, settings/index.php,
	  settings/plugins.php, settings/statistics.php, settings/user.php,
	  simplecache/view.php, upgrade.php, version.php,
	  views/default/account/forms/forgotten_password.php,
	  views/default/account/forms/login.php,
	  views/default/account/forms/register.php,
	  views/default/account/forms/useradd.php,
	  views/default/admin/main.php,
	  views/default/admin/main_opt/plugins.php,
	  views/default/admin/main_opt/site.php,
	  views/default/admin/main_opt/statistics.php,
	  views/default/admin/main_opt/user.php,
	  views/default/admin/plugins.php,
	  views/default/admin/plugins_opt/plugin.php,
	  views/default/admin/site.php, views/default/admin/statistics.php,
	  views/default/admin/statistics_opt/basic.php,
	  views/default/admin/statistics_opt/numentities.php,
	  views/default/admin/statistics_opt/online.php,
	  views/default/admin/user.php,
	  views/default/admin/user_opt/adduser.php,
	  views/default/admin/user_opt/search.php,
	  views/default/ajax/loader.php,
	  views/default/annotation/generic_comment.php,
	  views/default/api/output.php,
	  views/default/basic_elements/welcome.php,
	  views/default/canvas/default.php,
	  views/default/canvas/layouts/edit_layout.php,
	  views/default/canvas/layouts/one_column.php,
	  views/default/canvas/layouts/sidebar_boxes.php,
	  views/default/canvas/layouts/two_column_left_sidebar.php,
	  views/default/canvas/layouts/two_column_right_sidebar.php,
	  views/default/canvas/layouts/widgets.php,
	  views/default/comments/forms/edit.php, views/default/css.php,
	  views/default/export/entity.php,
	  views/default/export/metadata.php,
	  views/default/export/relationship.php,
	  views/default/friends/collection.php,
	  views/default/friends/collections.php,
	  views/default/friends/forms/collectionfields.php,
	  views/default/friends/forms/edit.php,
	  views/default/friends/list.php, views/default/friends/picker.php,
	  views/default/friends/tablelist.php,
	  views/default/friends/tablelistcountupdate.php,
	  views/default/graphics/icon.php, views/default/group/default.php,
	  views/default/input/access.php, views/default/input/button.php,
	  views/default/input/calendar.php,
	  views/default/input/captcha.php,
	  views/default/input/checkboxes.php,
	  views/default/input/email.php, views/default/input/file.php,
	  views/default/input/form.php, views/default/input/hidden.php,
	  views/default/input/longtext.php,
	  views/default/input/password.php,
	  views/default/input/plaintext.php,
	  views/default/input/pulldown.php, views/default/input/radio.php,
	  views/default/input/reset.php,
	  views/default/input/securitytoken.php,
	  views/default/input/submit.php, views/default/input/tags.php,
	  views/default/input/text.php, views/default/input/url.php,
	  views/default/input/urlshortener.php,
	  views/default/messages/errors/error.php,
	  views/default/messages/errors/list.php,
	  views/default/messages/exceptions/exception.php,
	  views/default/messages/list.php,
	  views/default/messages/messages/list.php,
	  views/default/messages/messages/message.php,
	  views/default/navigation/pagination.php,
	  views/default/navigation/topbar_tools.php,
	  views/default/navigation/viewtype.php,
	  views/default/notifications/settings/usersettings.php,
	  views/default/object/default.php,
	  views/default/object/object.php, views/default/object/plugin.php,
	  views/default/object/widget.php,
	  views/default/output/calendar.php,
	  views/default/output/checkboxes.php,
	  views/default/output/confirmlink.php,
	  views/default/output/date.php, views/default/output/email.php,
	  views/default/output/iframe.php,
	  views/default/output/longtext.php,
	  views/default/output/pulldown.php,
	  views/default/output/radio.php,
	  views/default/output/tagcloud.php, views/default/output/tags.php,
	  views/default/output/text.php, views/default/output/url.php,
	  views/default/page_elements/elgg_topbar.php,
	  views/default/page_elements/footer.php,
	  views/default/page_elements/header.php,
	  views/default/page_elements/header_contents.php,
	  views/default/page_elements/owner_block.php,
	  views/default/page_elements/spotlight.php,
	  views/default/page_elements/title.php,
	  views/default/pageshells/pageshell.php,
	  views/default/river/dashboard.php,
	  views/default/river/item/wrapper.php,
	  views/default/river/relationship/friend/create.php,
	  views/default/river/wrapper.php,
	  views/default/search/gallery.php,
	  views/default/search/gallery_listing.php,
	  views/default/search/listing.php,
	  views/default/settings/install.php,
	  views/default/settings/system.php,
	  views/default/site/default.php,
	  views/default/spotlight/default.php,
	  views/default/text/about.php,
	  views/default/text/privacy_view.php,
	  views/default/text/tos_view.php, views/default/user/default.php,
	  views/default/user/settings/default_access.php,
	  views/default/user/settings/email.php,
	  views/default/user/settings/language.php,
	  views/default/user/settings/name.php,
	  views/default/user/settings/password.php,
	  views/default/usersettings/main.php,
	  views/default/usersettings/main_opt/plugins.php,
	  views/default/usersettings/main_opt/statistics.php,
	  views/default/usersettings/main_opt/user.php,
	  views/default/usersettings/plugins.php,
	  views/default/usersettings/plugins_opt/plugin.php,
	  views/default/usersettings/statistics.php,
	  views/default/usersettings/statistics_opt/numentities.php,
	  views/default/usersettings/statistics_opt/online.php,
	  views/default/welcome.php, views/default/welcome/logged_in.php,
	  views/default/welcome/logged_out.php,
	  views/default/widgets/editwrapper.php,
	  views/default/widgets/wrapper.php,
	  views/failsafe/canvas/default.php,
	  views/failsafe/input/access.php, views/failsafe/input/button.php,
	  views/failsafe/input/checkboxes.php,
	  views/failsafe/input/form.php, views/failsafe/input/hidden.php,
	  views/failsafe/input/longtext.php,
	  views/failsafe/input/pulldown.php,
	  views/failsafe/input/reset.php, views/failsafe/input/submit.php,
	  views/failsafe/input/text.php,
	  views/failsafe/messages/errors/error.php,
	  views/failsafe/messages/errors/list.php,
	  views/failsafe/messages/exceptions/exception.php,
	  views/failsafe/messages/list.php,
	  views/failsafe/messages/messages/list.php,
	  views/failsafe/messages/messages/message.php,
	  views/failsafe/messages/sanitisation/htaccess.php,
	  views/failsafe/messages/sanitisation/settings.php,
	  views/failsafe/pageshells/pageshell.php,
	  views/failsafe/settings/install.php,
	  views/failsafe/settings/system.php,
	  views/foaf/canvas/default.php,
	  views/foaf/pageshells/pageshell.php, views/foaf/user/default.php,
	  views/ical/canvas/default.php, views/ical/export/entity.php,
	  views/ical/object/default.php,
	  views/ical/pageshells/pageshell.php,
	  views/ical/search/entity_list.php, views/js/object/default.php,
	  views/js/pageshells/pageshell.php, views/js/user/default.php,
	  views/json/api/output.php, views/json/canvas/default.php,
	  views/json/export/entity.php, views/json/export/metadata.php,
	  views/json/export/relationship.php, views/json/group/default.php,
	  views/json/messages/exceptions/exception.php,
	  views/json/object/default.php,
	  views/json/pageshells/pageshell.php,
	  views/json/search/entity_list.php, views/json/site/default.php,
	  views/json/user/default.php, views/opendd/canvas/default.php,
	  views/opendd/export/entity.php, views/opendd/export/metadata.php,
	  views/opendd/export/relationship.php,
	  views/opendd/group/default.php,
	  views/opendd/messages/exceptions/exception.php,
	  views/opendd/object/default.php,
	  views/opendd/pageshells/pageshell.php,
	  views/opendd/site/default.php, views/opendd/user/default.php,
	  views/php/api/output.php, views/php/canvas/default.php,
	  views/php/export/entity.php, views/php/export/metadata.php,
	  views/php/export/relationship.php, views/php/group/default.php,
	  views/php/messages/exceptions/exception.php,
	  views/php/object/default.php, views/php/pageshells/pageshell.php,
	  views/php/search/entity_list.php, views/php/site/default.php,
	  views/php/user/default.php, views/rss/annotation/default.php,
	  views/rss/canvas/default.php, views/rss/group/default.php,
	  views/rss/object/default.php, views/rss/pageshells/pageshell.php,
	  views/rss/user/default.php, views/xml/api/output.php,
	  views/xml/messages/exceptions/exception.php,
	  views/xml/pageshells/pageshell.php, views/xml/xml-rpc/output.php:
	  Whoa nelly this is a big one: Removed license and copyright for
	  files.

2009-08-19  brettp

	* LICENCE.txt: Fixes #1176: Added date back to license.
	* LICENCE.txt: Test

2009-08-11  brettp

	* engine/lib/users.php: Fixes #942: In register_user, replaced
	  sanitise_string() call with a simple trim(). Not a problem
	  because all SQL sanitation is handled elsewhere.
	* engine/lib/annotations.php: Added timelower and timeupper to
	  get_annotations() and __get_annotations_calculate_x() and its
	  helpers.

2009-08-06  dave

	* mod/captcha, mod/groups, mod/notifications, mod/profile,
	  mod/reportedcontent, mod/riverdashboard, mod/thewire: removed all
	  main plugins from core - they now live in the plugins svn

2009-08-05  brettp

	* engine/lib/access.php: Added documentation to
	  list_entities_from_access_collection();

2009-08-04  brettp

	* engine/lib/elgglib.php: Fixed a security issues when simple cache
	  is off.

2009-08-04  dave

	* CONTRIBUTORS.txt: small edit

2009-08-03  brettp

	* engine/lib/annotations.php: Added starttime and endtime for
	  get_entities_from_annotation().

2009-07-30  brettp

	* htaccess_dist: Refs #1089: Removed [B] flag from htaccess. This
	  flag is wildly inconsistent in functionality and support in
	  Apache. Will have to implement a solution in PHP.

2009-07-29  brettp

	* engine/lib/access.php: Added
	  get/list_entities_from_access_collection().
	* engine/lib/cache.php: Fixes #1151: Added is_dir() check before
	  attempting to create cache directory.

2009-07-27  brettp

	* engine/lib/notification.php: Fixes #1148: Correctly comparing
	  strings to get OS.

2009-07-27  pete

	* mod/riverdashboard/views/default/riverdashboard/css.php: small
	  fix to force facebook and twitter user icons to the right size in
	  the recent members sidebar

2009-07-24  brettp

	* engine/lib/metadata.php: Fixes #1144: Added comma between order
	  by fields.

2009-07-22  marcus

	* actions/login.php, version.php: Closes #1137: Setting a hidden
	  variable "returntoreferer" in a login form will now cause the
	  action to use the "referrer" address on a successful login.
	  Version bump.
	* mod/profile/views/default/profile/editicon.php: Minor bugfix on
	  username

2009-07-17  marcus

	* version.php: Version bump
	* mod/groups/views/default/object/groupforumtopic.php: Closes
	  #1131: htmlentities in view around user text

2009-07-16  dave

	* README.txt: readme tweak
	* CONTRIBUTORS.txt: small tweak

2009-07-15  brettp

	* mod/profile/icondirect.php, simplecache/view.php: Forcing a new
	  db connect for simplecache/view.php and
	  mod/profile/icondirect.php
	  Will avoid bugs if a previous connection has been created.

2009-07-13  marcus

	* engine/lib/api.php: Closes #1119: If post data not initially
	  found then input stream is used.

2009-07-10  marcus

	* views/default/page_elements/header.php: Removed #1100 hack

2009-07-09  brettp

	* README.txt: Test commit.

2009-07-09  marcus

	* views/default/page_elements/header.php: Closes #1100: Added a
	  dummy function to page shell to initialise jquery
	* views/default/canvas/layouts/widgets.php: Closes #1113:
	  Htmlentities made UTF-8 and quotes safe.

2009-07-08  marcus

	* engine/lib/pagehandler.php, version.php: Closes #1111: Using
	  substr instead of parse_url.
	* engine/lib/elgglib.php: Refs #427: Added $vars array to hook
	  call.

2009-07-07  brettp

	* mod/htmlawed/start.php: Closes #956: Classes are removed by the
	  HTML filter.
	* engine/lib/access.php, mod/groups/start.php: Refs #1099: Using
	  write access hook to allow group-only ACLs. Need to examine
	  better solutions after 1.7.

2009-07-06  marcus

	* views/default/input/pulldown.php: Closes #1105: Value on
	  input/pulldown view now escaped.
	* engine/lib/xml-rpc.php: Closes #1075: XML-RPC client behaving as
	  per spec

2009-07-06  brettp

	* engine/lib/pagehandler.php, htaccess_dist: Refs #1089: Added [B]
	  flag to rewrite for tags. Won't work until apache 2.2.12. Cleaned
	  up some query code in pagehandler().

2009-07-06  marcus

	* mod/profile/actions/cropicon.php: Admin cropping of other user
	  icons now works as expected.
	* mod/profile/start.php: Fixed doubling on icon edit (nb. this was
	  not the same issue as Refs #1100)
	* mod/profile/views/default/profile/menu/links.php,
	  mod/profile/views/default/profile/menu/linksownpage.php: Removed
	  edit profile, added links to own page.

2009-07-06  dave

	* engine/lib/filestore.php: small tweak to filestore

2009-07-06  marcus

	* mod/profile/actions/cropicon.php, mod/profile/actions/edit.php,
	  mod/profile/actions/iconupload.php, mod/profile/editicon.php,
	  mod/profile/manifest.xml, mod/profile/start.php,
	  mod/profile/views/default/profile/edit.php,
	  mod/profile/views/default/profile/editicon.php,
	  mod/profile/views/default/profile/menu/links.php,
	  mod/profile/views/default/profile/userdetails.php, version.php: *
	  Closes #1104: Edit profile and edit icon links on pulldown menu
	  for editable users.
	  * Closes #545: Admins are now able to edit profiles and icons of
	  other users.
	  * CSRF protection added to icon upload and edit code.
	  * Version bump.
	* engine/lib/entities.php: Closes #742: Ability to retrieve master
	  icon from getIcon() interface.
	* languages/en.php, mod/profile/views/default/profile/editicon.php:
	  Closes #1103: Profile text now has translation tag

2009-07-03  pete

	* views/default/css.php: added css rule for em tags to work
	  properly with htmlawed and tinyMCE editor

2009-07-03  brettp

	* mod/htmlawed/start.php: Allowing selected style attributes in
	  htmlawed.

2009-07-02  marcus

	* actions/systemsettings/install.php: Removing update client from
	  initial modules.
	* actions/systemsettings/install.php: Refs #1086 & #1073: Filtering
	  and captcha have correct install defaults.

2009-07-02  brettp

	* mod/groups/start.php: Closes #859: Group forum thread-starters
	  receive same email as participants.

2009-07-02  dave

	* engine/lib/metadata.php: order by now works on get entities from
	  metadata

2009-07-01  brettp

	* mod/htmlawed/start.php: Fixed a typo in htmlawed filtering.
	* engine/lib/users.php: Refs #1058: Using validated metadata for
	  new user permission check. Correctly allows for enable() /
	  disable(), but still not ideal.

2009-07-01  marcus

	* engine/lib/upgrades/2009070101.php, mod/kses, version.php: Refs
	  #1086: Deprecating kses and removing it from core. Version bump.

2009-07-01  brettp

	* mod/htmlawed, mod/htmlawed/manifest.xml, mod/htmlawed/start.php,
	  mod/htmlawed/vendors, mod/htmlawed/vendors/htmLawed,
	  mod/htmlawed/vendors/htmLawed/htmLawed.php,
	  mod/htmlawed/vendors/htmLawed/htmLawedTest.php,
	  mod/htmlawed/vendors/htmLawed/htmLawed_README.htm,
	  mod/htmlawed/vendors/htmLawed/htmLawed_README.txt,
	  mod/htmlawed/vendors/htmLawed/htmLawed_TESTCASE.txt: Refs #1086:
	  Added htmLawed plugin as replacement for kses.

2009-07-01  marcus

	* engine/lib/input.php: Closes #1097: Results set by set_input are
	  now also filtered by get_input()
	* engine/lib/annotations.php: Short circuit on delete annotations
	  to avoid error message
	* engine/lib/metadata.php: Metadata delete now passing correct
	  object, also handles missing metadata entity.

2009-07-01  pete

	* mod/notifications/views/default/notifications/subscriptions/jsfuncs.php,
	  mod/profile/views/default/js/jquery.imgareaselect-0.4.2.js,
	  mod/profile/views/default/js/jquery.imgareaselect-0.4.2.min.js,
	  mod/profile/views/default/js/jquery.imgareaselect-0.8.js,
	  mod/profile/views/default/js/jquery.imgareaselect-0.8.min.js,
	  mod/profile/views/default/profile/editicon.php,
	  mod/profile/views/default/profile/javascript.php,
	  vendors/jquery/jquery-1.2.6.pack.js,
	  vendors/jquery/jquery-1.3.2.min.js,
	  vendors/jquery/jquery-ui-1.7.2.custom.min.js,
	  vendors/jquery/jquery-ui-personalized-1.5.3.packed.js,
	  vendors/jquery/jquery.form.js,
	  views/default/embed/addcontentjs.php,
	  views/default/js/initialise_elgg.php,
	  views/default/js/upload_js.php,
	  views/default/page_elements/header.php: update to jquery 1.3.2
	  and jqueryUI 1.7.2 closes #941

2009-06-30  pete

	* languages/en.php, mod/thewire/views/default/object/thewire.php,
	  mod/thewire/views/default/river/object/thewire/create.php: fixed
	  wire reply button (missing 'echo'), and tweaked river/dashboard
	  reply link for the default theme. Also fixed a typo in the admin
	  area

2009-06-30  marcus

	* search/groups.php, search/index.php, search/users.php: Refs
	  #1086: Fixes specific issues mentioned pending KSES fix /
	  replacement

2009-06-30  brettp

	* engine/lib/users.php, views/default/friends/collection.php,
	  views/default/output/confirmlink.php: Modified output/confirmlink
	  view to accept a class param.
	  user_remove_friend() uses remove_user_from_access_collection()
	  instead of raw SQL.
	  Deleting an access collection prompts using output/confirmlink.

2009-06-30  dave

	* mod/thewire/views/default/river/object/thewire/create.php: wire
	  links will now work in the activity river

2009-06-30  marcus

	* README.txt: Fixed typo

2009-06-29  brettp

	* views/default/friends/collection.php: Removed debug case from
	  last commit.
	* views/default/friends/collection.php: Ref #1015: Correctly placed
	  the end div for access collection delete link.
	* views/default/friends/collection.php: Closes #1015: Added a
	  prompt before deleting an access collection. Also cleaned up some
	  hard vs soft tab issues.
	* engine/lib/users.php: Closes #502: Removing unfriended users from
	  access lists upon unfriending.
	* engine/lib/annotations.php: Closes #337: Added checking for
	  metastrings in __get_annotations_calculate_x()
	* engine/lib/entities.php, engine/lib/relationships.php: Updated
	  get_*() functions ot return false if an invalid subtype is
	  specified.

2009-06-29  marcus

	* engine/lib/upgrades/2009050801.php: Closes #1073: Captcha off by
	  default

2009-06-29  brettp

	* README.txt: Test commit.

2009-06-28  marcus

	* engine/lib/river2.php: Access levels on add_to_river() will now
	  respect ACCESS_DEFAULT level.
	* views/rss/pageshells/pageshell.php: Closes #1090: Removed
	  xml:base from RSS channel tag.

2009-06-26  marcus

	* mod/captcha/manifest.xml: Minor point of clarification

2009-06-25  pete

	* mod/groups/views/default/groups/css.php: tweak to input box size

2009-06-24  marcus

	* version.php: Version bump
	* engine/lib/elgglib.php: Closes #427: Original view name passed to
	  plugin hook.
	* engine/lib/filestore.php: Some tidying of file download manager
	  functions.

2009-06-23  marcus

	* version.php: Version bump
	* actions/friends/add.php, actions/friends/remove.php,
	  mod/profile/views/default/profile/menu/actions.php: Action
	  gatekeeper added to add and remove friends.

2009-06-19  marcus

	* version.php: Version bump.
	* views/ical, views/ical/canvas, views/ical/canvas/default.php,
	  views/ical/export, views/ical/export/entity.php,
	  views/ical/object, views/ical/object/default.php,
	  views/ical/pageshells, views/ical/pageshells/pageshell.php,
	  views/ical/search, views/ical/search/entity_list.php: Closes
	  #581: First draft ICAL export views for Notable calendar events.

2009-06-18  marcus

	* version.php: Version bump.
	* engine/lib/filestore.php: Closes #601: Provides default for new
	  ElggFilestore objects to remove warning message.

2009-06-17  marcus

	* mod/thewire/views/default/object/thewire.php,
	  mod/thewire/views/default/river/object/thewire/create.php: *
	  Translation 'reply' fixed.
	  * Now possible to reply to wire posts from within the river.
	* engine/lib/annotations.php: Closes #719: More options on
	  annotation count functions.
	* views/default/input/access.php, views/default/input/button.php,
	  views/default/input/checkboxes.php,
	  views/default/input/email.php, views/default/input/file.php,
	  views/default/input/hidden.php, views/default/input/longtext.php,
	  views/default/input/password.php,
	  views/default/input/plaintext.php,
	  views/default/input/pulldown.php, views/default/input/radio.php,
	  views/default/input/tags.php, views/default/input/text.php,
	  views/default/input/url.php: Closes #540: input/* views have
	  internalid attribute.
	* engine/lib/elgglib.php: Refs #964: Correct detection of type.
	* version.php: Version bump
	* engine/lib/system_log.php: Refs #328: Documentation tweak.
	* engine/lib/elgglib.php: Refs #964: Tidied plugin hook into
	  framework function, changed hook to entity:annotate.

2009-06-16  marcus

	* engine/lib/elgglib.php, version.php: Marcus Povey 20090616:
	  * Closes #964: Introduces a plugin hook 'annotations:view',
	  $entity_class (object/user/group/site) called elgg_view_entity on
	  FULL view. This lets you return annotations to an entity and
	  control the order in which they're displayed. Existing views
	  remain un-effected but should probably be retrofitted.
	  * Version bump.
	* engine/lib/system_log.php: Bugfix to archive logs sql

2009-06-14  marcus

	* views/default/input/urlshortener.php: URL shortener view.
	* htaccess_dist: Actions rewrite rule will now match against
	  numbers as well as letters.
	* version.php: Version bump
	* mod/thewire/views/default/thewire/forms/add.php: Call out to a
	  url shortner if one is available, through the use of the
	  input/urlshortner view.

2009-06-12  marcus

	* version.php: Version bump
	* engine/lib/filestore.php, engine/lib/users.php: Refs #1041:
	  * Speculative fix, extended blacklist of invalid characters for
	  user signup
	  * Mapping some filestore matrix characters (notable '.') to a
	  safe char
	* engine/lib/filestore.php, languages/en.php: Refs #1041: Extra
	  debug

2009-06-11  marcus

	* engine/lib/users.php: Block URL unsafe characters from username

2009-06-10  marcus

	* engine/lib/cache.php: File cache attempts to create directory if
	  it is not present.

2009-06-08  marcus

	* engine/lib/mb_wrapper.php, mod/thewire/start.php: * Introducing
	  substr wrapper function
	  * Wire strips tags (Closes #1045)

2009-06-05  marcus

	* engine/lib/mb_wrapper.php, engine/lib/metadata.php,
	  engine/lib/metastrings.php, search/index.php, version.php: Closes
	  #639:
	  * Metastrings can be searched either case sensitive or
	  insensitive modes.
	  * Tags now have case lowered in a UTF8 safe way (requires
	  mbstring support).
	  * Introducing mb_wrapper.php containing multibyte wrapper
	  functions.
	  * Version bump.
	  * Introduces #1043 for consideration.
	* engine/lib/actions.php, engine/lib/pagehandler.php: Close #1040:
	  Limited explode on action and page handler.

2009-06-04  marcus

	* views/default/input/checkboxes.php: Closes #1037: Removed double
	  pasting

2009-06-04  kevin

	* views/default/js/upload_js.php: Changed a variable name that IE
	  did not like.

2009-06-04  marcus

	* engine/lib/metadata.php: Closes #998 : Operator selection on get
	  by metadata multi

2009-06-02  marcus

	* engine/lib/database.php: Removed some error messages

2009-05-29  marcus

	* engine/lib/actions.php: Option to suppress visible errors in
	  token validation code.

2009-05-29  dave

	* views/default/upload/upload_form_content.php: hashed out folders
	  view

2009-05-28  marcus

	* engine/lib/pagehandler.php: Closes #1035: Page handler now
	  urldecodes input, necessary as vars are extracted from
	  request_uri and not $_REQUEST (which is automatically decoded)
	* engine/lib/group.php: Fixed some typos in group search
	* languages/en.php: Group search language correction
	* languages/en.php, search/groups.php: Group search language
	  correction
	* views/default/user/search/finishblurb.php: Refs #965: Correct
	  some search links.
	* views/default/group/search/finishblurb.php,
	  views/default/user/search/finishblurb.php: Refs #965: Correct
	  some search links.
	* engine/lib/entities.php, engine/lib/search.php, search/index.php,
	  version.php: Refs #965: Search now correctly using page handler
	  to make it easier to replace.
	* views/default/page_elements/elgg_topbar.php: Refs #965: Topbar
	  search now pointing at correct url.
	* languages/en.php, views/default/page_elements/elgg_topbar.php:
	  Closes #805: Top bar search now internationalised. Refs #965

2009-05-27  marcus

	* engine/lib/annotations.php, engine/lib/metadata.php: Delete event
	  now triggered on metadata and annotation delete
	* version.php: Version bump
	* engine/lib/sessions.php: Admin shortcut flag set on login as well
	  as init

2009-05-27  kevin

	* engine/lib/filestore.php: Removed plugin-specific references from
	  file_display_thumbnail and file_add_to_folders.

2009-05-22  marcus

	* engine/lib/database.php: Refs #965: Allowing upgrades to be
	  loaded from other locations.
	* engine/lib/group.php, engine/lib/users.php,
	  engine/schema/mysql.sql, engine/schema/upgrades/2009052201.sql,
	  languages/en.php, search/groups.php, version.php,
	  views/default/group/search,
	  views/default/group/search/finishblurb.php,
	  views/default/group/search/startblurb.php: Closes #1030: Group
	  title and description search added, refs #965
	* engine/lib/users.php: Closes #1031: Restored wildcard as it
	  didn't appear that slow.

2009-05-21  dave

	* mod/captcha/views/default/input/captcha.php: captcha layout tweak

2009-05-19  marcus

	* version.php: Version bump
	* engine/lib/database.php: Refs #1027: Introducing
	  $CONFIG->db_disable_query_cache which allows disabling of query
	  cache for implementation in CLI mode
	* engine/lib/actions.php: Closes #1026: Removed "@" from include
	  statement

2009-05-18  marcus

	* engine/lib/access.php: Closes #1025: Using the correct variable.

2009-05-14  marcus

	* version.php: Version bump
	* views/rss/annotation/default.php, views/rss/group/default.php,
	  views/rss/object/default.php, views/rss/pageshells/pageshell.php,
	  views/rss/user/default.php: Closes #646: GeoRSS support added to
	  Locatable objects with coordinates on RSS feeds
	* views/rss/annotation/default.php, views/rss/group/default.php,
	  views/rss/object/default.php, views/rss/pageshells/pageshell.php,
	  views/rss/user/default.php: Closes #1024: Added call to views
	  which allow extensions to be made.
	* views/rss/annotation/default.php, views/rss/group/default.php,
	  views/rss/object/default.php, views/rss/pageshells/pageshell.php:
	  Making use of the Dublin Core extensions to provide owner
	  information in RSS feeds
	* engine/lib/location.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2009051401.sql, version.php: Fixed geocode
	  stuff + version bump

2009-05-13  marcus

	* version.php: Version bump
	* mod/diagnostics/languages/en.php, mod/diagnostics/start.php,
	  mod/diagnostics/views/default/diagnostics/test.php,
	  mod/diagnostics/views/default/diagnostics/testresult.php: Closes
	  #1009: Diagnostics unit test with example
	* engine/lib/testing.php, mod/diagnostics/index.php,
	  mod/diagnostics/languages/en.php, mod/diagnostics/start.php,
	  mod/diagnostics/testreport.php, mod/diagnostics/unittester.php,
	  mod/diagnostics/views/default/diagnostics/runalltests.php,
	  mod/diagnostics/views/default/diagnostics/test.php,
	  mod/diagnostics/views/default/diagnostics/testresult.php: Refs
	  #1009: Enhancements to diagnostics tool to use the test
	  framework.
	* engine/lib/testing.php: Refs #1009: Changed the method tests are
	  performed.
	* engine/lib/testing.php: Refs #1009: Simple test framework outline
	  added.

2009-05-12  marcus

	* engine/lib/system_log.php: Closes #1003: Using more efficient
	  query
	* engine/lib/river.php, version.php: Removed deprecated river
	  library + version bump
	* engine/lib/actions.php: Closes #749: Warning message on missing
	  token.

2009-05-11  marcus

	* mod/groups/actions/addtogroup.php: Closes #944: Changed owner
	  check to a canEdit check on the group.
	* engine/lib/river.php: Deprecated old river code
	* engine/lib/system_log.php, version.php: Closes #1010: Log event
	  now called on an event of its own, this permits plugins to add
	  additional logging or replace the logging method altogether.
	  
	  This is only possible now that the old river code has been
	  replaced.
	* engine/lib/version.php: Refs #965 & #967: Event triggered on
	  upgrade, allowing easier integration with plugins.
	* views/default/spotlight/default.php: Closes #1017: Div no longer
	  closed early.
	* views/default/page_elements/elgg_topbar.php: Closes #1016: Image
	  tag closed
	* version.php: Version bump
	* mod/captcha/start.php: Captcha list can now be extended by other
	  plugins

2009-05-08  marcus

	* mod/thewire/start.php: Hard limit to string lengths.
	* mod/captcha/fonts/Liberation_serif_License.txt: Added font
	  licence, refs #1011
	* actions/systemsettings/install.php,
	  engine/lib/upgrades/2009050801.php, mod/captcha,
	  mod/captcha/backgrounds, mod/captcha/backgrounds/bg1.jpg,
	  mod/captcha/backgrounds/bg2.jpg, mod/captcha/backgrounds/bg3.jpg,
	  mod/captcha/backgrounds/bg4.jpg, mod/captcha/backgrounds/bg5.jpg,
	  mod/captcha/captcha.php, mod/captcha/fonts,
	  mod/captcha/fonts/1.ttf, mod/captcha/languages,
	  mod/captcha/languages/en.php, mod/captcha/manifest.xml,
	  mod/captcha/start.php, mod/captcha/views,
	  mod/captcha/views/default, mod/captcha/views/default/captcha,
	  mod/captcha/views/default/captcha/css.php,
	  mod/captcha/views/default/input,
	  mod/captcha/views/default/input/captcha.php, version.php: Closes
	  #1011: Added basic captcha support.
	* actions/systemsettings/install.php: System default plugins now
	  accepts array as well as CSV
	* views/default/account/forms/forgotten_password.php: Refs #1011:
	  Correctly CSSed and now using captcha if available

2009-05-07  marcus

	* version.php: Version bump
	* views/default/account/forms/register.php,
	  views/default/input/captcha.php: Closes #983: Introducing
	  input/captcha view, use wherever a captcha is required - override
	  with plugins and use the actions hook to do additional
	  validation!
	* engine/lib/relationships.php: Refs #975: Get entities from
	  metadata and relationship now behaves as expected

2009-05-05  marcus

	* engine/lib/elgglib.php: Closes #994: elgg_view_exists will now
	  check to see if a view exists by dint of being extended.
	* engine/lib/access.php, engine/lib/elgglib.php: Removing spurious
	  error log messages
	* mod/reportedcontent/actions/add.php,
	  mod/reportedcontent/actions/archive.php,
	  mod/reportedcontent/actions/delete.php: Closes #725: Typo
	  corrected.
	* languages/en.php, mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/views/default/riverdashboard/welcome.php,
	  views/default/basic_elements/welcome.php,
	  views/default/welcome/logged_in.php: Closes #950: Fixed missing
	  translations.
	* mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/views/default/riverdashboard/welcome.php:
	  Closes #1004: Welcome no longer hard coded.
	* version.php: Version bump
	* engine/lib/entities.php: Closes #1007: Private data now removed
	  on entity deletion.
	* engine/lib/users.php: Closes #1008: Fixed typo

2009-05-04  marcus

	* engine/lib/languages.php: Closes #824: Test variable to prevent
	  error message in log.

2009-05-01  marcus

	* engine/lib/users.php: Closes #1002: Committed missing variable
	  code
	* UPGRADE.txt: Test
	* UPGRADE.txt: Test

2009-04-29  marcus

	* UPGRADE.txt: Closes #1001: This is a test
	* UPGRADE.txt: Refs #4: This is a test
	* UPGRADE.txt:
	* UPGRADE.txt:
	* UPGRADE.txt: Test
	* UPGRADE.txt: Test
	* UPGRADE.txt: Test
	* UPGRADE.txt: Test
	* UPGRADE.txt: TEst
	* UPGRADE.txt: Test
	* UPGRADE.txt: Removed test
	* UPGRADE.txt: Test

2009-04-27  marcus

	* engine/lib/users.php: Closes #927: Minimum user length no longer
	  hard coded.
	* engine/lib/relationships.php: Closes #975: Now possible to search
	  by metadata and relationship
	* engine/lib/users.php: Closes #943: Event triggered when banning
	  or unbanning a user.

2009-04-24  marcus

	* version.php: Version bump
	* mod/groups/actions/edit.php,
	  mod/groups/views/default/forms/groups/edit.php: Added security
	  token to group edit form
	* views/default/input/form.php,
	  views/default/input/securitytoken.php: Introducing
	  input/securitytoken as an intermediate step for form conversion.
	* mod/groups/actions/edit.php, mod/groups/languages/en.php,
	  mod/groups/views/default/forms/groups/edit.php: Closes #969:
	  Admin option to allow the setting of certain access controls on a
	  group
	* actions/useradd.php, engine/lib/users.php: Closes #856: Admin
	  created users are no longer created as being owned by the admin

2009-04-23  marcus

	* mod/groups/languages/en.php: Refs #969: Added admin menu option
	  for enabling private groups
	* mod/groups/views/default/settings,
	  mod/groups/views/default/settings/groups,
	  mod/groups/views/default/settings/groups/edit.php: Refs #969:
	  Added admin menu option for enabling private groups
	* engine/lib/group.php: Closes #980: group_gatekeeper() now has an
	  admin override if the admin is logged in
	* simplecache/view.php: Closes #989: Forces regenerate on next
	  refresh when cache file is missing

2009-04-22  marcus

	* engine/lib/annotations.php, engine/lib/metadata.php,
	  engine/lib/users.php: Deleting correct data + using correct
	  tables
	* engine/lib/annotations.php, engine/lib/entities.php,
	  engine/lib/metadata.php, engine/lib/users.php: Closes #957:
	  Annotations and metadata owned by a deleted user are now also
	  deleted.
	* languages/en.php, mod/groups/views/default/forum/topicposts.php,
	  mod/groups/views/default/object/groupforumtopic.php: Closes #957:
	  Groups topics now handle deleted users, I recommend that people
	  look at what I've done and handle deleted users in a similar way
	  in their plugins.

2009-04-21  marcus

	* engine/lib/sessions.php: Belts and braces checking on
	  isloggedin()

2009-04-21  dave

	* views/default/canvas/layouts/sidebar_boxes.php: an extra view to
	  extend, added to sidebar boxes

2009-04-17  marcus

	* mod/kses/manifest.xml: Refs #833: Added manifest
	* actions/systemsettings/install.php, engine/lib/input.php,
	  engine/lib/upgrades/2009041701.php, mod/kses, mod/kses/start.php,
	  mod/kses/vendors, mod/kses/vendors/kses, vendors/kses,
	  version.php: Closes #833: Kses now built as module
	* engine/lib/input.php: Reverted last

2009-04-17  dave

	* engine/lib/input.php: small tweak to kses input, for now.

2009-04-17  marcus

	* engine/lib/input.php: Removed style on code
	* engine/lib/input.php: Removed columns
	* engine/lib/input.php: Slightly more draconian kses rules
	* engine/lib/plugins.php: Closes #982: Object limit maximum raised.

2009-04-16  marcus

	* engine/lib/filestore.php: Moved old file mime type guesser back
	  to files plugin so that there are no conflicts

2009-04-16  kevinjardine

	* engine/lib/filestore.php: Passed container_guid to any quota
	  plugins and removed duplicate function definition.
	* engine/lib/filestore.php: Added file_get_general_file_type()
	  function

2009-04-15  marcus

	* engine/lib/filestore.php, version.php: Centralised mimetype
	  function
	* engine/lib/filestore.php, views/default/js/upload_js.php,
	  views/default/upload,
	  views/default/upload/upload_form_content.php: Rolled in Kevin's
	  file store enhancements and upload code.
	* version.php: Version bump
	* engine/lib/pageowner.php, languages/en.php: Error logged on page
	  forward due to missing page owner.

2009-04-14  pete

	* mod/thewire/graphics/river_icon_thewire.gif,
	  mod/thewire/views/default/thewire/activity_view.php: link to the
	  wire added to bottom of latest wire post box on riverdashboard
	  page

2009-04-11  dave

	* mod/profile/views/default/profile/userdetails.php: small profile
	  custom fields tweak

2009-04-10  ben

	* mod/thewire/start.php: The Wire incoming SMS now uses the default
	  access level.
	* mod/thewire/start.php: Moving the wire to use $SESSION instead of
	  $_SESSION
	* engine/lib/elgglib.php: Removing viewtype autoforward, because it
	  broke installs.

2009-04-10  marcus

	* views/default/output/actionurl.php,
	  views/default/output/confirmlink.php,
	  views/default/output/url.php: Rolled token into url and
	  confirmlink
	* engine/lib/tags.php: Closes #977: get_tags now functional for
	  entities without subtypes.

2009-04-09  marcus

	* views/default/output/actionurl.php: Introducing actionurl.php
	  (Refs #749)
	* engine/lib/pageowner.php: Forward user if a page owner is
	  inaccessible (Refs #969)
	* engine/lib/elgglib.php: Non-default view types now preserved when
	  forwarding.
	* engine/lib/metadata.php: Closes #974: Owner_guid may now be an
	  array

2009-04-08  marcus

	* actions/admin/site/update_basic.php,
	  engine/lib/configuration.php, engine/lib/elgglib.php,
	  languages/en.php, views/default/settings/system.php: Close #968:
	  View path cache can now be turned on and off
	* engine/lib/elgglib.php: Removed unused experimental cache
	  functions
	* actions/admin/plugins/reorder.php, engine/lib/plugins.php: Refs
	  #946: Improved documentation on enable/disable/reorder plugin
	  commands
	* actions/admin/plugins/disable.php,
	  actions/admin/plugins/disableall.php,
	  actions/admin/plugins/enable.php,
	  actions/admin/plugins/enableall.php,
	  actions/admin/plugins/reorder.php, engine/lib/elgglib.php,
	  engine/lib/plugins.php, upgrade.php: Refs #968 & #946: Tidied
	  filepath cache stuff by placing them in function calls.
	* mod/profile/views/default/profile/userdetails.php,
	  views/default/admin/main.php, views/default/admin/plugins.php,
	  views/default/admin/site.php, views/default/admin/user.php,
	  views/default/canvas/layouts/widgets.php,
	  views/default/messages/errors/error.php,
	  views/default/messages/exceptions/exception.php,
	  views/default/messages/messages/message.php,
	  views/default/usersettings/main.php,
	  views/default/usersettings/plugins.php: Refs #963: Autop changed
	  to longtext on standard views
	* engine/lib/database.php, version.php: Added callback support to
	  get_data_row()

2009-04-07  marcus

	* engine/lib/tags.php: Closes #937: Added time constraints to the
	  tag retrieval query.

2009-04-07  ben

	* version.php: The inclusion of a new library merits a new internal
	  version number.

2009-04-07  marcus

	* mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/views/default/riverdashboard/newestmembers.php:
	  Closes #932: Recent members string no longer hard coded

2009-04-07  ben

	* engine/lib, mod, vendors/jquery/jquery.form.js,
	  views/default/page_elements/header.php: jQuery Form plugin,
	  welcome to Elgg Core.

2009-04-02  marcus

	* mod/thewire/views/default/object/thewire.php: Closes #949: Method
	  in "via {{Method}}" now wrapped in an elgg_echo
	* engine/lib/plugins.php: Closes #945: enable/disable_plugin now
	  updates $ENABLED_PLUGINS_CACHE

2009-03-31  marcus

	* mod/uservalidationbyemail/manifest.xml, version.php: Version bump
	* engine/lib/metadata.php, engine/lib/users.php,
	  mod/uservalidationbyemail/start.php: Closes #896: Error thrown if
	  user not validate. Metadata physically removed rather than simply
	  blanked when validation is requested.
	  Note: update_metadata no longer seems to support anonymous
	  metadata which is likely to have knock on issues elsewhere...

2009-03-30  marcus

	* mod/profile/icondirect.php: Closes #916: Icondirect now using
	  multibyte safe str_split code from filestore.php
	* version.php: Version bump
	* engine/lib/database.php: Closes #875: Using db link
	* engine/lib/notification.php: Closes #889: Decoding html entities
	  from messages before stripping tags
	* engine/lib/elgglib.php: Closes #897: Memcache datalists correctly
	  saved on first load
	* views/default/css.php: Closes #903: Large <pre> and <code> blocks
	  no longer break page shell
	* mod/riverdashboard/index.php: Closes #899: River dash ajax now
	  UTF-8
	* views/default/page_elements/owner_block.php: Closes #914: Removed
	  odd line

2009-03-30  ben

	* engine/lib/pageowner.php: Context can now be assigned by defining
	  a constant in the page.

2009-03-30  marcus

	* mod/thewire/actions/add.php: Refs #926: Private wire posts get
	  bumped to 'logged in'

2009-03-26  dave

	* mod/groups/languages/en.php: small lang tweak
	* languages/en.php,
	  mod/profile/views/default/profile/editdefaultprofile.php: small
	  lang tweak

2009-03-25  marcus

	* mod/groups/edittopic.php: Closes #930: addtopic -> edittopic

2009-03-25  dave

	* mod/riverdashboard/views/default/widgets/river_widget/view.php:
	  small tweak
	* mod/thewire/views/default/river/object/thewire/create.php: river
	  view tweak for the wire

2009-03-18  marcus

	* engine/lib/languages.php: Different assignment.
	* engine/lib/users.php: Disposed of unnecessary $result variables.
	* engine/lib/api.php: Closes #844: API parameter test logic
	  improved
	* engine/lib/languages.php: Closes #883: Using different operator
	  logic so that plugins can replace existing translation entries.
	* mod/groups/actions/addtogroup.php: Closes #893: Using ->join()
	  method instead to ensure that event is triggered.

2009-03-13  marcus

	* README.txt, version.php: Oh hai Elgg 1.5
	* actions/user/passwordreset.php,
	  actions/user/requestnewpassword.php,
	  mod/uservalidationbyemail/actions/email/confirm.php, version.php:
	  Closes #873: Mail/password reset/confirm actions forward to
	  wwwroot rather than ref. Version bump.
	* engine/lib/elgglib.php: Fixes #877: Minor typo addressed. Note:
	  This function is currently not used.

2009-03-12  marcus

	* actions/systemsettings/install.php, version.php: Fixed typo in
	  default plugins init + version bump

2009-03-11  marcus

	* version.php: Version bump
	* engine/lib/notification.php: Provide a From email address
	  workaround for those with windows servers. See issue
	  http://bugs.php.net/bug.php?id=28038

2009-03-11  ben

	* mod/profile/start.php: Profile user icon URL fix.

2009-03-11  marcus

	* engine/lib/entities.php, engine/lib/group.php,
	  engine/lib/objects.php, engine/lib/sites.php,
	  engine/lib/users.php, languages/en.php, version.php: Closes 868:
	  Fixes regression introduced in [3119]. Version number bumped.

2009-03-11  ben

	* engine/lib/entities.php: Added a clause that will detect if
	  insert_data returned 0 rather than false, and returns 'true' in
	  this case. Fixes #867
	* views/default/page_elements/header.php: Javascript loaded using a
	  safer URL scheme. Fixes #862

2009-03-10  dave

	* mod/groups/languages/en.php,
	  mod/groups/views/default/groups/group_sort_menu.php: missing lang
	  strings fixed
	* mod/groups/languages/en.php,
	  mod/groups/views/default/groups/grouplisting.php: missing strings
	  added

2009-03-10  pete

	* views/default/css.php: left column sidebar background color
	  changed for consistency with other pages (props to Cash for
	  spotting it)

2009-03-09  marcus

	* engine/lib/api.php: Minor api tweak

2009-03-09  ben

	* README.txt: Changing version number
	* version.php: Elgg 1.5 RC2. Hi!

2009-03-09  marcus

	* htaccess_dist: Closes #823: Root cause was that the Headers decl
	  requires mod_headers to be installed (and Apache had a very
	  unhelpful failure mode for instances when it wasn't). The Header
	  def has now been IfModuled out.
	  
	  mod_headers is still recommended for correct functioning across
	  proxies.

2009-03-09  pete

	* views/default/css.php: openID river rules removed

2009-03-09  marcus

	* htaccess_dist: Refs #823: Mod_deflate htaccess def now disabled
	  by default.
	* mod/groups/actions/edit.php: Admins can now change group profile
	  picture.

2009-03-09  ben

	* mod/profile/start.php: Banned users always have default icons.
	* mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/start.php: Some tweaks to river dashboard,
	  including proper language usage.
	* engine/lib/notification.php: Banned users no longer get
	  notifications
	* actions/register.php, engine/lib/users.php: User validation no
	  longer occurs on first install
	* engine/lib/filestore.php: Icons are now correctly resized

2009-03-09  kevinjardine

	* mod/groups/actions/edit.php, mod/groups/start.php,
	  mod/groups/views/default/forms/groups/edit.php: Groups now
	  support add_group_tool_option so that any group tool can be
	  toggled on or off via the group's edit form.
	* engine/lib/group.php: Introducing the add_group_tool_option
	  function.

2009-03-09  marcus

	* mod/crontrigger/manifest.xml, mod/diagnostics/manifest.xml,
	  mod/garbagecollector/manifest.xml, mod/groups/manifest.xml,
	  mod/logbrowser/manifest.xml, mod/logrotate/manifest.xml,
	  mod/notifications/manifest.xml, mod/profile/manifest.xml,
	  mod/reportedcontent/manifest.xml,
	  mod/riverdashboard/manifest.xml, mod/thewire/manifest.xml,
	  mod/uservalidationbyemail/manifest.xml: Bumped version numbers on
	  bundled plugins

2009-03-08  pete

	* views/default/css.php: css river rule added for openID user
	  updating profile

2009-03-07  marcus

	* version.php: Version bump
	* mod/profile/views/default/profile/userdetails.php: Closes #851:
	  Fixed regression. It is now possible for an admin to edit another
	  user's profile consistent with 1.2
	* _css/css.php, _css/js.php: Closes #844 & #845: Override is now no
	  longer forced on and so will now obey view cache settings.
	* mod/groups/actions/invite.php, mod/groups/languages/en.php,
	  mod/groups/start.php,
	  mod/groups/views/default/forms/groups/invite.php: Closes #843:
	  Introducing intermediary invite action to establish invite
	  relationship but ask a user to join
	* version.php: Version bump
	* engine/lib/users.php: Closes #841: User request for password
	  changes now functional.

2009-03-06  pete

	* views/default/css.php: one column canvas padding adding

2009-03-06  marcus

	* engine/lib/objects.php: Very minor comment tweak
	* engine/lib/group.php, engine/lib/objects.php,
	  engine/lib/sites.php, engine/lib/users.php: Reversed delete
	  procedure on entities, parent now checked first before sub
	  deleted. Any stubs left over will be handled by the garbage
	  collector.

2009-03-06  pete

	* views/default/css.php: river icon added for openID friend,
	  blockquote style tweaked, elgg horizontal nav bar improved

2009-03-06  marcus

	* version.php: Bumped version number corresponding to the change
	* engine/lib/entities.php: Added garbage collector hook to clear up
	  orphaned sub table entities.
	* mod/garbagecollector/start.php: Changed 'system','gc' to
	  'gc','system'

2009-03-06  ben

	* mod/profile/start.php: Fixed icon overrides
	* engine/lib/river2.php: If you don't have any friends, the river
	  no longer returns all on the 'friends' view. Fixes #839
	* mod/profile/views/default/profile/listing.php: Removed banned
	  listing
	* mod/profile/index.php: Banned profiles are now hidden
	* mod/profile/views/default/profile/userdetails.php: Fixed user
	  profile ban message

2009-03-06  marcus

	* version.php: Version number bump
	* engine/lib/languages.php: Closes #838: Missing set from static
	  var.

2009-03-06  ben

	* mod/riverdashboard/views/json,
	  mod/riverdashboard/views/json/riverdashboard,
	  mod/riverdashboard/views/json/riverdashboard/container.php,
	  views/json/river, views/json/river/item,
	  views/json/river/item/list.php: Improved JSON version of the
	  dashboard

2009-03-06  pete

	* views/default/css.php: missing river entry style added

2009-03-05  ben

	* engine/lib/statistics.php: Online users list works properly
	* languages/en.php, views/default/annotation/annotate.php: Fixed
	  generic river comment view
	* mod/riverdashboard/languages/en.php: Corrected a poorly formatted
	  text string
	* mod/thewire/manifest.xml: New manifest description for the wire.
	* version.php: Elgg 1.5 RC1 is gearing up to leave the building.
	* mod/apiadmin, mod/guidtool: Farewell APIadmin, farewell GUIDtool.
	  We'll see you over in the plugins repo.
	* mod/thewire/actions/add.php: Wire posts now save as default
	  access level
	* mod/thewire/actions/add.php: Wire posts are now default access
	* UPGRADE.txt: Improved upgrade text
	* engine/lib/entities.php: Error in subtype detection

2009-03-05  dave

	* mod/riverdashboard/views/default/riverdashboard/newestmembers.php:
	  a small layout tweak

2009-03-05  ben

	* engine/lib/entities.php, htaccess_dist: Fixed search RSS

2009-03-05  marcus

	* version.php: Bumped version
	* mod/crontrigger/start.php: Surpressing cron output

2009-03-04  pete

	* views/default/css.php: tiny rule added to make widget layout
	  consistent across all widgets

2009-03-04  ben

	* engine/lib/notification.php: Private items never trigger
	  notifications
	* engine/lib/entities.php: Access fix
	* engine/lib/entities.php: Let's go with the most obvious
	  application of this.
	* engine/lib/entities.php, engine/lib/river2.php: River access
	  issues
	* engine/lib/river2.php, languages/en.php,
	  views/default/river/item/noaccess.php: Stopgap for when you can
	  no longer view river items.
	* views/default/input/button.php: Button src isn't always required.
	* mod/notifications/languages/en.php: Text changes to hopefully
	  make friends notification settings a little less confusing
	* CONTRIBUTORS.txt: Addition to the contributors file

2009-03-04  pete

	* mod/thewire/views/default/thewire/css.php: css tweak

2009-03-04  ben

	* mod/guidtool/views/default/forms/guidtool/export.php,
	  mod/guidtool/views/default/forms/guidtool/import.php: GUIDtool
	  now uses input/plaintext
	* engine/lib/access.php: Access modification - owners can always
	  see their own content
	* views/foaf/user/default.php: Correction to FOAF URL
	* views/foaf/user/default.php: FOAF URL fix
	* views/foaf/page_elements,
	  views/foaf/page_elements/contentwrapper.php: FOAF contentwrapper

2009-03-04  kevinjardine

	* engine/lib/notification.php: Changed notification to use
	  has_access_to_entity to move all access control checks to a
	  single mechanism

2009-03-04  pete

	* mod/thewire/views/default/thewire/css.php: added rule to prevent
	  character remaing field focus on thewire individual page

2009-03-04  kevinjardine

	* engine/lib/access.php: Added has_access_to_entity function
	* engine/lib/access.php: Added the ability to optionally specify
	  the user to get_access_sql_suffix

2009-03-04  ben

	* views/rss/group/default.php, views/rss/object/default.php,
	  views/rss/river/item/list.php: URL sanitation for RSS feeds
	* mod/groups/views/default/groups/contentwrapper.php: Removing
	  extra quotes
	* views/json/page_elements,
	  views/json/page_elements/contentwrapper.php: JSON contentwrapper
	  view
	* engine/lib/elgglib.php, mod/groups/all.php, mod/groups/edit.php,
	  mod/groups/groupprofile.php,
	  mod/groups/views/default/groups/contentwrapper.php,
	  mod/groups/views/rss/groups/contentwrapper.php,
	  views/default/page_elements/contentwrapper.php,
	  views/rss/page_elements,
	  views/rss/page_elements/contentwrapper.php: Added contentWrapper
	  view

2009-03-04  kevinjardine

	* engine/lib/query.php: AccessControlQueryComponent::__toString
	  changed to use get_access_sql_suffix

2009-03-04  marcus

	* mod/guidtool/export.php, mod/guidtool/format_picker.php,
	  mod/guidtool/import.php, mod/guidtool/index.php,
	  mod/guidtool/languages/en.php, mod/guidtool/start.php: Moved GUID
	  tool to admin menu.

2009-03-04  pete

	* mod/riverdashboard/views/default/riverdashboard/css.php: added a
	  rule to prevent characters remaining field on thewire receiving
	  focus/highlighting

2009-03-04  ben

	* views/rss/river/item/list.php: Title fix.
	* engine/lib/elgglib.php, views/rss/river/item/list.php: Fixed
	  river RSS views

2009-03-04  kevinjardine

	* engine/lib/tags.php: Commented out a no longer needed line of
	  code
	* engine/lib/tags.php: get_tags now uses get_access_sql_suffix for
	  access control.

2009-03-04  ben

	* views/rss/river/item/list.php: Ampersand fix
	* engine/lib/elgglib.php, mod/riverdashboard/views/rss,
	  mod/riverdashboard/views/rss/riverdashboard,
	  mod/riverdashboard/views/rss/riverdashboard/container.php,
	  views/rss/river, views/rss/river/item,
	  views/rss/river/item/list.php: Improvements to elgg_view, plus
	  river dashboard RSS feed
	* mod/groups/start.php: The 'manage join requests' link doesn't
	  show up if the current group doesn't have public membership.

2009-03-03  ben

	* engine/lib/elgglib.php, mod/profile/icon.php,
	  mod/profile/icondirect.php, simplecache/view.php: Moving to a
	  smaller chunk size.

2009-03-03  marcus

	* version.php: Bumping version number

2009-03-03  ben

	* mod/profile/icon.php: Profile icons come in chunks.

2009-03-03  marcus

	* engine/lib/elgglib.php, simplecache/view.php: Echoing the large
	  output buffer in chunks

2009-03-03  ben

	* mod/profile/icon.php, mod/profile/icondirect.php,
	  simplecache/view.php: Splitting output into chunks.
	* htaccess_dist: Improved .htaccess

2009-03-03  marcus

	* engine/lib/elgglib.php: Stub for experimental view caching
	  (disabled)

2009-03-03  ben

	* _css/css.php, _css/js.php: Far future expires header

2009-03-03  marcus

	* engine/lib/elgglib.php: Using faster array concatination
	* views/default/input/button.php: Closes #832: Internal name now
	  handled

2009-03-03  ben

	* engine/lib/elgglib.php: $vars is once again populated with
	  session data

2009-03-03  marcus

	* engine/lib/elgglib.php: Removed utterly pointless lines
	* engine/lib/languages.php: Current language now cached per process
	  in elgg_echo.
	* engine/lib/plugins.php: Minor tweaks
	* engine/lib/elgglib.php: Minor tweaks
	* engine/lib/languages.php: Removed directory test to languages
	  since it's probably fair to assume that this isn't going to be
	  the case

2009-03-03  ben

	* simplecache/view.php: Content length on the simplecache.

2009-03-03  pete

	* views/default/css.php: tiny amendment to owner-block icon spacing

2009-03-03  ben

	* _css/js.php: JS override.
	* simplecache/view.php: Fix for previous.

2009-03-03  marcus

	* engine/lib/languages.php: Removing the stupidly slow array_merge
	  from lang load code

2009-03-03  ben

	* _css/css.php, simplecache/view.php: A quiet little CSS override
	  update.

2009-03-03  marcus

	* engine/lib/elgglib.php: Made get_library_files non-recursive and
	  removed is_dir test... makes the func <1% of total execution time

2009-03-03  ben

	* engine/lib/entities.php, engine/lib/group.php,
	  engine/lib/objects.php, engine/lib/sites.php,
	  engine/lib/users.php: Removed calls to the deprecated entity
	  cache

2009-03-03  marcus

	* mod/crontrigger/start.php: Suppressing output on cron trigger

2009-03-03  ben

	* engine/lib/pagehandler.php: Getting rid of needless
	  double-trimming.

2009-03-03  marcus

	* actions/admin/plugins/disable.php,
	  actions/admin/plugins/disableall.php,
	  actions/admin/plugins/enable.php,
	  actions/admin/plugins/enableall.php,
	  actions/admin/plugins/reorder.php, engine/lib/elgglib.php,
	  engine/lib/plugins.php, upgrade.php: Closes #831: Plugin view
	  location is now cached in a file in dataroot and is invalidated
	  on upgrade and plugin enable/disable/reorder. This means that
	  views no longer have to be discovered on boot - reducing file IO
	  from crazy amounts to 1. This also helps make adding new plugins
	  a linear event.

2009-03-03  ben

	* simplecache/view.php: Eliminating the content-length header

2009-03-03  marcus

	* htaccess_dist: Refs #830: Minor tweak
	* engine/lib/cache.php: Cache delete now functional

2009-03-02  marcus

	* engine/lib/cache.php: Limitless queries now supported

2009-03-02  kevinjardine

	* mod/groups/start.php,
	  mod/groups/views/default/groups/forum_latest.php: Changed group
	  forums to default to enabled.
	* engine/lib/access.php: Changed the order of the access dropdown
	  so that it is in order of increasing restriction (private,
	  friends, logged-in, public).

2009-03-02  pete

	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/object/groupforumtopic.php: discussion
	  list updated for long usernames, and clearing issues fixed for pc

2009-03-02  ben

	* engine/lib/database.php: Corrected unnecessarily patriotic
	  comments.

2009-03-02  marcus

	* engine/lib/users.php: Removing duplicate deletion code.

2009-03-02  ben

	* engine/lib/install.php: Minor change to previous.
	* engine/lib/install.php: A different table to check db existence
	  against.

2009-03-02  dave

	* mod/groups/views/default/object/groupforumtopic.php: small tweak
	  to change from username to name on discussion

2009-03-01  pete

	* mod/groups/views/default/groups/css.php: mac alignment fixed on
	  delete button
	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/object/groupforumtopic.php: delete
	  discussion button layout tweaked

2009-03-01  marcus

	* version.php: Bump
	* engine/lib/input.php, views/default/output/longtext.php: Closes
	  #828: Quite correct - rather tired - arrays are individually
	  trimmed - non-arrays are not.
	  Closes #714: Input filtering now triggers on a plugin hook, this
	  allows plugins to provide other filtering methods than kses (Refs
	  #561).

2009-03-01  dave

	* mod/groups/views/default/object/groupforumtopic.php: deleting
	  discussions added

2009-03-01  marcus

	* engine/lib/input.php: Closes #828: Array input values now trimmed
	  individually.

2009-03-01  dave

	* mod/thewire/languages/en.php: Wire lang string tweaked

2009-03-01  pete

	* _graphics/icon_bookmarkthis.gif, _graphics/icon_reportthis.gif:
	  owner block icons background color corrected for new theme
	* mod/riverdashboard/views/default/riverdashboard/css.php: reply
	  and delete button removed on latest post on riverdashboard
	* mod/groups/views/default/forms/forums/addpost.php,
	  mod/groups/views/default/forms/forums/addtopic.php,
	  mod/groups/views/default/forms/forums/edittopic.php,
	  mod/groups/views/default/forum/topicposts.php,
	  mod/reportedcontent/views/default/reportedcontent/form.php,
	  views/default/comments/forms/edit.php, views/default/css.php:
	  input/longtext and remove editor link layout improved

2009-02-28  marcus

	* engine/lib/input.php: Closes #665: Using a bit of preg callback
	  magic to do <wbr> encoding and href encoding in one pass.
	* engine/lib/languages.php: Closes #824: $language is initialised

2009-02-28  dave

	* mod/riverdashboard/views/default/widgets/river_widget/edit.php:
	  activity widget default tweaked
	* mod/thewire/languages/en.php: the wire lang tweaked
	* mod/thewire/views/default/object/thewire.php: the wire now uses
	  name rather than username

2009-02-28  marcus

	* engine/lib/upgrades/2009022701.php: Disabling updateclient on
	  installs as part of upgrade, this is because it is no longer
	  included and can cause problems.

2009-02-28  pete

	* mod/groups/views/default/object/groupforumtopic.php: autop
	  removed on fetching group description for list view (to remove
	  extraneous <br />)
	* mod/groups/views/default/groups/forum_latest.php: clearfloat
	  fixed
	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/object/groupforumtopic.php: groups
	  latest discussion list view timestamp moved/formatted

2009-02-28  marcus

	* mod/groups/actions/addtogroup.php: Removed email force from
	  notification emails

2009-02-28  pete

	* mod/groups/views/default/groups/css.php: groups widgets layout
	  made consistent

2009-02-27  pete

	* views/default/css.php: enable/disable mods buttons layout tweaked

2009-02-27  ben

	* mod/riverdashboard/languages/en.php: Corrected capitalisation,
	  added better description to 'add message' link

2009-02-27  pete

	* _graphics/footer_back.gif, _graphics/friends_picker_arrows.gif,
	  _graphics/icons/default/topbar.png,
	  _graphics/owner_block_back.jpg,
	  _graphics/owner_block_menu_arrow.gif,
	  _graphics/owner_block_menu_dot.gif,
	  _graphics/page_back_linen.gif,
	  _graphics/page_back_linen_shadow.gif, _graphics/skyscraper.gif,
	  _graphics/spotlight_back.gif,
	  _graphics/thewire_speech_bubble.gif, _graphics/toolbar_arrow.png,
	  _graphics/toolbar_arrow_ie.gif, _graphics/tools_over.png,
	  mod/groups/graphics/defaultlarge.gif,
	  mod/groups/graphics/defaultmedium.gif,
	  mod/groups/graphics/defaultsmall.gif,
	  mod/groups/graphics/defaulttiny.gif,
	  mod/groups/views/default/groups/css.php,
	  mod/logbrowser/views/default/logbrowser/css.php,
	  mod/notifications/views/default/notifications/css.php,
	  mod/profile/graphics/defaultlarge.gif,
	  mod/profile/graphics/defaultlarge.jpg,
	  mod/profile/graphics/defaultmaster.gif,
	  mod/profile/graphics/defaultmaster.jpg,
	  mod/profile/graphics/defaultmedium.gif,
	  mod/profile/graphics/defaultmedium.jpg,
	  mod/profile/graphics/defaultsmall.gif,
	  mod/profile/graphics/defaultsmall.jpg,
	  mod/profile/graphics/defaulttiny.gif,
	  mod/profile/graphics/defaulttiny.jpg,
	  mod/profile/graphics/defaulttopbar.gif,
	  mod/profile/graphics/defaulttopbar.jpg,
	  mod/profile/views/default/icon/user/default/large.php,
	  mod/profile/views/default/icon/user/default/master.php,
	  mod/profile/views/default/icon/user/default/medium.php,
	  mod/profile/views/default/icon/user/default/small.php,
	  mod/profile/views/default/icon/user/default/tiny.php,
	  mod/profile/views/default/icon/user/default/topbar.php,
	  mod/profile/views/default/profile/css.php,
	  mod/reportedcontent/views/default/reportedcontent/css.php,
	  mod/riverdashboard/views/default/riverdashboard/css.php,
	  mod/thewire/graphics/thewire_speech_bubble.gif,
	  mod/thewire/views/default/thewire/css.php, views/default/css.php,
	  views/default/js/friendsPickerv1.php,
	  views/default/js/initialise_elgg.php: default theme changed

2009-02-27  marcus

	* version.php: Bumped version number

2009-02-27  dave

	* mod/groups/actions/forums/editpost.php,
	  mod/groups/views/default/forum/topicposts.php: forum post edit
	  bug fixed

2009-02-27  ben

	* htaccess_dist: Deflation is now turned off by default because a
	  version of a certain majority-share browser really doesn't like
	  it.

2009-02-27  pete

	* views/default/admin/plugins.php: buttons moved
	* views/default/admin/plugins.php: class names added to
	  enable/disable buttons

2009-02-27  marcus

	* actions/admin/plugins/disableall.php,
	  actions/admin/plugins/enableall.php, engine/lib/plugins.php,
	  languages/en.php, views/default/admin/plugins.php: Enable all /
	  disable all functionality added

2009-02-27  dave

	* mod/thewire/views/default/widgets/thewire/view.php: set a default
	  num of wire posts to appear on a widget

2009-02-27  ben

	* mod/groups/actions/addtogroup.php,
	  mod/groups/actions/groupskillrequest.php,
	  mod/groups/languages/en.php, mod/groups/membershipreq.php,
	  mod/groups/start.php,
	  mod/groups/views/default/groups/membershiprequests.php: Join
	  request management added.

2009-02-27  marcus

	* mod/guidtool/views/default/forms/guidtool/export.php,
	  mod/profile/views/default/profile/icon.php,
	  views/default/input/access.php, views/default/input/button.php,
	  views/default/input/checkboxes.php,
	  views/default/input/email.php, views/default/input/hidden.php,
	  views/default/input/longtext.php,
	  views/default/input/password.php,
	  views/default/input/plaintext.php,
	  views/default/input/pulldown.php, views/default/input/radio.php,
	  views/default/input/tags.php, views/default/input/text.php,
	  views/default/input/url.php,
	  views/default/messages/exceptions/exception.php,
	  views/default/output/calendar.php,
	  views/default/output/confirmlink.php,
	  views/default/output/email.php,
	  views/default/output/pulldown.php,
	  views/default/output/tagcloud.php, views/default/output/tags.php,
	  views/default/output/text.php, views/default/output/url.php,
	  views/failsafe/input/button.php,
	  views/failsafe/input/checkboxes.php,
	  views/failsafe/input/hidden.php, views/failsafe/input/text.php,
	  views/failsafe/messages/exceptions/exception.php: Closes #651: I
	  agree, changed to convert both quotes.

2009-02-27  ben

	* languages/en.php: Added 'accept' to the language list
	* mod/groups/languages/en.php, mod/groups/membershipreq.php,
	  mod/groups/start.php,
	  mod/groups/views/default/groups/members.php,
	  mod/groups/views/default/groups/membershiprequests.php: Initital
	  group members page commit (not working yet).

2009-02-27  pete

	* mod/groups/views/default/forum/topicposts.php,
	  mod/reportedcontent/views/default/reportedcontent/listing.php,
	  mod/riverdashboard/views/default/riverdashboard/sitemessage.php,
	  views/default/css.php, views/default/js/initialise_elgg.php:
	  generic reusable collapsible div added (replacing manifest_file
	  which is solely for admin plugins page)

2009-02-27  ben

	* mod/notifications/views/default/notifications/subscriptions/collections.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  mod/notifications/views/default/notifications/subscriptions/groupsform.php,
	  mod/notifications/views/default/notifications/subscriptions/jsfuncs.php,
	  mod/notifications/views/default/notifications/subscriptions/personal.php:
	  Fixed checkboxes on the notification screen.
	* views/default/admin/plugins_opt/plugin.php: Plugin descriptions
	  are now displayed on the tool menu, for better ease of use.

2009-02-27  marcus

	* actions/login.php, languages/en.php: Redirect to tools on first
	  admin login.

2009-02-27  pete

	* mod/riverdashboard/views/default/riverdashboard/newestmembers.php:
	  members box fixed for IE6&7
	* mod/thewire/views/default/object/thewire.php: thewire user icon
	  layout fixed for IE / cross-browser consistency

2009-02-26  kevinjardine

	* mod/uservalidationbyemail/start.php: Event functions should
	  return true to prevent an event from being halted. Now this one
	  does.

2009-02-26  pete

	* mod/groups/views/default/groups/grouplisting.php,
	  mod/groups/views/default/groups/members.php,
	  mod/groups/views/default/object/groupforumtopic.php,
	  views/default/canvas/layouts/sidebar_boxes.php: markup fixing /
	  cleanup / ie6 fixes

2009-02-26  kevinjardine

	* engine/lib/entities.php, engine/lib/widgets.php: Fixes to
	  container permissions and widgets to allow default widgets to
	  work with the Elgg permissions system.

2009-02-26  ben

	* search/index.php: The search endpoint can now be told to go fetch
	  a users' friends.

2009-02-26  marcus

	* actions/admin/plugins/disable.php,
	  actions/admin/plugins/enable.php: enable/disable plugin actions
	  now support arrays as parameters
	* mod/groups/actions/addtogroup.php, mod/groups/actions/join.php,
	  mod/groups/actions/joinrequest.php: Closes #801, Refs #277: Group
	  join/request logic altered.

2009-02-26  dave

	* mod/thewire/views/default/thewire/profile_status.php: broken wire
	  link fixed

2009-02-26  kevinjardine

	* mod/groups/views/default/forum/topicposts.php: Gave each edit box
	  a unique ID

2009-02-26  ben

	* engine/lib/notification.php: Small access tweak for sending
	  notifications.
	* mod/groups/start.php: Fixed duplicate notifications.
	* mod/groups/start.php: Fixed the first-post forum topic
	  notification error. Fixes #816

2009-02-26  kevinjardine

	* engine/lib/access.php: Added "enemies" code to
	  get_access_sql_suffix. This implements two features: a. a user
	  can prevent another user from seeing any of his content and b. a
	  user can filter out all the content created by another user.
	  
	  There is no interface for this yet, but adding one should be easy
	  with this core support.

2009-02-26  pete

	* mod/thewire/views/default/object/thewire.php,
	  views/default/navigation/pagination.php: markup fixed for
	  cross-browser rendering consistency

2009-02-26  ben

	* mod/riverdashboard/index.php: Fixed pagination when filtering.

2009-02-26  marcus

	* engine/lib/admin.php: Closes #822: Action file existed however
	  the action was not registered (previously called directly)
	* account/forgotten_password.php, account/register.php,
	  dashboard/latest.php, engine/lib/elgglib.php, entities/list.php,
	  friends/add.php, friends/collections.php, friends/edit.php,
	  friends/index.php, friends/of.php, index.php, install.php,
	  mod/notifications/groups.php, mod/notifications/index.php,
	  mod/reportedcontent/add.php, mod/riverdashboard/index.php: Closes
	  #807: Removed echo on page_draw()

2009-02-26  ben

	* mod/groups/languages/en.php,
	  mod/groups/views/default/groups/find.php: Corrected bad form
	  action for group tag and made search label a little more
	  specific.

2009-02-25  marcus

	* engine/lib/languages.php: Refs #808: Bug was actually fixed by
	  not using empty... register_translations has to be in the wild
	  otherwise install won't load translation.
	* engine/lib/languages.php: Closes #808: Removed
	  register_translation from the wild, now called on boot so that it
	  is always after configuration_init

2009-02-25  ben

	* views/default/output/longtext.php: output/longtext now parses
	  URLs.

2009-02-25  dave

	* languages/en.php: small lang tweak

2009-02-25  ben

	* mod/riverdashboard/views/default/riverdashboard/js.php: Fixed
	  river pagination issue

2009-02-25  dave

	* mod/notifications/languages/en.php: lang file replaced
	* mod/riverdashboard/languages/en.php: missing lang string

2009-02-25  ben

	* version.php: Architectural version number change

2009-02-25  kevinjardine

	* actions/user/default_access.php,
	  views/default/user/settings/default_access.php: Adding two files
	  that might have been left out of the user default access commit.
	* engine/lib/access.php, engine/lib/elgglib.php, languages/en.php:
	  Added friends access level
	* actions/admin/site/update_basic.php, engine/lib/access.php,
	  engine/lib/users.php, languages/en.php,
	  views/default/settings/system.php: Introduces user default
	  access.

2009-02-25  marcus

	* htaccess_dist: Closes #800: Fixes typo

2009-02-25  ben

	* mod,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  views/default/friends/picker.php: Unicode character fix for
	  friends picker. Fixes #281
	* mod/thewire/languages/en.php: SPG fix
	* mod/notifications/views/default/notifications/subscriptions/collections.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  mod/notifications/views/default/notifications/subscriptions/groupsform.php,
	  mod/notifications/views/default/notifications/subscriptions/personal.php:
	  Removing the jumps on the notification pickers.
	* mod/groups/start.php: Removing the membership requests link for
	  now.

2009-02-24  ben

	* mod/groups/groupprofile.php,
	  mod/groups/views/default/groups/groupprofile.php: Removing an
	  infinite loop in groups.
	* mod/groups/views/default/forms/groups/invite.php: The group
	  invite friends picker now correctly highlights friends' tabs
	* engine/lib/metadata.php: Syntax improvements for the get_metadata
	  functions
	* engine/lib/relationships.php: Fix for previous, including a
	  change to check_entity_relationships that actually returns the
	  relationship object.
	* engine/lib/relationships.php: Introducing the 'delete
	  relationship' event. Fixes #779
	* mod/groups/languages/en.php: Defining grouptopic:blank; fixes
	  #809
	* engine/lib/notification.php: Notifications with nonexistent
	  handlers no longer throw an exception; they now write to the
	  error log. Refs #754
	* engine/lib/sessions.php: The session initialisation order is
	  slightly altered to allow for language setup on the index page.
	  Fixes #803
	* mod/groups/start.php: Group topics now have a friendlier URL.
	  This will help a lot for notifications.
	* engine/lib/notification.php: Fixed error in notification
	  procedure
	* mod/notifications/graphics/icon_notifications_web.gif: Removing
	  web notification graphic; will sit elsewhere.

2009-02-24  pete

	* mod/notifications/graphics/icon_notifications_web.gif: web
	  notification icon added

2009-02-24  dave

	* mod/groups/views/default/groups/find.php: all groups search form

2009-02-24  kevinjardine

	* actions/login.php, actions/user/requestnewpassword.php,
	  mod/uservalidationbyemail/languages/en.php: Attempts by
	  unvalidated users to login or request new passwords now trigger
	  plugin hooks (if available) or trigger the user validation event
	  by default. Thus, in the default case, the user will be remailed
	  a validation link. Addresses part of
	  http://trac.elgg.org/elgg/ticket/759 .

2009-02-24  ben

	* mod/profile/icondirect.php: Removing a minor simplecache debug
	  message that accidentally made it in.
	* mod/profile/icon.php, mod/profile/icondirect.php: Default icons
	  are preserved.

2009-02-24  dave

	* mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/start.php,
	  mod/riverdashboard/views/default/settings,
	  mod/riverdashboard/views/default/settings/riverdashboard,
	  mod/riverdashboard/views/default/settings/riverdashboard/edit.php:
	  you can now replace the default dashboard with the new activity
	  river, if required.

2009-02-24  pete

	* views/default/search/startblurb.php,
	  views/default/user/search/finishblurb.php,
	  views/default/user/search/startblurb.php: search results
	  formatted

2009-02-24  ben

	* _css/css.php, _css/js.php, upgrade.php: CSS, JS, upgrade are
	  marked as external pages.

2009-02-24  pete

	* mod/groups/views/default/groups/groupprofile.php:
	  groups:notfound:details text string formatted

2009-02-24  ben

	* mod/groups/discussions.php, mod/groups/forum.php,
	  mod/groups/membership.php, mod/groups/topicposts.php: Group
	  gatekeeper on internal group pages.
	* engine/lib/xml-rpc.php: Minor variable fix. Fixes #811

2009-02-24  dave

	* mod/groups/actions/delete.php: when deleting a group you now go
	  back to your groups

2009-02-24  ben

	* version.php: A further architecture update version increment.

2009-02-24  dave

	* mod/groups/views/default/forms/groups/invite.php: invite friends
	  to group page modified

2009-02-24  ben

	* engine/lib/entities.php, engine/lib/widgets.php, mod: Added fixes
	  to create_entity and add_widgets to correctly handle containers.

2009-02-24  dave

	* mod/thewire/views/default/thewire/profile_status.php: profile
	  update wire tweaked

2009-02-24  kevinjardine

	* actions/admin/site/update_basic.php, engine/lib/elgglib.php,
	  mod/profile/icondirect.php: Made icon views work properly for
	  non-default icons, and introduced elgg_view_enable_simplecache
	  and elgg_view_disable_simplecache functions.

2009-02-24  pete

	* mod/thewire/views/default/thewire/profile_status.php: profile
	  status update link formatted

2009-02-23  kevinjardine

	* actions/admin/site/update_basic.php,
	  engine/lib/configuration.php, languages/en.php,
	  mod/profile/icondirect.php, simplecache/view.php,
	  views/default/settings/system.php: Added the ability to turn
	  simplecache on and off.

2009-02-23  pete

	* mod/thewire/views/default/thewire/forms/add.php: post to wire
	  from thewire page styled

2009-02-23  ben

	* mod/groups/start.php: You should no longer get notified of your
	  own topic posts.
	* engine/lib/elgglib.php: ACCESS_DEFAULT is now defined.

2009-02-23  dave

	* mod/thewire/views/default/thewire/forms/add.php: a tweak to the
	  wire
	* mod/thewire/actions/add.php, mod/thewire/everyone.php,
	  mod/thewire/index.php, mod/thewire/languages/en.php,
	  mod/thewire/start.php,
	  mod/thewire/views/default/thewire/forms/add.php,
	  mod/thewire/views/default/thewire/profile_status.php: new wire
	  work

2009-02-23  pete

	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/groups/profileitems.php: right_column
	  changed from class to id to match left_column

2009-02-23  ben

	* mod/groups/groupprofile.php,
	  mod/groups/views/rss/groups/profileitems.php: Group RSS feed.
	* mod/groups/views/rss/forum/topics.php: RSS fix for groups.
	* engine/handlers/pagehandler.php: Removing the external definition
	  from the page handler again.
	* engine/lib/annotations.php, mod, mod/groups/start.php,
	  mod/groups/topicposts.php,
	  mod/groups/views/default/forum/topicposts.php,
	  mod/groups/views/rss/forum/topicposts.php,
	  mod/groups/views/rss/forum/viewposts.php,
	  views/rss/object/default.php: RSS for group topics, including
	  fixes for annotation getURL() override

2009-02-23  pete

	* views/default/css.php, views/default/messages/errors/list.php,
	  views/default/messages/messages/list.php,
	  views/default/navigation/topbar_tools.php,
	  views/default/page_elements/elgg_topbar.php: top toolbar menu id
	  changed to class. messages div slide action in some browsers
	  removed.

2009-02-23  ben

	* engine/handlers/pagehandler.php: Further external marker on the
	  pagehandler for walledgarden

2009-02-23  dave

	* mod/groups/actions/forums/editpost.php, mod/groups/start.php,
	  mod/groups/views/default/forum/topicposts.php: new group edit
	  options on discussion

2009-02-23  ben

	* engine/handlers/action_handler.php,
	  engine/handlers/cron_handler.php,
	  engine/handlers/xml-rpc_handler.php, index.php: Hook for better
	  walled garden

2009-02-23  dave

	* mod/groups/actions/forums/editpost.php,
	  mod/groups/views/default/forum/topicposts.php: a couple more
	  group comment edit tweaks

2009-02-23  ben

	* mod/groups/views/default/forum/topicposts.php: Translating
	  untranslated string

2009-02-23  dave

	* mod/groups/actions/forums/editpost.php,
	  mod/groups/views/default/forum/topicposts.php: small edit comment
	  bug fixed

2009-02-23  ben

	* version.php: Slight version change to represent architectural
	  changes.

2009-02-23  pete

	* mod/groups/views/default/forum/topics.php,
	  mod/groups/views/default/object/groupforumtopic.php: groups
	  interface details cleanup

2009-02-23  ben

	* engine/lib/group.php, mod/groups/groupprofile.php: Introducing
	  group_gatekeeper()
	* mod/thewire/languages/en.php: New post wire string
	* views/failsafe/input/access.php: Introducing the access control
	  to the failsafe view.
	* actions/admin/site/update_basic.php,
	  actions/systemsettings/install.php, engine/lib/access.php,
	  engine/lib/widgets.php, languages/en.php,
	  mod/profile/actions/edit.php,
	  mod/profile/views/default/profile/edit.php,
	  views/default/input/access.php,
	  views/default/settings/system.php,
	  views/failsafe/settings/system.php: Added site default access
	  permissions. Refs #744

2009-02-23  pete

	* mod/groups/views/default/forum/topicposts.php: superfluous <p>
	  tags removed

2009-02-23  dave

	* mod/groups/languages/en.php: missing lang tweak
	* mod/groups/views/default/forum/topics.php: new group discussion
	  layout tweaked to actually work
	* mod/groups/actions/forums/addtopic.php,
	  mod/groups/languages/en.php,
	  mod/groups/views/default/river/forum/topic,
	  mod/groups/views/default/river/forum/topic/create.php: topic
	  starting included in river

2009-02-22  dave

	* mod/groups/forum.php, mod/groups/languages/en.php,
	  mod/groups/views/default/object/groupforumtopic.php: new group
	  discussion layout
	* mod/groups/languages/en.php: tweaks to the group discussion lang
	* mod/groups/forum.php: group forum posts are now displayed based
	  on last action
	* mod/groups/actions/forums/deletepost.php,
	  mod/groups/actions/forums/editpost.php,
	  mod/groups/languages/en.php, mod/groups/start.php,
	  mod/groups/views/default/forum/topicposts.php: users can now edit
	  and delete their forum comments
	* mod/groups/actions/join.php, mod/groups/languages/en.php,
	  mod/groups/views/default/river/group,
	  mod/groups/views/default/river/group/create.php: new join group
	  river view added
	* mod/groups/actions/forums/addpost.php,
	  mod/groups/views/default/river/forum,
	  mod/groups/views/default/river/forum/create.php: new river view
	  added for group forum posts

2009-02-21  dave

	* actions/friends/add.php, languages/en.php,
	  views/default/friends/river,
	  views/default/friends/river/create.php: new friend river view and
	  action committed

2009-02-20  ben

	* mod/riverdashboard/index.php,
	  mod/riverdashboard/views/default/riverdashboard/container.php,
	  mod/riverdashboard/views/default/riverdashboard/js.php,
	  mod/riverdashboard/views/default/riverdashboard/nav.php:
	  Riverdashboard now loads tabs via jQuery AJAX.
	* mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  views/default/friends/forms/edit.php,
	  views/default/friends/picker.php: The friends picker now
	  highlights tabs when creating a collection if a user is present
	  there. Also, the separate friends picker in the notification
	  plugin is also now internationalised.

2009-02-20  pete

	* mod/groups/views/default/widgets/a_users_groups/view.php: groups
	  widget class added

2009-02-20  ben

	* mod/groups/start.php: Correction for previous.
	* mod/groups/start.php: Forum topic notifications fix.
	* engine/lib/notification.php: Notification messages can be
	  suppressed programmatically.

2009-02-20  dave

	* mod/groups/views/default/widgets/a_users_groups/view.php: group
	  widget tweaked

2009-02-20  ben

	* engine/lib/annotations.php: Fixes an annoying problem in
	  countAnnotations.

2009-02-20  dave

	* mod/groups/languages/en.php, mod/groups/start.php: group email
	  tweak to include lang

2009-02-20  pete

	* mod/profile/defaultprofile.php: custom profile fields admin panel
	  formatted
	* mod/thewire/views/default/thewire/profile_status.php: brackets
	  added around timestamp

2009-02-20  marcus

	* engine/lib/users.php: isFriend() now retrieving userid correctly

2009-02-20  dave

	* mod/thewire/views/default/thewire/profile_status.php: profile
	  status view tweaked

2009-02-20  marcus

	* mod/groups/actions/addtogroup.php: Closes #784: Action now checks
	  that the user is the logged in user's friend before invite.

2009-02-20  pete

	* views/default/usersettings/plugins_opt/plugin.php: configure
	  tools page - individual tools formatted
	* mod/riverdashboard/views/default/widgets/river_widget/view.php:
	  activity widget interface
	* views/default/spotlight/default.php: formatted spotlight footer

2009-02-20  dave

	* mod/profile/views/default/profile/listing.php: status moved on
	  member listings

2009-02-20  marcus

	* mod/groups/languages/en.php, mod/groups/membershipreq.php,
	  mod/groups/start.php: Placeholder for future work (refs #277)

2009-02-20  dave

	* mod/thewire/actions/add.php: tweak to the add to wire action to
	  make sure forward takes the user to the correct place

2009-02-20  pete

	* mod/groups/views/default/groups/grouplisting.php: group details
	  containerised

2009-02-20  ben

	* htaccess_dist: Removing unnecessary mod_rewrite rule
	* languages/en.php, views/default/friends/picker.php: The friends
	  picker can now be internationalized, also allows you to view
	  users whose usernames don't begin with a letter in the char
	  array.

2009-02-20  pete

	* mod/riverdashboard/views/default/widgets/river_widget/edit.php:
	  riverdash activity widget edit panel formatted
	* mod/thewire/views/default/widgets/thewire/view.php: empty <p>
	  tags causing issues removed
	* mod/groups/views/default/forms/groups/edit.php: button floated
	  and cleared

2009-02-20  ben

	* views/default/spotlight/default.php: Went in to decapitalise
	  "intranet", ended up making the text hopefully more immediate.

2009-02-20  pete

	* mod/groups/views/default/forms/groups/edit.php: delete group
	  button moved into own area
	* mod/groups/views/default/forms/forums/addtopic.php,
	  mod/groups/views/default/forum/topics.php,
	  mod/groups/views/default/groups/forum_latest.php,
	  mod/groups/views/default/groups/groupprofile.php,
	  mod/groups/views/default/groups/side_menu.php: group areas
	  interfacing

2009-02-20  ben

	* admin/plugins.php, admin/site.php, admin/statistics.php,
	  admin/user.php, mod, views/default/page_elements/owner_block.php:
	  Removed unnecessary owner blocks.

2009-02-20  dave

	* views/default/spotlight/default.php: new spotlight contents

2009-02-20  marcus

	* views/default/messages/exceptions/exception.php: Minor
	  improvement to exception message
	* views/default/messages/exceptions/exception.php: Minor
	  improvement to exception message
	* engine/lib/elgglib.php,
	  views/default/messages/exceptions/exception.php: Closes #487:
	  Removed superfluous page_draw from exception view.

2009-02-20  ben

	* engine/lib/river.php, engine/lib/river2.php: Added some
	  documentation to the river functions.

2009-02-20  marcus

	* mod/apiadmin/manifest.xml, mod/crontrigger/manifest.xml,
	  mod/diagnostics/manifest.xml, mod/garbagecollector/manifest.xml,
	  mod/groups/manifest.xml, mod/guidtool/manifest.xml,
	  mod/logbrowser/manifest.xml, mod/logrotate/manifest.xml,
	  mod/notifications/manifest.xml, mod/profile/manifest.xml,
	  mod/reportedcontent/manifest.xml, mod/thewire/manifest.xml,
	  mod/uservalidationbyemail/manifest.xml: Updated core module
	  manifests to contain today's build number. Refs #394
	* mod/riverdashboard/manifest.xml: Closes #795: Added manifest to
	  riverdashboard
	* mod/groups/languages/en.php: Closes #798: Fixing language
	  definition which somehow got clobbered. Nice spot!
	* engine/lib/entities.php: Fixes warning messages on disable or
	  delete for times when an entity has no sub items.

2009-02-19  ben

	* engine/lib/river2.php,
	  mod/riverdashboard/views/default/widgets/river_widget/view.php,
	  views/default/river/item/list.php: Pagination is now optional on
	  river lists; is removed on the river widget
	* engine/lib/river2.php: Friends river no longer shows your own
	  stuff.

2009-02-19  dave

	* mod/groups/edit.php: missing wrapper added

2009-02-19  ben

	* mod/groups/forum.php: Added a title to group forum topics. Fixes
	  #603
	* mod/groups/membership.php: For now, the group membership page is
	  protected, although eventually this should get its own profile
	  dropdown menu. Fixes #605

2009-02-19  pete

	* mod/groups/views/default/groups/featured.php,
	  mod/groups/views/default/groups/forum_latest.php,
	  mod/groups/views/default/groups/profileitems.php: groups
	  interface updated

2009-02-19  ben

	* engine/lib/elgglib.php: An alternative template handler will now
	  be sought by elgg_view by default. Fixes #768

2009-02-19  dave

	* mod/groups/views/default/groups/find.php,
	  mod/groups/views/default/groups/side_menu.php: all groups submenu
	  tweaked

2009-02-19  ben

	* engine/lib/install.php: A lighter way to detect if the db has
	  been installed. Fixes #791

2009-02-19  pete

	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/groups/featured.php: featured groups
	  sidebar styled

2009-02-19  ben

	* engine/lib/users.php: Fixed parameter errors in site-related
	  functions. Fixes #793
	* mod/profile/icondirect.php: Better unicode patching for icons.
	  Fixes #789

2009-02-19  marcus

	* version.php: Updated version number to today's build

2009-02-19  dave

	* mod/groups/all.php: small tweak to popular groups
	* mod/groups/all.php: it is now possible to list groups by most
	  popular
	* views/default/page_elements/header.php,
	  views/default/page_elements/header_contents.php,
	  views/default/pageshells/pageshell.php: the header has been split
	  out so that theme authors can target the header output without
	  worrying about overwriting the whole header file.

2009-02-19  ben

	* engine/lib/relationships.php: Introduced get / list entities by
	  relationship count

2009-02-19  dave

	* mod/thewire, mod/thewire/actions, mod/thewire/actions/add.php,
	  mod/thewire/actions/delete.php, mod/thewire/add.php,
	  mod/thewire/everyone.php, mod/thewire/graphics,
	  mod/thewire/graphics/thewire_speech_bubble.gif,
	  mod/thewire/index.php, mod/thewire/languages,
	  mod/thewire/languages/en.php, mod/thewire/manifest.xml,
	  mod/thewire/readme.txt, mod/thewire/start.php, mod/thewire/views,
	  mod/thewire/views/default, mod/thewire/views/default/object,
	  mod/thewire/views/default/object/thewire.php,
	  mod/thewire/views/default/river,
	  mod/thewire/views/default/river/object,
	  mod/thewire/views/default/river/object/thewire,
	  mod/thewire/views/default/river/object/thewire/create.php,
	  mod/thewire/views/default/thewire,
	  mod/thewire/views/default/thewire/activity_view.php,
	  mod/thewire/views/default/thewire/css.php,
	  mod/thewire/views/default/thewire/forms,
	  mod/thewire/views/default/thewire/forms/add.php,
	  mod/thewire/views/default/thewire/notfound.php,
	  mod/thewire/views/default/thewire/profile_status.php,
	  mod/thewire/views/default/thewire/scripts,
	  mod/thewire/views/default/thewire/scripts/counter.js,
	  mod/thewire/views/default/thewire/view.php,
	  mod/thewire/views/default/widgets,
	  mod/thewire/views/default/widgets/thewire,
	  mod/thewire/views/default/widgets/thewire/edit.php,
	  mod/thewire/views/default/widgets/thewire/view.php: the wire has
	  been moved to core as it now powers profile status and status on
	  member search
	* mod/activity, mod/river: old activity and river removed

2009-02-19  ben

	* htaccess_dist,
	  mod/apiadmin/views/default/apiadmin/forms/add_key.php,
	  mod/apiadmin/views/default/object/api_key.php,
	  mod/diagnostics/views/default/diagnostics/forms/download.php,
	  mod/groups/actions/join.php, mod/profile/defaultprofile.php,
	  mod/profile/views/default/profile/editdefaultprofile.php,
	  mod/profile/views/default/profile/menu/adminlinks.php,
	  views/default/account/forms/forgotten_password.php,
	  views/default/object/default.php: Repointed actions/ to action/
	  in all views and removed actions/* from the action handler.

2009-02-19  marcus

	* views/default/admin/plugins_opt/plugin.php: Removed some bad
	  links on actions
	* engine/lib/languages.php: Fixed strange infinite loop on language
	  loading.
	* engine/lib/languages.php: Removed @ from register translation
	  include_once
	* engine/lib/plugins.php, languages/en.php,
	  views/default/admin/plugins_opt/plugin.php: Closes #394: May now
	  specify elgg_version in the manifest to specify a minimum version
	  of elgg required.

2009-02-19  dave

	* engine/lib/elgglib.php,
	  views/default/canvas_header/submenu_template.php: delete
	  confirmation added to delete pages
	* mod/riverdashboard/views/default/riverdashboard/sitemessage.php:
	  input view changed on site messages
	* mod/groups/languages/en.php,
	  mod/groups/views/default/forms/groups/edit.php: warning applied
	  to group deletion
	* mod/groups/edit.php: title tweaked

2009-02-19  ben

	* engine/lib/users.php: Fix for user object counting with upper and
	  lower time limits.

2009-02-19  dave

	* languages/en.php: missing lang file
	* views/default/page_elements/owner_block.php: ownerblock tweak

2009-02-19  ben

	* engine/lib/entities.php, engine/lib/users.php, languages/en.php,
	  mod: Introducing archive functionality.

2009-02-19  dave

	* mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/start.php,
	  mod/riverdashboard/views/default/river,
	  mod/riverdashboard/views/default/river/sitemessage,
	  mod/riverdashboard/views/default/river/sitemessage/create.php,
	  mod/riverdashboard/views/default/widgets,
	  mod/riverdashboard/views/default/widgets/river_widget,
	  mod/riverdashboard/views/default/widgets/river_widget/edit.php,
	  mod/riverdashboard/views/default/widgets/river_widget/view.php:
	  new river widget

2009-02-18  pete

	* _graphics/elgg_toolbar_logo.gif: updated elgg toolbar logo

2009-02-18  dave

	* mod/groups/views/default/groups/featured.php: missing id applied
	* mod/groups/actions/featured.php, mod/groups/all.php,
	  mod/groups/languages/en.php, mod/groups/start.php,
	  mod/groups/views/default/groups/featured.php,
	  mod/groups/views/default/groups/grouplisting.php: admins can
	  highlight featured groups

2009-02-18  pete

	* mod/groups/views/default/groups/find.php: sidebar forms styled

2009-02-18  marcus

	* engine/lib/elgglib.php, engine/start.php: Closes #790: Removed @
	  before include statements.

2009-02-18  pete

	* views/default/river/item/list.php: forward and back text added
	* mod/profile/defaultprofile.php: reset button wrapped
	* mod/riverdashboard/views/default/riverdashboard/nav.php,
	  mod/riverdashboard/views/default/riverdashboard/newestmembers.php,
	  mod/riverdashboard/views/default/riverdashboard/sitemessage.php,
	  views/default/river/item/list.php: pagination on river fixed /
	  styled, and site message styled

2009-02-18  marcus

	* engine/lib/plugins.php: Helping plugin developers by no longer
	  suppressing parsing errors in plugins.

2009-02-17  ben

	* mod/riverdashboard/start.php: Fix for previous
	* mod/riverdashboard/start.php: Riverdashboard registers an init
	  event handler now .....

2009-02-17  pete

	* mod/groups/all.php, mod/groups/views/default/groups/find.php:
	  style applied

2009-02-17  dave

	* mod/groups/all.php,
	  mod/groups/views/default/groups/side_menu.php: more more all
	  groups tweak
	* mod/groups/all.php, mod/groups/languages/en.php,
	  mod/groups/start.php,
	  mod/groups/views/default/groups/featured.php,
	  mod/groups/views/default/groups/find.php,
	  mod/groups/views/default/groups/group_sort_menu.php,
	  mod/groups/views/default/groups/grouplisting.php: new all groups
	  view
	* mod/profile/views/default/profile/userdetails.php: bug fixed in
	  profile status
	* views/default/river/item/wrapper.php: river view altered

2009-02-17  marcus

	* languages/en.php, views/default/widgets/wrapper.php: Closes #763:
	  A message is now displayed for widgets belonging to disabled
	  plugins explaining what has happened.

2009-02-17  pete

	* mod/riverdashboard/views/default/riverdashboard/css.php: css
	  added to sep file

2009-02-17  dave

	* mod/riverdashboard/views/default/riverdashboard/welcome.php:
	  welcome message tweaked
	* mod/riverdashboard/actions, mod/riverdashboard/actions/add.php,
	  mod/riverdashboard/actions/delete.php,
	  mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/start.php,
	  mod/riverdashboard/views/default/riverdashboard/sitemessage.php:
	  simple site message added
	* mod/groups/views/default/groups/profileitems.php: removed a
	  redundant view

2009-02-17  marcus

	* mod/groups/groupprofile.php, mod/groups/languages/en.php,
	  mod/groups/views/default/groups/closedmembership.php: Closes
	  #786: Only basic profile information provided to non-joined users
	  of closed groups.

2009-02-17  dave

	* mod/profile/views/default/profile/listing.php: entity passed to
	  status view

2009-02-17  pete

	* mod/riverdashboard/index.php, mod/riverdashboard/start.php,
	  mod/riverdashboard/views/default/riverdashboard/css.php,
	  mod/riverdashboard/views/default/riverdashboard/nav.php,
	  mod/riverdashboard/views/default/riverdashboard/newestmembers.php,
	  mod/riverdashboard/views/default/riverdashboard/sitemessage.php,
	  mod/riverdashboard/views/default/riverdashboard/welcome.php,
	  views/default/css.php, views/default/friends/collectiontabs.php:
	  interface updated, markup tweaked etc

2009-02-17  dave

	* mod/profile/views/default/profile/listing.php: new status view
	  created that can be extended

2009-02-17  marcus

	* engine/lib/elgglib.php, engine/start.php: Added some very basic
	  page load profiling.
	* engine/lib/elgglib.php: Closes #785: datalists now pulls all
	  settings on first item load.
	* engine/start.php: Closes #783: Initial cache write on start now
	  checks whether elgg has been fully installed before proceeding.

2009-02-16  dave

	* mod/profile/views/default/profile/userdetails.php: new view added
	  to allow status plugins to extend and display as part of the
	  profile block

2009-02-16  ben

	* mod/profile/icondirect.php: Icondirect now falls back on the
	  cached default view
	* mod/profile/start.php: Icon default views are now registered as
	  cached
	* views/default/input/plaintext.php: Introducing input/plaintext.

2009-02-16  pete

	* views/default/navigation/viewtype.php: loose page elements
	  wrapped in container div

2009-02-16  ben

	* engine/lib/elgglib.php, engine/start.php, upgrade.php: A little
	  more flexibility for the simplecache.

2009-02-16  marcus

	* engine/lib/entities.php: Short circuit get entity on impossible
	  values, saving two db queries per page

2009-02-16  ben

	* _css/css.php, _css/js.php, engine/lib/elgglib.php,
	  engine/start.php, simplecache/view.php,
	  views/default/page_elements/header.php: Views simplecache
	  improvements.

2009-02-16  dave

	* views/default/page_elements/footer.php: another view added for
	  analytics which plugins can extend
	* views/default/page_elements/footer.php: footer links replaced by
	  a view which plugins can extend

2009-02-16  marcus

	* engine/lib/cache.php: Removed select_default_memcache as this was
	  not used.
	* engine/lib/languages.php, engine/lib/sessions.php,
	  engine/start.php, version.php: Closes #429: Language loading now
	  no longer loads all possible translations - only english + user's
	  preferred language/site preference

2009-02-16  pete

	* engine/lib/usersettings.php, languages/en.php,
	  mod/profile/views/default/profile/userdetails.php,
	  views/default/friends/collections.php,
	  views/default/friends/forms/edit.php,
	  views/default/friends/tablelist.php: theme updates

2009-02-16  ben

	* actions/admin/plugins/disable.php,
	  actions/admin/plugins/enable.php,
	  actions/admin/plugins/reorder.php: Simplecache improvements.
	* _css/css.php, _css/js.php, engine/lib/elgglib.php,
	  engine/start.php, mod/profile/start.php,
	  mod/profile/views/default/profile/metatags.php, simplecache,
	  simplecache/view.php, upgrade.php,
	  views/default/page_elements/header.php: Committing the
	  simplecache for views.

2009-02-16  pete

	* views/default/friends/collections.php: removed broken expand all
	  link and js

2009-02-16  marcus

	* languages/en.php, views/default/admin/plugins_opt/plugin.php:
	  Closes #777: Plugin version now displayed under "more info" link
	  in plugin admin settings.

2009-02-15  dave

	* engine/lib/elgglib.php: latest activity link removed as it will
	  be replaced by a full activity stream
	* views/default/admin/statistics.php: removed redundant stats info

2009-02-15  pete

	* views/default/usersettings/form.php: user settings style brought
	  in line with other settings pages

2009-02-15  dave

	* mod/groups/views/default/groups/forum_latest.php: removed the
	  dropdown menu from forum latest view on group profiles
	* mod/groups/start.php: allow users to put a widget of their groups
	  on their dashboard as well as profile.
	* mod/groups/views/default/groups/forum_latest.php,
	  mod/groups/views/default/groups/profileitems.php: group homepage
	  forum view tweaked

2009-02-13  ben

	* engine/lib/filestore.php: Fixes #778. Thanks!

2009-02-13  pete

	* mod/apiadmin/views/default/apiadmin/forms/add_key.php,
	  mod/apiadmin/views/default/object/api_key.php,
	  mod/diagnostics/index.php,
	  mod/diagnostics/views/default/diagnostics/forms/download.php,
	  mod/notifications/views/default/notifications/subscriptions/form.php,
	  mod/notifications/views/default/notifications/subscriptions/groupsform.php,
	  mod/profile/views/default/profile/edit.php,
	  mod/profile/views/default/profile/editdefaultprofile.php,
	  mod/profile/views/default/profile/editicon.php,
	  mod/reportedcontent/views/default/reportedcontent/form.php,
	  mod/reportedcontent/views/default/reportedcontent/listing.php,
	  views/default/admin/plugins.php, views/default/admin/site.php,
	  views/default/admin/statistics.php, views/default/admin/user.php,
	  views/default/usersettings/form.php,
	  views/default/usersettings/plugins.php: css classname cleanup,
	  prep for v1.5 default theme

2009-02-13  ben

	* engine/lib/river2.php, views/default/river/item/list.php: Simple
	  river pagination.

2009-02-13  dave

	* mod/riverdashboard/index.php,
	  mod/riverdashboard/views/default/riverdashboard/newestmembers.php,
	  mod/riverdashboard/views/default/riverdashboard/sitemessage.php,
	  mod/riverdashboard/views/default/riverdashboard/welcome.php: new
	  views for riverdashboard

2009-02-13  ben

	* views/default/admin/plugins_opt/plugin.php,
	  views/default/css.php, views/default/js/initialise_elgg.php:
	  Moved plugin settings so they're more obvious.

2009-02-13  marcus

	* engine/lib/sessions.php: Fixed logic bug in login()
	* engine/schema/upgrades/2009021301.sql,
	  mod/groups/actions/edit.php, mod/groups/languages/en.php,
	  mod/groups/views/default/forms/groups/edit.php, version.php:
	  Closes #761, #718: Group permissions now made much much simpler.

2009-02-13  dave

	* actions/comments/add.php, views/default/annotation/annotate.php:
	  new annotations activity view

2009-02-13  pete

	* mod/groups/views/default/forms/groups/edit.php,
	  mod/guidtool/views/default/forms/guidtool/format.php,
	  mod/guidtool/views/default/forms/guidtool/import.php,
	  views/default/account/forms/forgotten_password.php,
	  views/default/comments/forms/edit.php,
	  views/default/export/entity.php: loose text strings cleaned up,
	  extra container divs added

2009-02-13  dave

	* mod/profile/actions/edit.php, mod/profile/actions/iconupload.php,
	  mod/profile/views/default/river/user/default/profileiconupdate.php,
	  mod/profile/views/default/river/user/default/profileupdate.php:
	  new river work committed for profiles
	* mod/riverdashboard/index.php: changed the activity view

2009-02-13  ben

	* mod/riverdashboard/languages,
	  mod/riverdashboard/languages/en.php,
	  mod/riverdashboard/views/default/riverdashboard/nav.php: Language
	  updates to river dashboard
	* mod/riverdashboard/index.php,
	  mod/riverdashboard/views/default/riverdashboard/nav.php: Added
	  better content filtering for dashboard
	* mod/riverdashboard, mod/riverdashboard/index.php,
	  mod/riverdashboard/start.php, mod/riverdashboard/views,
	  mod/riverdashboard/views/default,
	  mod/riverdashboard/views/default/riverdashboard,
	  mod/riverdashboard/views/default/riverdashboard/nav.php: New
	  river dashboard.
	* engine/lib/river2.php: Removing an erroneous system_message call.
	* engine/lib/river2.php: Data sanitisation fix.

2009-02-13  dave

	* views/default/canvas/layouts/sidebar_boxes.php,
	  views/default/css.php: new layout canvas

2009-02-13  marcus

	* engine/lib/database.php: Added lazy database connections to delay
	  establishing the db link until actually required - will allow for
	  future lite/static content endpoints that bypass db connections
	  and session creation.
	* engine/lib/elgglib.php: Closes #769: Added short circuit to quit
	  function if entity is null.
	* engine/lib/elgglib.php: Closes #772: $value no longer being
	  incorrectly set when memcache is enabled.

2009-02-12  ben

	* engine/lib/extender.php: A correction to the way attributes are
	  set for extenders.
	* languages/en.php: New base translation word: publish
	* engine/schema/mysql.sql: Schema fix
	* engine/lib/entities.php: Clear river items on entity delete
	* engine/lib/river2.php: A minor stabilisation change for river2
	* engine/lib/river2.php: A minor stabilisation change for river2

2009-02-12  marcus

	* vendors/kses/kses.php: Refs #561: Removed &amp encoding from kses
	  but retaining script input and entities.

2009-02-12  ben

	* engine/lib/river2.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2009021201.sql, version.php,
	  views/default/river/item, views/default/river/item/list.php,
	  views/default/river/item/wrapper.php: Alternative river system
	  trial. This is a test.

2009-02-12  marcus

	* engine/lib/river.php: Avoiding wsod for deleted users

2009-02-11  pete

	* mod/activity/views/default/activity/offset.php: div cleared after
	  pagination for theme compatability

2009-02-11  marcus

	* engine/lib/activity.php:
	* mod/groups/languages/en.php: Added some missing translations
	* crontab.example: Added links to better documentation
	* engine/lib/input.php: Closes #684: Scratching a particular itch
	  of mine by no longer hiding urls when converting them to active
	  links. This issue has caused many a headache. The url is now
	  preserved but with a <wbr /> inserted after every /, this lets
	  long urls be wrapped without breaking the url.

2009-02-11  ben

	* engine/lib/users.php: Removing wildcard from the beginning of
	  'like' search for user/username

2009-02-11  marcus

	* engine/lib/activity.php: Filtering on type,subtype and event
	* engine/lib/activity.php, engine/lib/river.php,
	  mod/activity/start.php: Relocation of activity database queries
	  to the core.

2009-02-10  marcus

	* admin/plugins, admin/plugins.php, admin/site, admin/site.php,
	  admin/statistics, admin/statistics.php, admin/user,
	  admin/user.php, engine/lib/admin.php: Cleaned up the admin
	  directory using a pagehandler.
	* languages/en.php, settings/plugins.php: Minor confusion clearups
	* views/default/output/calendar.php,
	  views/default/output/confirmlink.php,
	  views/default/output/email.php,
	  views/default/output/longtext.php,
	  views/default/output/pulldown.php,
	  views/default/output/tagcloud.php, views/default/output/tags.php,
	  views/default/output/text.php, views/default/output/url.php:
	  Closes #756: htmlentities on all output forms
	* mod/profile/views/default/profile/userdetails.php: XSS filtering
	  on output
	* engine/lib/input.php: Refs #561: Split filtering into separate
	  function

2009-02-10  ben

	* mod/profile/icondirect.php, mod/profile/start.php: Speedy icon
	  bypass.

2009-02-10  dave

	* mod/activity/views/default/activity/dashboard.php: add a view to
	  site wide activity that can be extended by the wire

2009-02-10  ben

	* engine/lib/notification.php: Further changes to the notification
	  mechanism.

2009-02-10  marcus

	* engine/lib/metadata.php: Closes #757: Removed strtolower as it is
	  not UTF8 safe. See http://www.phpwact.org/php/i18n/utf-8 for
	  further discussion.
	* views/default/input/access.php, views/default/input/email.php,
	  views/default/input/file.php, views/default/input/longtext.php,
	  views/default/input/password.php,
	  views/default/input/pulldown.php: Refs #756: htmlentities on all
	  input views
	* mod/activity/all.php, mod/activity/index.php: Marcus Povey
	  <marcus@elgg.com>
	  * Pagination not displayed when no activity present
	  * OpenDD link for your activity now functioning

2009-02-10  ben

	* mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Fixed 'all friends' button.

2009-02-10  dave

	* views/default/canvas/layouts/edit_layout.php: new edit canvas
	  layout

2009-02-10  marcus

	* mod/groups/start.php,
	  mod/groups/views/default/forms/groups/edit.php: Closes #752:
	  Delete move to edit, making it less fatal. Probably needs
	  skinning.

2009-02-09  ben

	* engine/lib/entities.php, engine/lib/notification.php,
	  mod/groups/start.php: A single notification is now sent out on
	  forum topic creation.
	  
	  This also contains an update to $entity->countAnnotations, which
	  no longer requires you to specify the annotation type.
	* engine/lib/notification.php: Notification fix: you no longer get
	  notifications on your own content.
	* mod/groups/languages/en.php, mod/groups/start.php: Introducing
	  group forum notifications

2009-02-09  marcus

	* engine/lib/entities.php: Refs #640: Entity disable now recursive
	* mod/groups/actions/delete.php, mod/groups/languages/en.php,
	  mod/groups/start.php: Closes #282, Refs #640: Group deletion
	  enabled. TODO: Suggested enhancement #752

2009-02-09  ben

	* engine/lib/annotations.php: Added the 'annotate' event on
	  entities.
	* mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Minor display fix.
	* mod/notifications/actions/save.php: Group notification settings
	  now save properly
	* engine/lib/relationships.php: Added a new filter to delete
	  relationship functions

2009-02-09  marcus

	* engine/lib/entities.php: Refs #640, #282: Recursive deletion of
	  owned and contained entities.
	* mod/profile/views/default/profile/menu/adminlinks.php: Closes
	  #223: Admin options now use output/confirmlink
	* mod/guidtool/actions, mod/guidtool/actions/delete.php,
	  mod/guidtool/languages/en.php, mod/guidtool/start.php,
	  mod/guidtool/views/default/guidtool/listing.php: Refs #492:
	  Export and delete links next to entity

2009-02-09  ben

	* engine/lib/notification.php: Extra security for object
	  notifications.
	* mod/notifications/actions/groupsave.php,
	  mod/notifications/actions/save.php, mod/notifications/groups.php,
	  mod/notifications/languages/en.php, mod/notifications/start.php,
	  mod/notifications/views/default/notifications/subscriptions/collections.php,
	  mod/notifications/views/default/notifications/subscriptions/groupsform.php:
	  Group notifications, all friends notification option

2009-02-09  marcus

	* languages/en.php: Couple of extra words
	* languages/en.php, views/default/output/confirmlink.php: Added
	  default to confirm link.

2009-02-09  pete

	* mod/activity/views/default/activity/css.php,
	  mod/activity/views/default/activity/offset.php: pagination on
	  activity stream added

2009-02-09  marcus

	* engine/lib/users.php: Closes #584: Removed exception, get_user
	  will now return false if GUID exists but is not a user. This
	  probably makes more sense as Exceptions should probably be
	  reserved for major Ooopses.
	  
	  The error in this bug was caused by this exception being thrown
	  and not caught in the access group handler. This may have been
	  the cause of a number of group related / permission related
	  errors.
	* engine/lib/users.php: Refs #584: Fixed error message.
	* engine/lib/entities.php: Closes #720:
	  setCalendarTimeAndDuration() now saves end time correctly.

2009-02-07  dave

	* mod/groups/views/default/groups/members.php: drop down menu
	  removed from members avatars on the group home page. You can
	  change this back by removing 'override' => 'true'
	* mod/groups/languages/en.php,
	  mod/groups/views/default/river/object,
	  mod/groups/views/default/river/object/group,
	  mod/groups/views/default/river/object/group/create.php,
	  mod/groups/views/default/river/object/groupforumtopic,
	  mod/groups/views/default/river/object/groupforumtopic/annotate.php,
	  mod/groups/views/default/river/object/groupforumtopic/create.php,
	  mod/groups/views/default/river/object/groupforumtopic/update.php,
	  mod/groups/views/default/river/relationship/member/create.php:
	  new river views added to groups
	* mod/activity/views/default/activity/css.php,
	  mod/profile/views/default/river/user/default/profileiconupdate.php:
	  profile icon added to change river view and css added to activity
	* mod/activity/all.php, mod/activity/friends.php,
	  mod/activity/index.php, mod/activity/languages/en.php,
	  mod/activity/views/default/activity/offset.php: small additions
	  to the activity view
	* mod/notifications/manifest.xml: manifest file added to
	  notifications

2009-02-06  ben

	* mod/notifications/groups.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  mod/notifications/views/default/notifications/subscriptions/groupsform.php,
	  mod/notifications/views/default/notifications/subscriptions/jsfuncs.php:
	  Tentative groups page committed into notifications plugin.
	* mod/notifications/languages/en.php,
	  mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Language and UI changes for the notifications plugin.

2009-02-06  pete

	* mod/notifications/views/default/notifications/css.php: styles for
	  notifications

2009-02-06  ben

	* mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Javascript just about beaten into submission. Viewers of the
	  public SVN, I apologise for clogging up the history view.
	  
	  Here's a joke by way of penance:
	* mod/notifications/actions/save.php: Save action corrections
	* mod/notifications/views/default/notifications/subscriptions/collections.php:
	  An attempt at fixing the toggle issue
	* mod/notifications/views/default/notifications/subscriptions/collections.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  mod/notifications/views/default/notifications/subscriptions/personal.php:
	  Notification settings. Still not right though ..
	* mod/notifications/views/default/notifications/subscriptions/collections.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  mod/notifications/views/default/notifications/subscriptions/personal.php:
	  More notification settings work.
	* mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Notification icons work properly when selecting / deselecting a
	  friends collection.
	* mod/notifications/languages/en.php,
	  mod/notifications/views/default/notifications/subscriptions/collections.php,
	  mod/notifications/views/default/notifications/subscriptions/form.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  mod/notifications/views/default/notifications/subscriptions/personal.php:
	  Friends collections work

2009-02-06  pete

	* _graphics/river_icons/river_icon_pages.gif,
	  _graphics/river_icons/river_icon_thewire.gif: icons for river
	  added
	* mod/activity/views/default/activity/css.php: updated activity css

2009-02-05  ben

	* htaccess_dist: Added digits to pagehandler rewrite rule. Fixes
	  #741
	* mod/notifications/actions/save.php,
	  mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Friends collections preferences are saved
	* mod/notifications/languages/en.php,
	  mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Collections titles
	* mod/notifications/views/default/notifications/css.php,
	  mod/notifications/views/default/notifications/subscriptions/collections.php:
	  Access collections toggle beginnings
	* mod/notifications/actions/save.php,
	  mod/notifications/languages/en.php, mod/notifications/start.php,
	  mod/notifications/views/default/notifications/css.php,
	  mod/notifications/views/default/notifications/settings,
	  mod/notifications/views/default/notifications/settings/usersettings.php,
	  mod/notifications/views/default/notifications/subscriptions/collections.php,
	  mod/notifications/views/default/notifications/subscriptions/form.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php,
	  mod/notifications/views/default/notifications/subscriptions/personal.php:
	  Further notification settings changes.
	* mod/notifications/actions/save.php, mod/notifications/graphics,
	  mod/notifications/graphics/icon_notifications_email.gif,
	  mod/notifications/languages/en.php, mod/notifications/start.php,
	  mod/notifications/views/default/notifications/css.php,
	  mod/notifications/views/default/notifications/subscriptions/form.php,
	  mod/notifications/views/default/notifications/subscriptions/forminternals.php:
	  Fitter, happier, more productive notifications plugin.
	* engine/lib/notification.php: Belts and braces with notifications
	* engine/lib/access.php: Minor change to access SQL. Fixes #687
	* htaccess_dist: Further htaccess change
	* htaccess_dist: htaccess update
	* mod/profile/start.php: Added profile updates to the notification
	  handler

2009-02-04  ben

	* views/json/api/output.php: API results now JSON export properly.
	  Refs #716
	* views/json/canvas/default.php, views/json/export/entity.php,
	  views/json/export/metadata.php,
	  views/json/export/relationship.php, views/json/group/default.php,
	  views/json/messages/exceptions/exception.php,
	  views/json/object/default.php,
	  views/json/pageshells/pageshell.php,
	  views/json/search/entity_list.php, views/json/site/default.php,
	  views/json/user/default.php: JSON feeds now work. Fixes #716
	* engine/lib/access.php, engine/lib/notification.php: Access
	  improvements on granular notifications
	* languages/en.php: DB credentials are no longer unnecessarily
	  revealed on failure to connect. Fixes #723
	* CONTRIBUTORS.txt: Contributors patch
	* mod/reportedcontent/actions/add.php,
	  mod/reportedcontent/actions/archive.php,
	  mod/reportedcontent/actions/delete.php,
	  mod/reportedcontent/languages/en.php: Added plugin hook triggers
	  to reportedcontent plugin. Fixes #725
	* views/default/input/button.php: Added class to input/button.
	  Fixes #618
	* mod/groups/views/default/forum/viewposts.php: Added pagination to
	  group topic posts. Fixes #704
	* entities/index.php: Added unique title tags to the entity
	  browser. Fixes #722
	* CONTRIBUTORS.txt, htaccess_dist, views/default/output/tags.php:
	  Tag URLs now conform to the microformats specification. Fixes
	  #729
	* CONTRIBUTORS.txt: Minor changes to contrib file

2009-02-04  dave

	* CONTRIBUTORS.txt: tweaks to the contributors file

2009-02-04  ben

	* actions/systemsettings/install.php, engine/lib/admin.php,
	  engine/lib/annotations.php, engine/lib/entities.php,
	  engine/lib/group.php, engine/lib/metadata.php,
	  engine/lib/plugins.php, engine/lib/system_log.php,
	  engine/lib/tags.php, engine/lib/users.php,
	  engine/lib/widgets.php, engine/start.php, languages/en.php,
	  mod/apiadmin/actions/generate.php, mod/groups/actions/edit.php,
	  mod/groups/views/default/forms/groups/edit.php,
	  mod/profile/actions/edit.php,
	  mod/profile/views/default/profile/edit.php,
	  mod/reportedcontent/actions/add.php,
	  mod/reportedcontent/views/default/reportedcontent/form.php: Moves
	  access permissions references over to using the ACCESS_*
	  constants defined in access.php. Refs #687
	* engine/lib/access.php, engine/lib/elgglib.php: Moved the access
	  constant definitions from access.php to elgglib.php, so they'll
	  be loaded initially.
	* engine/lib/users.php: When a new password is generated, the salt
	  is now regenerated first. Fixes #726.

2009-02-04  dave

	* engine/lib/entities.php: ticket #732 committed

2009-02-03  ben

	* views/default/navigation/pagination.php: Corrected pagination
	  limit error.
	* engine/lib/elgglib.php, views/default/embed,
	  views/default/embed/addcontentjs.php, views/default/embed/js.php:
	  Elgg Javascript update content function

2009-02-03  dave

	* engine/start.php: ticket #728 dealt with
	* mod/groups/views/default/groups/members.php: changed the number
	  of group members to display on group frontpages from 9999 to 10
	  (This should become configurable)
	* engine/lib/entities.php: patch number #724 applied

2009-02-03  ben

	* actions/useradd.php, languages/en.php: Users are now notified
	  when an account has been created for them on a site.

2009-02-02  ben

	* engine/lib/entities.php: Fixed bug in get_entities allowing for
	  multiple subtypes.

2009-02-01  dave

	* mod/groups/views/default/forms/forums/addtopic.php: removed
	  redundant post options

2009-01-30  ben

	* engine/lib/entities.php: Moving over to use file_exists to check
	  for default entity icons, which should be lighter to load and
	  produce fewer errors.

2009-01-29  ben

	* engine/lib/install.php: Tentatively downgraded version
	  requirement.

2009-01-28  ben

	* engine/lib/notification.php: notify_user now traps exceptions and
	  logs them.

2009-01-27  ben

	* engine/lib/notification.php: Change to notification object
	  registration function.

2009-01-27  pete

	* views/default/css.php, views/default/friends/picker.php:
	  friendspicker / collections updated to work with more than 12+
	  friends per pane

2009-01-27  dave

	* mod/profile/views/default/profile/userdetails.php: tweak to
	  banned user
	* views/default/admin/statistics.php: small admin tweak

2009-01-27  ben

	* engine/lib/entities.php: Added container_guid to
	  ElggEntity->save() and update_entity() functions. Fixes #711
	* engine/lib/elgglib.php: Moving actions into the boot event.

2009-01-26  ben

	* engine/lib/elgglib.php: Moved actions out of init files
	* engine/lib/notification.php: Added object notifications plugin
	  hook override.
	* engine/lib/annotations.php: Fixed pagination issue with count
	  annotations function.

2009-01-25  marcus

	* engine/lib/languages.php: Fixes #709: get_language() now fails
	  correctly. @ben Why is this introduced? Surely this is the same
	  as get_current_language()?

2009-01-24  marcus

	* engine/lib/metadata.php: Fixing access controls on multi-metadata

2009-01-23  marcus

	* README.txt: Refs #706: Copyright in readme
	* views/default/admin/plugins_opt/plugin.php: Support for people
	  who can't spell
	* _css/css.php, account/forgotten_password.php,
	  account/register.php, actions/admin/plugins/disable.php,
	  actions/admin/plugins/enable.php,
	  actions/admin/plugins/reorder.php,
	  actions/admin/site/update_basic.php, actions/admin/user/ban.php,
	  actions/admin/user/delete.php, actions/admin/user/makeadmin.php,
	  actions/admin/user/removeadmin.php,
	  actions/admin/user/resetpassword.php,
	  actions/admin/user/unban.php, actions/comments/add.php,
	  actions/comments/delete.php, actions/email/save.php,
	  actions/entities/delete.php, actions/friends/add.php,
	  actions/friends/addcollection.php,
	  actions/friends/deletecollection.php,
	  actions/friends/editcollection.php, actions/friends/remove.php,
	  actions/import/opendd.php, actions/login.php, actions/logout.php,
	  actions/notifications/settings/usersettings/save.php,
	  actions/plugins/settings/save.php,
	  actions/plugins/usersettings/save.php, actions/register.php,
	  actions/systemsettings/install.php, actions/user/language.php,
	  actions/user/name.php, actions/user/password.php,
	  actions/user/passwordreset.php,
	  actions/user/requestnewpassword.php, actions/useradd.php,
	  actions/usersettings/save.php, actions/widgets/add.php,
	  actions/widgets/reorder.php, actions/widgets/save.php,
	  admin/index.php, admin/plugins/index.php, admin/site/index.php,
	  admin/statistics/index.php, admin/user/index.php,
	  dashboard/index.php, dashboard/latest.php,
	  engine/handlers/action_handler.php,
	  engine/handlers/cron_handler.php,
	  engine/handlers/pagehandler.php,
	  engine/handlers/xml-rpc_handler.php, engine/lib/access.php,
	  engine/lib/actions.php, engine/lib/admin.php,
	  engine/lib/annotations.php, engine/lib/api.php,
	  engine/lib/cache.php, engine/lib/calendar.php,
	  engine/lib/configuration.php, engine/lib/cron.php,
	  engine/lib/database.php, engine/lib/elgglib.php,
	  engine/lib/entities.php, engine/lib/exceptions.php,
	  engine/lib/export.php, engine/lib/extender.php,
	  engine/lib/filestore.php, engine/lib/group.php,
	  engine/lib/input.php, engine/lib/install.php,
	  engine/lib/languages.php, engine/lib/location.php,
	  engine/lib/memcache.php, engine/lib/metadata.php,
	  engine/lib/metastrings.php, engine/lib/notification.php,
	  engine/lib/objects.php, engine/lib/opendd.php,
	  engine/lib/pagehandler.php, engine/lib/pageowner.php,
	  engine/lib/pam.php, engine/lib/ping.php, engine/lib/plugins.php,
	  engine/lib/query.php, engine/lib/relationships.php,
	  engine/lib/river.php, engine/lib/sessions.php,
	  engine/lib/sites.php, engine/lib/social.php,
	  engine/lib/statistics.php, engine/lib/system_log.php,
	  engine/lib/tags.php, engine/lib/users.php,
	  engine/lib/usersettings.php, engine/lib/version.php,
	  engine/lib/widgets.php, engine/lib/xml-rpc.php,
	  engine/lib/xml.php, engine/schema/mysql.sql, engine/start.php,
	  entities/index.php, entities/list.php, friends/add.php,
	  friends/collections.php, friends/edit.php, friends/index.php,
	  friends/of.php, friends/pickercallback.php, htaccess_dist,
	  index.php, install.php, mod/activity/all.php,
	  mod/activity/friends.php, mod/activity/index.php,
	  mod/activity/languages/en.php, mod/activity/manifest.xml,
	  mod/activity/opendd.php, mod/activity/start.php,
	  mod/activity/views/default/activity/css.php,
	  mod/activity/views/default/activity/wrapper.php,
	  mod/apiadmin/index.php, mod/apiadmin/languages/en.php,
	  mod/apiadmin/manifest.xml, mod/apiadmin/start.php,
	  mod/crontrigger/manifest.xml, mod/crontrigger/start.php,
	  mod/diagnostics/actions/download.php, mod/diagnostics/index.php,
	  mod/diagnostics/languages/en.php, mod/diagnostics/manifest.xml,
	  mod/diagnostics/start.php,
	  mod/diagnostics/views/default/diagnostics/forms/download.php,
	  mod/garbagecollector/languages/en.php,
	  mod/garbagecollector/manifest.xml,
	  mod/garbagecollector/start.php,
	  mod/groups/actions/addtogroup.php, mod/groups/actions/edit.php,
	  mod/groups/actions/forums/addpost.php,
	  mod/groups/actions/forums/addtopic.php,
	  mod/groups/actions/forums/deletepost.php,
	  mod/groups/actions/forums/deletetopic.php,
	  mod/groups/actions/forums/edittopic.php,
	  mod/groups/actions/join.php, mod/groups/actions/joinrequest.php,
	  mod/groups/actions/leave.php, mod/groups/addtopic.php,
	  mod/groups/all.php, mod/groups/discussions.php,
	  mod/groups/edit.php, mod/groups/edittopic.php,
	  mod/groups/forum.php, mod/groups/graphics/icon.php,
	  mod/groups/groupprofile.php, mod/groups/index.php,
	  mod/groups/invite.php, mod/groups/languages/en.php,
	  mod/groups/manifest.xml, mod/groups/membership.php,
	  mod/groups/new.php, mod/groups/start.php,
	  mod/groups/topicposts.php,
	  mod/groups/views/default/forms/forums/addpost.php,
	  mod/groups/views/default/forms/forums/addtopic.php,
	  mod/groups/views/default/forms/forums/edittopic.php,
	  mod/groups/views/default/forms/groups/edit.php,
	  mod/groups/views/default/forms/groups/invite.php,
	  mod/groups/views/default/forum/topicposts.php,
	  mod/groups/views/default/forum/topics.php,
	  mod/groups/views/default/forum/viewposts.php,
	  mod/groups/views/default/group/group.php,
	  mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/groups/groupgallery.php,
	  mod/groups/views/default/groups/grouplisting.php,
	  mod/groups/views/default/groups/groupprofile.php,
	  mod/groups/views/default/groups/icon.php,
	  mod/groups/views/default/groups/members.php,
	  mod/groups/views/default/groups/profileitems.php,
	  mod/groups/views/default/object/groupforumtopic.php,
	  mod/groups/views/default/river/relationship/member/create.php,
	  mod/groups/views/default/sharing/invite.php,
	  mod/groups/views/default/widgets/group_entities_widget/edit.php,
	  mod/groups/views/default/widgets/group_entities_widget/view.php,
	  mod/groups/views/default/widgets/group_members_widget/edit.php,
	  mod/groups/views/default/widgets/group_members_widget/view.php,
	  mod/groups/views/rss/forum/topics.php,
	  mod/groups/views/rss/forum/viewposts.php,
	  mod/groups/views/rss/groups/profileitems.php,
	  mod/guidtool/export.php, mod/guidtool/format_picker.php,
	  mod/guidtool/import.php, mod/guidtool/index.php,
	  mod/guidtool/languages/en.php, mod/guidtool/manifest.xml,
	  mod/guidtool/start.php, mod/guidtool/view.php,
	  mod/guidtool/views/default/forms/guidtool/export.php,
	  mod/guidtool/views/default/forms/guidtool/format.php,
	  mod/guidtool/views/default/forms/guidtool/import.php,
	  mod/guidtool/views/default/guidtool/gallery.php,
	  mod/guidtool/views/default/guidtool/listing.php,
	  mod/guidtool/views/default/guidtool/profile.php,
	  mod/guidtool/views/default/object/guidtoolwrapper.php,
	  mod/logbrowser/index.php, mod/logbrowser/languages/en.php,
	  mod/logbrowser/manifest.xml, mod/logbrowser/start.php,
	  mod/logbrowser/views/default/object/logwrapper.php,
	  mod/logrotate/languages/en.php, mod/logrotate/manifest.xml,
	  mod/logrotate/start.php, mod/profile/actions/cropicon.php,
	  mod/profile/actions/deletedefaultprofileitem.php,
	  mod/profile/actions/edit.php,
	  mod/profile/actions/editdefault.php,
	  mod/profile/actions/iconupload.php,
	  mod/profile/actions/resetdefaultprofile.php,
	  mod/profile/defaultprofile.php, mod/profile/edit.php,
	  mod/profile/editicon.php, mod/profile/icon.php,
	  mod/profile/index.php, mod/profile/javascript.php,
	  mod/profile/manifest.xml, mod/profile/start.php,
	  mod/profile/views/default/profile/edit.php,
	  mod/profile/views/default/profile/editdefaultprofile.php,
	  mod/profile/views/default/profile/editicon.php,
	  mod/profile/views/default/profile/gallery.php,
	  mod/profile/views/default/profile/hoverover.php,
	  mod/profile/views/default/profile/icon.php,
	  mod/profile/views/default/profile/javascript.php,
	  mod/profile/views/default/profile/listing.php,
	  mod/profile/views/default/profile/menu/actions.php,
	  mod/profile/views/default/profile/menu/adminlinks.php,
	  mod/profile/views/default/profile/menu/links.php,
	  mod/profile/views/default/profile/menu/linksownpage.php,
	  mod/profile/views/default/profile/metatags.php,
	  mod/profile/views/default/profile/profilelinks.php,
	  mod/profile/views/default/profile/submenu.php,
	  mod/profile/views/default/profile/userdetails.php,
	  mod/reportedcontent/actions/add.php,
	  mod/reportedcontent/actions/archive.php,
	  mod/reportedcontent/actions/delete.php,
	  mod/reportedcontent/add.php, mod/reportedcontent/index.php,
	  mod/reportedcontent/languages/en.php,
	  mod/reportedcontent/manifest.xml, mod/reportedcontent/start.php,
	  mod/reportedcontent/views/default/reportedcontent/form.php,
	  mod/river/manifest.xml, mod/river/start.php,
	  mod/river/views/default/widgets/river_widget/edit.php,
	  mod/river/views/default/widgets/river_widget/view.php,
	  mod/river/views/default/widgets/river_widget_friends/edit.php,
	  mod/river/views/default/widgets/river_widget_friends/view.php,
	  mod/uservalidationbyemail/actions/email/confirm.php,
	  mod/uservalidationbyemail/languages/en.php,
	  mod/uservalidationbyemail/manifest.xml,
	  mod/uservalidationbyemail/start.php, search/index.php,
	  search/users.php, services/api/rest.php,
	  services/export/handler.php, settings/index.php,
	  settings/plugins.php, settings/statistics.php, settings/user.php,
	  upgrade.php, version.php,
	  views/default/account/forms/forgotten_password.php,
	  views/default/account/forms/login.php,
	  views/default/account/forms/register.php,
	  views/default/account/forms/useradd.php,
	  views/default/admin/main.php,
	  views/default/admin/main_opt/plugins.php,
	  views/default/admin/main_opt/site.php,
	  views/default/admin/main_opt/statistics.php,
	  views/default/admin/main_opt/user.php,
	  views/default/admin/plugins.php,
	  views/default/admin/plugins_opt/plugin.php,
	  views/default/admin/site.php, views/default/admin/statistics.php,
	  views/default/admin/statistics_opt/basic.php,
	  views/default/admin/statistics_opt/numentities.php,
	  views/default/admin/statistics_opt/online.php,
	  views/default/admin/user.php,
	  views/default/admin/user_opt/adduser.php,
	  views/default/admin/user_opt/search.php,
	  views/default/ajax/loader.php,
	  views/default/annotation/generic_comment.php,
	  views/default/api/output.php,
	  views/default/basic_elements/welcome.php,
	  views/default/canvas/default.php,
	  views/default/canvas/layouts/one_column.php,
	  views/default/canvas/layouts/two_column_left_sidebar.php,
	  views/default/canvas/layouts/two_column_right_sidebar.php,
	  views/default/canvas/layouts/widgets.php,
	  views/default/comments/forms/edit.php, views/default/css.php,
	  views/default/export/entity.php,
	  views/default/export/metadata.php,
	  views/default/export/relationship.php,
	  views/default/friends/collection.php,
	  views/default/friends/collections.php,
	  views/default/friends/forms/collectionfields.php,
	  views/default/friends/forms/edit.php,
	  views/default/friends/list.php, views/default/friends/picker.php,
	  views/default/friends/tablelist.php,
	  views/default/friends/tablelistcountupdate.php,
	  views/default/graphics/icon.php, views/default/group/default.php,
	  views/default/input/access.php, views/default/input/button.php,
	  views/default/input/calendar.php,
	  views/default/input/checkboxes.php,
	  views/default/input/email.php, views/default/input/file.php,
	  views/default/input/form.php, views/default/input/hidden.php,
	  views/default/input/longtext.php,
	  views/default/input/password.php,
	  views/default/input/pulldown.php, views/default/input/radio.php,
	  views/default/input/reset.php, views/default/input/submit.php,
	  views/default/input/tags.php, views/default/input/text.php,
	  views/default/input/url.php,
	  views/default/messages/errors/error.php,
	  views/default/messages/errors/list.php,
	  views/default/messages/exceptions/exception.php,
	  views/default/messages/list.php,
	  views/default/messages/messages/list.php,
	  views/default/messages/messages/message.php,
	  views/default/navigation/pagination.php,
	  views/default/navigation/topbar_tools.php,
	  views/default/navigation/viewtype.php,
	  views/default/notifications/settings/usersettings.php,
	  views/default/object/default.php,
	  views/default/object/object.php, views/default/object/plugin.php,
	  views/default/object/widget.php,
	  views/default/output/calendar.php,
	  views/default/output/checkboxes.php,
	  views/default/output/confirmlink.php,
	  views/default/output/date.php, views/default/output/email.php,
	  views/default/output/iframe.php,
	  views/default/output/longtext.php,
	  views/default/output/pulldown.php,
	  views/default/output/radio.php,
	  views/default/output/tagcloud.php, views/default/output/tags.php,
	  views/default/output/text.php, views/default/output/url.php,
	  views/default/page_elements/elgg_topbar.php,
	  views/default/page_elements/footer.php,
	  views/default/page_elements/owner_block.php,
	  views/default/page_elements/spotlight.php,
	  views/default/page_elements/title.php,
	  views/default/pageshells/pageshell.php,
	  views/default/river/dashboard.php,
	  views/default/river/relationship/friend/create.php,
	  views/default/river/wrapper.php,
	  views/default/search/gallery.php,
	  views/default/search/gallery_listing.php,
	  views/default/search/listing.php,
	  views/default/settings/install.php,
	  views/default/settings/system.php,
	  views/default/site/default.php,
	  views/default/spotlight/default.php,
	  views/default/text/about.php,
	  views/default/text/privacy_view.php,
	  views/default/text/tos_view.php, views/default/user/default.php,
	  views/default/user/settings/email.php,
	  views/default/user/settings/language.php,
	  views/default/user/settings/name.php,
	  views/default/user/settings/password.php,
	  views/default/usersettings/main.php,
	  views/default/usersettings/main_opt/plugins.php,
	  views/default/usersettings/main_opt/statistics.php,
	  views/default/usersettings/main_opt/user.php,
	  views/default/usersettings/plugins.php,
	  views/default/usersettings/plugins_opt/plugin.php,
	  views/default/usersettings/statistics.php,
	  views/default/usersettings/statistics_opt/numentities.php,
	  views/default/usersettings/statistics_opt/online.php,
	  views/default/welcome.php, views/default/welcome/logged_in.php,
	  views/default/welcome/logged_out.php,
	  views/default/widgets/editwrapper.php,
	  views/default/widgets/wrapper.php,
	  views/failsafe/canvas/default.php,
	  views/failsafe/input/button.php,
	  views/failsafe/input/checkboxes.php,
	  views/failsafe/input/form.php, views/failsafe/input/hidden.php,
	  views/failsafe/input/longtext.php,
	  views/failsafe/input/pulldown.php,
	  views/failsafe/input/reset.php, views/failsafe/input/submit.php,
	  views/failsafe/input/text.php,
	  views/failsafe/messages/errors/error.php,
	  views/failsafe/messages/errors/list.php,
	  views/failsafe/messages/exceptions/exception.php,
	  views/failsafe/messages/list.php,
	  views/failsafe/messages/messages/list.php,
	  views/failsafe/messages/messages/message.php,
	  views/failsafe/messages/sanitisation/htaccess.php,
	  views/failsafe/messages/sanitisation/settings.php,
	  views/failsafe/pageshells/pageshell.php,
	  views/failsafe/settings/install.php,
	  views/failsafe/settings/system.php,
	  views/foaf/canvas/default.php,
	  views/foaf/pageshells/pageshell.php, views/foaf/user/default.php,
	  views/js/object/default.php, views/js/pageshells/pageshell.php,
	  views/js/user/default.php, views/json/api/output.php,
	  views/json/canvas/default.php, views/json/export/entity.php,
	  views/json/export/metadata.php,
	  views/json/export/relationship.php, views/json/group/default.php,
	  views/json/messages/exceptions/exception.php,
	  views/json/object/default.php,
	  views/json/pageshells/pageshell.php,
	  views/json/search/entity_list.php, views/json/site/default.php,
	  views/json/user/default.php, views/opendd/canvas/default.php,
	  views/opendd/export/entity.php, views/opendd/export/metadata.php,
	  views/opendd/export/relationship.php,
	  views/opendd/group/default.php,
	  views/opendd/messages/exceptions/exception.php,
	  views/opendd/object/default.php,
	  views/opendd/pageshells/pageshell.php,
	  views/opendd/site/default.php, views/opendd/user/default.php,
	  views/php/api/output.php, views/php/canvas/default.php,
	  views/php/export/entity.php, views/php/export/metadata.php,
	  views/php/export/relationship.php, views/php/group/default.php,
	  views/php/messages/exceptions/exception.php,
	  views/php/object/default.php, views/php/pageshells/pageshell.php,
	  views/php/search/entity_list.php, views/php/site/default.php,
	  views/php/user/default.php, views/rss/annotation/default.php,
	  views/rss/canvas/default.php, views/rss/group/default.php,
	  views/rss/object/default.php, views/rss/pageshells/pageshell.php,
	  views/rss/user/default.php, views/xml/api/output.php,
	  views/xml/messages/exceptions/exception.php,
	  views/xml/pageshells/pageshell.php, views/xml/xml-rpc/output.php:
	  Refs #706

2009-01-23  ben

	* mod/notifications/languages/en.php, mod/notifications/start.php:
	  Menu heading changes
	* mod/notifications/actions, mod/notifications/actions/save.php:
	  Added save action for the notification subscriptions.
	* mod/notifications, mod/notifications/index.php,
	  mod/notifications/languages, mod/notifications/languages/en.php,
	  mod/notifications/start.php, mod/notifications/views,
	  mod/notifications/views/default,
	  mod/notifications/views/default/notifications,
	  mod/notifications/views/default/notifications/subscriptions,
	  mod/notifications/views/default/notifications/subscriptions/form.php:
	  Added notification subscriptions page.
	* engine/lib/languages.php: Moved current language detection out
	  into the function get_language();

2009-01-23  pete

	* views/default/css.php, views/default/js/initialise_elgg.php,
	  views/default/navigation/topbar_tools.php: new cross-browser js
	  toolbar menu

2009-01-23  marcus

	* engine/lib/sessions.php: Refs #562: Configuration flag to disable
	  database sessions.
	* languages/en.php: Fixes missing translations
	* version.php: Bumped version to today

2009-01-22  marcus

	* views/default/usersettings/statistics_opt/online.php: Closes
	  #702: Correct parameters fed to get_system_log

2009-01-22  pete

	* mod/profile/views/default/profile/css.php,
	  vendors/jquery/jquery-easing-compatibility.1.2.pack.js,
	  vendors/jquery/jquery-easing.1.2.pack.js,
	  vendors/jquery/jquery-ui-personalized-1.5.3.packed.js,
	  vendors/jquery/jquery-ui-personalized-1.5.packed.js,
	  vendors/jquery/jquery.easing.1.3.packed.js,
	  views/default/js/friendsPickerv1.php,
	  views/default/js/initialise_elgg.php,
	  views/default/page_elements/header.php: jquery framework and
	  avatar menu updated

2009-01-22  ben

	* engine/lib/notification.php: A further change to ensure
	  notification messages don't get changed for every method if one
	  method needs to make a change.
	* engine/lib/notification.php: Slight change to notifications.
	* engine/lib/notification.php: Added more granular notification
	  hook

2009-01-22  marcus

	* engine/lib/elgglib.php, engine/lib/metadata.php: Closes #701:
	  Blank tags not returned by string_to_tag_array

2009-01-22  ben

	* engine/lib/notification.php: Granular notification: a start

2009-01-22  marcus

	* engine/lib/relationships.php: Relationships no longer double
	  added

2009-01-21  marcus

	* engine/lib/plugins.php: Closes #700: If a plugin doesn't
	  physically exist then it is deleted.
	* views/default/usersettings/plugins_opt/plugin.php: User settings
	  translated
	* views/default/admin/plugins_opt/plugin.php,
	  views/default/usersettings/plugins_opt/plugin.php: Reverted.
	* views/default/admin/plugins_opt/plugin.php,
	  views/default/usersettings/plugins_opt/plugin.php: Tools menus
	  now elgg_echo folder name

2009-01-21  ben

	* engine/lib/annotations.php: Introducing a function that orders by
	  sums of an annotation AND limits by a metadata value

2009-01-21  marcus

	* mod/activity, mod/activity/all.php, mod/activity/friends.php,
	  mod/activity/index.php, mod/activity/languages,
	  mod/activity/languages/en.php, mod/activity/manifest.xml,
	  mod/activity/opendd.php, mod/activity/start.php,
	  mod/activity/views, mod/activity/views/default,
	  mod/activity/views/default/activity,
	  mod/activity/views/default/activity/css.php,
	  mod/activity/views/default/activity/dashboard.php,
	  mod/activity/views/default/activity/wrapper.php,
	  mod/activity/views/default/settings,
	  mod/activity/views/default/settings/activity,
	  mod/activity/views/default/settings/activity/edit.php,
	  mod/activity/views/opendd, mod/activity/views/opendd/activity,
	  mod/activity/views/opendd/activity/dashboard.php: Added Activity
	  stream back in
	* engine/lib/users.php: Closes #699: get_user_by_username now using
	  access controls. Will no longer throw exception when accessing
	  disabled users.

2009-01-20  ben

	* engine/lib/annotations.php: Added toggling for the annotation sum
	  list functions.
	* engine/lib/annotations.php: Added to and fixed the list by
	  annotation count functions.
	* engine/lib/annotations.php: Fix for previous
	* engine/lib/annotations.php: Added the missing 'group by' clause
	  to the get annotations by sum SQL query.

2009-01-19  marcus

	* engine/lib/plugins.php: Added user to user settings
	* engine/lib/plugins.php: Refs #697: Now using plugin hook so one
	  can do live validation of values
	* engine/lib/widgets.php: Closes #698: Typo corrected - nice spot!
	* actions/plugins/settings/save.php,
	  actions/plugins/usersettings/save.php, engine/lib/plugins.php:
	  Closes #697: Events triggered when plugin settings are updated.

2009-01-19  ben

	* engine/lib/annotations.php: Fix for previous.
	* engine/lib/annotations.php: Added annotation sum functions

2009-01-19  marcus

	* engine/lib/metastrings.php: Closes #691: Should have been
	  is_memcache_available()

2009-01-16  marcus

	* actions/email/save.php, actions/user/language.php,
	  actions/user/name.php: Closes #689: Email now only changed if it
	  is different than the one registered, also a number of other
	  settings changed in this way.
	* actions/widgets/add.php, actions/widgets/reorder.php: Widget save
	  errors now use correct message box

2009-01-15  marcus

	* views/default/page_elements/header.php: Elgg version info now
	  present in headers.
	* mod/crontrigger, mod/crontrigger/manifest.xml,
	  mod/crontrigger/start.php: Closes #672: Poor mans cron plugin
	  enabled. This triggers events according to page load.
	* engine/lib/elgglib.php:
	* engine/lib/elgglib.php: Added shutdown, system event. Refs #672
	* mod/groups/actions/forums/edittopic.php: Editing post no longer
	  takes ownership
	* actions/email/save.php: Refs #641: Email changer now prevents
	  changing to the same as another user.

2009-01-14  marcus

	* engine/lib/sessions.php, languages/en.php: Closes #669: Logins
	  rate limited. Accounts are limited to 5 fails in a 5 minute
	  period, meaning an attacker can try one password per minute.
	* actions/user/password.php, engine/lib/users.php: Closes #675:
	  Posted missing commits from last time.

2009-01-13  ben

	* engine/lib/system_log.php: Comment correction.
	* engine/lib/elgglib.php: Fix for template handler override.

2009-01-13  marcus

	* engine/lib/group.php, engine/lib/objects.php,
	  engine/lib/sites.php, engine/lib/users.php: Closes #676: Entity
	  subtables now deleted on failed connections.

2009-01-13  ben

	* engine/lib/elgglib.php: Better trigger_plugin_hook documentation.

2009-01-13  marcus

	* actions/admin/user/resetpassword.php, engine/lib/users.php:
	  Closes #675: Salt changed during password reset
	* engine/lib/sessions.php:

2009-01-12  ben

	* engine/lib/tags.php: Tag updates.

2009-01-11  marcus

	* views/default/page_elements/owner_block.php: Added rel="nofollow"
	  rss and opendd links in ownerblock

2009-01-09  marcus

	* actions/admin/user/makeadmin.php,
	  actions/admin/user/removeadmin.php, languages/en.php,
	  mod/profile/views/default/profile/menu/adminlinks.php: Closes
	  #240: It is now possible to downgrade an admin user.
	* engine/lib/users.php: Closes #560: Pagination parameters added.
	* mod/groups/languages/en.php,
	  mod/groups/views/default/object/groupforumtopic.php: Closes #544:
	  Logged out view now shows correct dates, also tidied up some
	  translation issues.
	* engine/lib/elgglib.php, engine/lib/entities.php: Minor variable
	  name and comment change.
	* actions/admin/user/unban.php, engine/lib/api.php,
	  engine/lib/sessions.php, engine/lib/users.php,
	  engine/schema/mysql.sql, engine/schema/upgrades/2009010901.sql,
	  languages/en.php, mod/profile/views/default/profile/css.php,
	  mod/profile/views/default/profile/gallery.php,
	  mod/profile/views/default/profile/icon.php,
	  mod/profile/views/default/profile/listing.php,
	  mod/profile/views/default/profile/menu/adminlinks.php,
	  mod/profile/views/default/profile/profilelinks.php,
	  mod/profile/views/default/profile/userdetails.php, version.php:
	  Closes #668: Banning now works through a flag in the users_entity
	  table. Database upgrade required.
	  * Added ElggUser::isBanned();
	  * Added 'banned' column to users_entity
	  * Modified ban() and unban()
	  * Modified pam functions to check $user->isBanned()
	  * Modified login() to check $user->isBanned()
	  * Modified sessions_init() to check isBanned() and destroy
	  session accordingly
	  * Modified profile views to highlight banned users and prevent
	  menus for non-admin users.

2009-01-08  marcus

	* engine/lib/system_log.php: Closes #588: Don't remember adding
	  this check... but anyway, double entries regression fixed.
	* engine/lib/entities.php: Minor error message improvement
	* engine/lib/entities.php: Added extra belts and braces check
	  (minor)
	* engine/lib/entities.php: Added extra belts and braces check
	  (minor)
	* engine/lib/users.php: Refs #668: Building on [2546] and providing
	  ban and unban functions. Later these will be replaced with
	  "banning" functions.
	* mod/groups/views/default/forms/groups/edit.php: Closes #664:
	  Defaults added to radio buttons
	* engine/lib/statistics.php: Limit max display of active users to
	  10.
	* actions/admin/user/ban.php, engine/lib/users.php: Refs #668,
	  #640: Cleaner interface provided for banning.
	* actions/admin/user/ban.php, engine/lib/entities.php,
	  engine/lib/users.php: Refs #640: Renamed and moved
	  entities.php:disable_entities to user.php:disable_user_entities
	* engine/lib/entities.php: Delete replaced by disable in
	  disable_entity
	* engine/schema/mysql.sql, engine/schema/upgrades/2009010801.sql,
	  version.php: Closes #666: Added some extra indexes
	* languages/en.php, mod/uservalidationbyemail/languages/en.php:
	  Closes #546: Translation moved
	* engine/lib/annotations.php: Closes #663: Added access checks on
	  entity on get_entities_from_annotation and count functions.
	* engine/lib/metadata.php: Closes #667: Minor tweak, an e should be
	  an m

2009-01-07  marcus

	* engine/lib/relationships.php,
	  mod/groups/views/default/widgets/group_members_widget/view.php:
	  Closes #410: Pagination parameter now passed in relationship list
	  view.
	* engine/lib/access.php, mod/groups/groupprofile.php,
	  mod/groups/languages/en.php: Closes #286: Group access
	  restrictions issue fixed, modified from patch supplied with #315
	* views/failsafe/settings/system.php: Refs #622: Missing command
	  from failsafe view
	* mod/groups/views/default/groups/forum_latest.php: Closes #660:
	  Minor text tweak
	* actions/admin/site/update_basic.php,
	  actions/systemsettings/install.php, languages/en.php,
	  views/default/account/forms/login.php,
	  views/default/settings/system.php: Closes #662: https on login.

2009-01-06  marcus

	* views/default/navigation/pagination.php: Closes #587: The area of
	  code in question hasn't been coded as defencively as it could
	  have been.
	* engine/lib/annotations.php: Fixes #648: Copy and paste error
	  corrected.

2009-01-05  marcus

	* engine/lib/entities.php: * Added addRelationship to ElggEntity...
	  bit of an omission!
	* htaccess_dist: Closes #656: Disabled mod_deflate for all actions
	  so that active downloads will no longer be double compressed.
	* engine/lib/configuration.php, engine/lib/elgglib.php,
	  engine/lib/sites.php: Fixes #655, Refs #628: Install now working
	  with correct event chain (#628).

2009-01-02  marcus

	* actions/friends/add.php: Closes #649: Added checking to report
	  when friend add fails.

2009-01-01  dave

	* engine/lib/users.php: bug #634 fixed
	* mod/groups/views/default/groups/forum_latest.php: lang tweak in
	  group forums
	* mod/groups/actions/edit.php, mod/groups/languages/en.php,
	  mod/groups/start.php,
	  mod/groups/views/default/forms/groups/edit.php,
	  mod/groups/views/default/groups/forum_latest.php: groups owners
	  can choose if they want pages/files/forum enabled or not. Still a
	  little more to do, this is just the beginning code.
	* mod/groups/languages/en.php: missing group lang items added

2008-12-31  marcus

	* engine/lib/notification.php, engine/settings.example.php: Closes
	  #579: Allows configurable option $CONFIG->broken_mta = true. If
	  set, this uses "\n" instead of "\r\n" in email headers.

2008-12-30  marcus

	* engine/lib/metadata.php: Closes #643: Confirmed bug, applied fix
	  as suggested.
	* views/default/page_elements/owner_block.php: Closes #633: User
	  name in owner block is now link. This may require additional
	  skinning.
	* engine/lib/plugins.php: Closes #608: Placing a file called
	  "disabled" in mod now disables all plugins, allowing easier
	  recovery of an elgg site with screwed up modules.
	* views/default/input/button.php: Closes #519: Typo. Well spotted.
	* languages/en.php: Closes #500
	* mod/reportedcontent/languages/en.php,
	  mod/reportedcontent/views/default/reportedcontent/form.php,
	  mod/reportedcontent/views/default/reportedcontent/listing.php:
	  Closes #504

2008-12-29  marcus

	* engine/lib/input.php: Closes #396: Form should probably not be
	  permitted on input.

2008-12-23  marcus

	* engine/lib/elgglib.php: Closes #628: Event change now terminates
	  on false. Nice spot :)

2008-12-09  marcus

	* mod/updateclient: Removed upgrade client since it doesn't really
	  matter.
	* README.txt, version.php: Ticked up version number

2008-12-08  marcus

	* engine/schema/mysql.sql, engine/schema/upgrades/2008120501.sql:
	  Fixes #615

2008-12-08  ben

	* actions/admin/user/ban.php: Fixes to user banning (action side).
	* engine/lib/elgglib.php: Fixes to user banning.

2008-12-05  marcus

	* engine/lib/elgglib.php: Prototype view caching
	* engine/lib/notification.php: Closes #597: GUID must now be
	  non-zero for messages to be sent

2008-12-05  pete

	* views/default/css.php: unused rule removed #583

2008-12-05  marcus

	* register.php: Closes #582: Missing commit
	* engine/schema/mysql.sql, engine/schema/upgrades/2008111901.sql,
	  engine/schema/upgrades/2008120501.sql, version.php: Closes #611:
	  Made name field longer

2008-12-04  marcus

	* engine/lib/access.php: Closes #421 : Catches the DB Exception, so
	  hopefully this will prevent the error from showing up in the
	  future :)
	* languages/en.php, views/default/friends/collectiontabs.php:
	  Closes #501
	* engine/lib/users.php, mod/uservalidationbyemail/start.php: Closes
	  #609
	* engine/schema/upgrades/2008112002.sql: Fixed update script
	* htaccess_dist: ETag support

2008-12-04  dave

	* mod/groups/views/default/groups/forum_latest.php: latest group
	  discussion bug fixed

2008-12-03  marcus

	* engine/lib/location.php: Some location tweaks
	* engine/lib/users.php: Closes #550: Code metadata now moved to
	  private storage
	* mod/groups/membership.php: Closes #604

2008-12-02  marcus

	* version.php: oopsy, forgot to commit the version text

2008-11-28  ben

	* views/default/input/radio.php: Improved radio button value
	  retention
	* views/default/input/checkboxes.php: Improved checkbox value
	  retention

2008-11-26  marcus

	* mod/profile/views/default/profile/metatags.php: FOAF header added
	  to profile
	* views/foaf/user/default.php: Foaf ident on mailbox for friends
	* engine/schema/upgrades/2008112601.sql: Closes #571: Widgets now
	  use private store for settings
	* engine/lib/entities.php, engine/lib/widgets.php: Closes #571:
	  Widgets now use private store for settings
	* engine/lib/opendd.php:

2008-11-25  marcus

	* engine/lib/entities.php, engine/lib/location.php,
	  engine/schema/mysql.sql, engine/schema/upgrades/2008112501.sql,
	  version.php: Hook for future geocoding library added.
	* engine/schema/mysql.sql:

2008-11-24  marcus

	* engine/lib/metadata.php: Closes #580: Fixed tagging trim and
	  strtolower

2008-11-21  marcus

	* engine/lib/calendar.php: Refs #452: Basic entity listing
	  functions. Needs canvas.
	* engine/lib/users.php: Closes #554: Validation procedure now
	  correctly screening for ascii space

2008-11-20  marcus

	* engine/lib/sessions.php:
	* engine/lib/sessions.php: Added site secret to fingerprint to make
	  it harder to guess
	* engine/lib/sessions.php, engine/lib/users.php: Fixes #548:
	  Introducing set_last_login($user_guid). Called from login(), but
	  call from any authentication code where appropriate.
	* engine/lib/calendar.php, engine/lib/entities.php: Refs #452:
	  Calendar interface on entities
	* engine/lib/entities.php: Introducing
	  get_entities_from_private_setting();

2008-11-20  ben

	* engine/start.php, mod, mod/groups/topicposts.php, upgrade.php: No
	  need to trigger the init event on upgrade.

2008-11-20  marcus

	* engine/schema/upgrades/2008112001.sql,
	  engine/schema/upgrades/2008112002.sql, version.php: Refs #569,
	  #570, #571: Update script for both users and plugins plugin
	  settings
	* engine/schema/upgrades/2008111901.sql,
	  engine/schema/upgrades/2008112001.sql, version.php: Migrate
	  plugin settings from plugin to new settigns store.
	* engine/lib/entities.php, engine/lib/plugins.php: Refs #571. Fixes
	  #569, #570:
	  * Plugin functions set to use private data store.
	  * Fixed some db queries
	  * Modified plugin class overriding get/set functions
	* engine/schema/mysql.sql, engine/schema/upgrades/2008111901.sql:
	  Refs #569, #570, #571: Minor database schema errors corrected
	* engine/lib/entities.php: Refs #569, #570, #571: Corrected and
	  optimised insert query
	* engine/schema/mysql.sql, engine/schema/upgrades/2008111901.sql:
	  Refs #569, #570, #571: Minor database schema errors corrected
	* engine/lib/entities.php: Refs #569, #570, #571: dbprefix not
	  prefix;
	* engine/lib/entities.php: Refs #569, #570, #571: Added
	  remove_all_private_settings()
	* engine/lib/entities.php: Refs #569, #570, #571: Added
	  get_all_private_settings();
	* engine/lib/metadata.php: Fixes #531: Access permissions enforced

2008-11-19  marcus

	* engine/lib/entities.php, engine/lib/export.php,
	  engine/lib/extender.php, engine/lib/group.php,
	  engine/lib/objects.php, engine/lib/relationships.php,
	  engine/lib/sites.php, engine/lib/users.php,
	  views/default/export/entity.php, views/json/export/entity.php,
	  views/json/export/metadata.php,
	  views/json/export/relationship.php, views/php/export/entity.php,
	  views/php/export/metadata.php, views/php/export/relationship.php:
	  Fixes #568: Exportable code now inclusive not exclusive.
	  * Added extra function Exportable interface
	  * OpenDD export modified
	  * PHP & JSON export views modified
	  * Default export view will still show all data if you are logged
	  in as admin (since this view is used by the guidtool)

2008-11-19  ben

	* engine/lib/entities.php: Base private setting functions, commit 2
	* engine/lib/entities.php: Base private setting functions, commit 1
	* engine/schema/upgrades/2008111901.sql: Introducing the new
	  private settings table.

2008-11-19  marcus

	* engine/lib/calendar.php: Added get notable enities on
	  relationship
	* engine/lib/calendar.php: Added get notable enities on metadata
	* engine/lib/calendar.php: Added get notable enities

2008-11-18  marcus

	* engine/start.php: Closes #557

2008-11-14  marcus

	* dashboard/index.php, engine/lib/access.php,
	  engine/lib/annotations.php, engine/lib/entities.php,
	  engine/lib/extender.php, engine/lib/filestore.php,
	  engine/lib/group.php, engine/lib/languages.php,
	  engine/lib/metadata.php, engine/lib/notification.php,
	  engine/lib/plugins.php, engine/lib/sessions.php,
	  engine/lib/tags.php, engine/lib/users.php,
	  engine/lib/usersettings.php: * Introducing get_loggedin_user()
	  and get_loggedin_userid()
	  * ACLs now using get_loggedin_user*
	  * Some logic cleaned up
	  * Some "Undefined..." messages cleaned up
	* views/default/search/entity_list.php:
	* views/default/search/entity_list.php: Removed some "Undefined"
	  messages
	* engine/lib/elgglib.php: Removed some "Undefined" messages
	* views/default/input/access.php, views/default/input/button.php,
	  views/default/input/submit.php: Removed some "Undefined" messages
	* mod/profile/views/default/profile/userdetails.php: Removed some
	  "Undefined" messages
	* views/default/canvas/layouts/widgets.php: Removed some
	  "Undefined" messages
	* engine/lib/elgglib.php: "Undefined" messages tidied up
	* engine/lib/metastrings.php: "Undefined" messages tidied up
	* engine/lib/river.php: "Undefined" messages tidied up
	* engine/lib/sessions.php:
	* engine/lib/sessions.php: * Candidate for initial ElggSession
	  magic class
	  * Session now properly cleared on init and logout - this has
	  knock on effect that you can no longer assume that
	  $_SESSION['id'] or 'guid' will be integer, making it necessary to
	  cast.
	* engine/lib/admin.php: Minor tidying of code

2008-11-13  marcus

	* engine/lib/sessions.php: Experimental ElggCache

2008-11-12  marcus

	* engine/lib/entities.php:
	* engine/lib/cache.php: No longer blanks all caches when clearing
	* engine/lib/cache.php: Closes #543

2008-11-11  marcus

	* htaccess_dist: Ifdef expires
	* htaccess_dist: Minor tweaks to mod_gzip config. Note that gzip
	  can't compress some things due to the way that the apache 1.3
	  stack works
	* htaccess_dist: Simplified GZIP
	* htaccess_dist: Mod deflate support added
	* htaccess_dist: Turned on mod_gzip if available
	* htaccess_dist: Added default expiry
	* mod/groups/graphics/icon.php: Expires header added to group icons

2008-11-10  marcus

	* mod/profile/icon.php: Content length on images
	* mod/groups/graphics/icon.php: Content length on images
	* _css/css.php, engine/lib/elgglib.php: Content length headers on
	  JS and css
	* engine/lib/elgglib.php: Javascript now correctly marked as
	  cacheable
	* _css/css.php: Fixes #541: CSS Now not being cached. Error is
	  being caused somewhere in the elgg framework which prevents
	  pragma caching from working... not sure what
	* languages/en.php: Refs #520
	* languages/en.php, views/default/friends/collections.php: Closes
	  #501
	* mod/groups/languages/en.php,
	  mod/groups/views/default/groups/forum_latest.php: Closes #507
	* engine/lib/memcache.php: Tidied.

2008-11-07  marcus

	* engine/lib/database.php: Profiling now showing queries executed
	  before debug flag being set
	* engine/lib/metadata.php: Refs #529: Experimental memcaching for
	  metadata
	* engine/lib/elgglib.php: Fixed datalists error
	* engine/lib/elgglib.php: Refs #529: Experimental memcaching on
	  datalists
	* engine/start.php: Removing unnecessary call to datalists
	* index.php: Fixes #530
	* engine/lib/metastrings.php: Refs #529: Experimental caching of
	  metastrings
	* engine/lib/entities.php: Refs #529: Experimental object level
	  caching

2008-11-06  marcus

	* engine/lib/entities.php: Reverted limited caching back to array
	  since caching objects don't work so well for these.
	* engine/lib/elgglib.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2008110601.sql, version.php: datalists now
	  has primary key, datalist set function optimised
	* engine/lib/elgglib.php: Not possible to get any more, so tell
	  them so
	* engine/lib/users.php: Last action query update delayed to avoid
	  invalidating query cache unnecessarily.
	* engine/lib/database.php: * Database functions optimised and
	  centralised a bit
	  * Caching now caches queries which return no data
	  * Introducing execute_delayed_query family for executing queries
	  AFTER the page has loaded.
	* engine/lib/cache.php: isset fixes
	* engine/lib/export.php, engine/lib/extender.php,
	  engine/lib/relationships.php: Some tidying of objects and opendd
	  export
	* engine/lib/cache.php, engine/lib/memcache.php: Added test to see
	  if memcache is available.
	* engine/lib/cache.php, engine/lib/memcache.php: Class hierachy
	  changed to separate shared memory caching

2008-11-05  marcus

	* engine/lib/river.php:
	* engine/lib/river.php: Minor extension to river
	* engine/lib/memcache.php: Minor tweak
	* engine/lib/river.php: Slight rejig in the way the river works
	* engine/lib/elgglib.php: Extends elgg_view_tree to support other
	  view types.
	* engine/lib/cache.php: Added "add" method to cache only if it
	  doesn't exist already.
	* engine/lib/database.php: Revert use of memcache for database
	  query cache
	* engine/lib/memcache.php: Changed default timeout

2008-11-04  marcus

	* engine/lib/memcache.php: Removed cache clearing for now.
	* engine/lib/database.php, engine/lib/memcache.php: More tweaks
	* engine/lib/memcache.php: Experimental memcache support
	* engine/lib/memcache.php, languages/en.php: Closes #516:
	  Experimental memcache support
	* engine/settings.example.php: Installation notes
	* languages/en.php: Refs #514: Memcache error messages
	* engine/settings.example.php: Refs #514: Memcache settings
	* engine/lib/cache.php: Refs #514 : Using memcache if available
	* engine/settings.example.php: Refs #514
	* engine/lib/memcache.php: First draft memcache object. No testing
	  yet carried out, submitted 'cos I'm moving computers.
	* engine/lib/cache.php:
	* engine/lib/cache.php, engine/lib/database.php,
	  engine/lib/entities.php: Moved caching to function so it can be
	  easily replaced

2008-11-03  marcus

	* engine/lib/entities.php: Refs #514: Entity and subtype caching
	* engine/lib/cache.php: Minor tweaks
	* engine/lib/cache.php: back to private
	* engine/lib/cache.php: Initialisation correct
	* engine/lib/database.php: Database using new memory cache object
	* engine/lib/api.php, engine/lib/cache.php: * ElggCache interface
	  improved
	  * ElggStaticVariableCache introduced as a placeholder for more
	  advanced caching.
	* engine/lib/database.php: Experimental database query caching,
	  please report problems asap.
	* engine/lib/calendar.php: Stub added refs #452
	* engine/lib/database.php: Experimental database query caching,
	  please report problems asap.
	* engine/schema/mysql.sql, engine/schema/upgrades/2008110301.sql,
	  version.php: Some missing keys added.
	* engine/lib/access.php, engine/lib/annotations.php,
	  engine/lib/configuration.php, engine/lib/elgglib.php,
	  engine/lib/entities.php, engine/lib/group.php,
	  engine/lib/objects.php, engine/lib/query.php,
	  engine/lib/relationships.php, engine/lib/sites.php,
	  engine/lib/users.php: Minor tweaks 'cos case does matter...

2008-11-01  ben

	* mod/groups/views/default/object/groupforumtopic.php: Minor style
	  fix.
	* mod/groups/discussions.php,
	  mod/groups/views/default/object/groupforumtopic.php: Latest
	  discussion fix

2008-10-31  marcus

	* engine/lib/group.php: Closes #378: Fixed incorrect relationship
	  direction.
	* engine/lib/notification.php: Closes #446:
	  * Errant \r\n and \r chars coverted to \n.
	  * newlines stripped from subject headers.
	  * Lines starting with From are changed to >From
	* engine/handlers/cron_handler.php, mod/garbagecollector/start.php:
	  Changed cron to use output buffering (letting you simply echo
	  rather than needing to pass variables around)
	* mod/groups/views/default/forms/groups/edit.php: Closes #461:
	  Localisations added
	* mod/guidtool/views/default/guidtool/gallery.php,
	  mod/guidtool/views/default/guidtool/listing.php: Refs #494: GUID
	  listed
	* mod/garbagecollector/start.php: Added system, gc plugin hook to
	  garbage collector
	* engine/lib/notification.php: Closes #488: This is indeed a
	  typo... well spotted :)
	* engine/lib/database.php, engine/lib/metastrings.php,
	  mod/garbagecollector/start.php: Closes #493: Moved database
	  queries out of module and in to core in line with best practice.

2008-10-30  marcus

	* mod/groups/views/default/groups/groupprofile.php: Closes #486

2008-10-30  ben

	* README.txt: Version number fail.
	* version.php: Elgg 1.1 final.
	* version.php: Further version update
	* README.txt: Version number change in the readme file.

2008-10-30  pete

	* views/default/css.php: profile block layout issue in IE7 fixed

2008-10-29  ben

	* version.php: Version number change
	* languages/en.php: A better description of the RESTful API

2008-10-29  marcus

	* engine/lib/access.php: Reverted database access permission
	  caching.

2008-10-29  ben

	* mod/groups/languages/en.php: Group topic error message
	* _graphics/upgrader.gif, upgrade.php,
	  views/default/settings/upgrading.php: Replacement upgrade
	  notifier
	* INSTALL.txt, UPGRADE.txt: Slight update to crontab instructions
	* mod/activity: Farewell, activity, we hardly knew ye.

2008-10-29  marcus

	* INSTALL.txt, UPGRADE.txt: Modification to install and upgrade
	  text files to include details about the crontab

2008-10-29  ben

	* views/default/settings/upgrading.php: Added upgrading screen
	* _graphics/upgrader.gif, languages/en.php, upgrade.php: Visual
	  upgrader.

2008-10-29  dave

	* mod/activity/manifest.xml, mod/apiadmin/manifest.xml,
	  mod/diagnostics/manifest.xml, mod/garbagecollector/manifest.xml,
	  mod/groups/manifest.xml, mod/guidtool/manifest.xml,
	  mod/logbrowser/manifest.xml, mod/logrotate/manifest.xml,
	  mod/profile/manifest.xml, mod/river/manifest.xml,
	  mod/updateclient/manifest.xml,
	  mod/uservalidationbyemail/manifest.xml: manifest files sync'ed

2008-10-29  pete

	* views/default/account/forms/login.php, views/default/css.php:
	  persistent login checkbox styled

2008-10-29  ben

	* languages/en.php: Menu link text change, to be more descriptive

2008-10-29  marcus

	* mod/profile/start.php,
	  mod/profile/views/default/profile/userdetails.php: Hide 'about
	  me' on custom profiles

2008-10-29  ben

	* engine/lib/elgglib.php: Annotation pagination is now corrected
	  where more than 10 items are being displayed at once.

2008-10-29  pete

	* javascript/friendsPickerv1.js, javascript/initialise_elgg.js:
	  remove js, moved into views
	* javascript/initialise_elgg.js, views/default/css.php,
	  views/default/js/initialise_elgg.php: updates for v1.1, css
	  cleanup, removal of redundant classes, redundant js removed

2008-10-29  marcus

	* engine/lib/system_log.php, mod/logrotate/start.php: Logrotate and
	  archive containing offset. Table still created as $now but
	  containing < $now-period.

2008-10-28  marcus

	* mod/garbagecollector, mod/garbagecollector/languages,
	  mod/garbagecollector/languages/en.php,
	  mod/garbagecollector/manifest.xml,
	  mod/garbagecollector/start.php, mod/garbagecollector/views,
	  mod/garbagecollector/views/default,
	  mod/garbagecollector/views/default/settings,
	  mod/garbagecollector/views/default/settings/garbagecollector,
	  mod/garbagecollector/views/default/settings/garbagecollector/edit.php:
	  Introducing the Elgg garbage collector.

2008-10-28  pete

	* mod/groups/views/default/groups/css.php: layout bug when not
	  group owner

2008-10-28  ben

	* views/default/navigation/toolbox.php: Removed the toolbox.
	* views/default/page_elements/header.php: Removed needless comment

2008-10-28  pete

	* views/default/css.php: added additional styles for code, pre,
	  blockquote, dl, dt etc

2008-10-28  ben

	* engine/lib/elgglib.php, engine/lib/plugins.php: Views are now
	  more granular.

2008-10-28  marcus

	* actions/login.php, languages/en.php,
	  views/default/account/forms/login.php: Closes #306

2008-10-28  pete

	* views/failsafe/messages/errors/list.php,
	  views/failsafe/messages/messages/list.php: messages in failsafe
	  mode moved to inline ones - so they don't obscure text below

2008-10-28  ben

	* views/default/river/annotation: Hoiking out the generic comment
	  view again. Needs to be rethought.
	* languages/en.php, mod, views/default/river/annotation,
	  views/default/river/annotation/generic_comment,
	  views/default/river/annotation/generic_comment/create.php:
	  Committed a generic comment view.

2008-10-28  marcus

	* engine/lib/social.php, languages/en.php: Closes #440
	* engine/lib/access.php: Flags to prevent queries being run
	  multiple times.
	* engine/lib/access.php: Removed spurious notice
	* languages/en.php, views/default/admin/plugins_opt/plugin.php:
	  Closes #476: Well spotted.

2008-10-27  pete

	* views/default/page_elements/owner_block.php: additional dicv
	  added to owner block for theme purposes

2008-10-27  marcus

	* crontab.example:
	* mod/groups/languages/fr.php, mod/groups/languages/it.php,
	  mod/groups/languages/ru.php, mod/groups/languages/th.php,
	  mod/groups/languages/zh.php: REMOVED LANGUAGE FILES FROM CORE.
	  This is due to a stupid and frustrating legal reason.
	* languages/de.php, languages/es.php, languages/fr.php,
	  languages/it.php, languages/ru.php, languages/th.php,
	  languages/zh.php, mod/activity/languages/ru.php,
	  mod/apiadmin/languages/ru.php, mod/diagnostics/languages/fr.php,
	  mod/diagnostics/languages/it.php,
	  mod/diagnostics/languages/ru.php,
	  mod/diagnostics/languages/th.php,
	  mod/diagnostics/languages/zh.php, mod/guidtool/languages/it.php,
	  mod/guidtool/languages/ru.php, mod/guidtool/languages/th.php,
	  mod/guidtool/languages/zh.php, mod/logbrowser/languages/fr.php,
	  mod/logbrowser/languages/it.php, mod/logbrowser/languages/ru.php,
	  mod/logbrowser/languages/th.php, mod/logbrowser/languages/zh.php,
	  mod/reportedcontent/languages/fr.php,
	  mod/reportedcontent/languages/it.php,
	  mod/reportedcontent/languages/ru.php,
	  mod/reportedcontent/languages/th.php,
	  mod/reportedcontent/languages/zh.php, mod/river/languages/fr.php,
	  mod/river/languages/it.php, mod/river/languages/ru.php,
	  mod/river/languages/th.php, mod/river/languages/zh.php,
	  mod/updateclient/languages/fr.php,
	  mod/updateclient/languages/it.php,
	  mod/updateclient/languages/ru.php,
	  mod/updateclient/languages/th.php,
	  mod/updateclient/languages/zh.php,
	  mod/uservalidationbyemail/languages/ru.php: REMOVED LANGUAGE
	  FILES FROM CORE.
	  This is due to a stupid and tedious legal reason.
	* mod/logrotate, mod/logrotate/languages,
	  mod/logrotate/languages/en.php, mod/logrotate/manifest.xml,
	  mod/logrotate/start.php, mod/logrotate/views,
	  mod/logrotate/views/default,
	  mod/logrotate/views/default/settings,
	  mod/logrotate/views/default/settings/logrotate,
	  mod/logrotate/views/default/settings/logrotate/edit.php: Closes
	  #215: Log rotation added.

2008-10-27  ben

	* mod/groups/actions/leave.php, mod/groups/start.php,
	  mod/groups/views/default/forum/topicposts.php,
	  mod/groups/views/default/forum/topics.php,
	  mod/groups/views/default/object/groupforumtopic.php: Removing
	  WSOD errors in groups

2008-10-27  marcus

	* engine/lib/system_log.php: Refs #215: Minor tweak to logic

2008-10-27  ben

	* languages/en.php: Hopefully slightly friendlier token mismatch
	  errors.

2008-10-27  marcus

	* engine/lib/system_log.php: Refs #215: System hook for archiving
	  log. Cron yet to be added.
	* mod/profile/views/default/profile/menu/adminlinks.php: Closes
	  #448: Functionality was present, but was lacking interface.
	  Interface provided.
	* views/default/object/default.php: Closes #460: Good spot, thanks
	  for the contribution!
	* languages/en.php: Closes #473: Good spot

2008-10-24  ben

	* account/register.php, actions/register.php, engine/lib/users.php,
	  mod, views/default/account/forms/register.php: The friend invite
	  infrastructure is now secure.

2008-10-24  marcus

	* mod/activity/languages/ru.php:
	* mod/activity/languages/ru.php: Closes #469: Thankyou for the
	  translation!

2008-10-24  ben

	* account/register.php, mod, register.php: Further additions to the
	  registration form.
	* views/default/account/forms/register.php: Added friend guid
	  handling to the registration form.
	* engine/lib/users.php: Added the ability to add a user to a user's
	  friends list on registration.
	* actions/register.php: Added the ability to add a user to a user's
	  friends list on registration.
	* engine/lib/entities.php: Revert.
	* engine/lib/entities.php: Improvements for container overrides.

2008-10-22  ben

	* views/default/input/radio.php: Fix for input/radio where keys
	  aren't specified

2008-10-22  marcus

	* views/default/usersettings/plugins_opt/plugin.php: Minor tweaks
	  to tools settings
	* languages/en.php: Added reply

2008-10-22  ben

	* languages/en.php: Small language additions for open and close.

2008-10-22  pete

	* _graphics/shout_speech_bubble.gif: removed and added to thewire
	  plugin

2008-10-22  marcus

	* engine/lib/cron.php: Better default forward

2008-10-22  ben

	* mod/groups/views/default/groups/css.php: Fixed typo! Well
	  spotted, @notomodungwa

2008-10-22  marcus

	* crontab.example, engine/lib/cron.php: Increasing sub-hour cron
	  granularity
	* engine/schema/mysql.sql, engine/schema/upgrades/2008102101.sql:
	  Removed unnecessary column
	* engine/lib/sessions.php: Closes #453 and #463: Completed work.
	  Sessions now stored in database.
	* engine/lib/sessions.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2008102101.sql: Semi-working session code.
	  Still won't permit logging in, commented out until there is time
	  to fix.
	  
	  Problem seems to be based around the action_gatekeeper() and the
	  values set for the __elgg_session. Removing this component from
	  the key causes the token to be valid.
	  
	  My feeling is that the session is not being saved or loaded
	  correctly.

2008-10-21  pete

	* views/default/navigation/topbar_tools.php: #458 fixed - IE7
	  conditional statement bug

2008-10-21  marcus

	* engine/lib/sessions.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2008102101.sql, version.php: Database
	  session code.
	  
	  IMPORTANT NOTE:
	  
	  The trigger for this is commented out, so old session code is
	  used. There are serious problems with using the new code since it
	  causes a chicken and egg problem with the upgrade script.
	* engine/lib/group.php, engine/lib/objects.php,
	  engine/lib/sites.php, engine/lib/users.php: Closes #457: Now
	  returns $guid on success, false on fail
	* engine/lib/sites.php, languages/en.php: Added safety rail to
	  prevent disabling/deleting of currently viewed site.

2008-10-20  ben

	* views/default/output/checkboxes.php: Output/checkboxes now defers
	  to output/tags rather than output/text; much more sensible.
	* engine/lib/input.php: The input filter now deals with
	  two-dimensional input arrays.

2008-10-20  marcus

	* mod/apiadmin/views/default/object/api_key.php:
	* mod/apiadmin/views/default/object/api_key.php: Minor tweaks to
	  avoid breaking non-admin css

2008-10-20  ben

	* engine/lib/plugins.php: Important fix for deleted plugins.

2008-10-17  ben

	* views/default/output/checkboxes.php,
	  views/default/output/radio.php: Default output fields for radio
	  and checkboxes
	* search/users.php: Fixed double layout issue

2008-10-17  marcus

	* engine/lib/usersettings.php, languages/en.php,
	  settings/index.php, settings/plugins.php, settings/statistics,
	  settings/statistics.php, settings/user, settings/user.php,
	  views/default/object/plugin.php,
	  views/default/usersettings/plugins.php,
	  views/default/usersettings/plugins_opt/plugin.php: Closes #335:
	  Marcus Povey :
	  * Per user tools settings now present again (only displays if
	  there are settings present AND the plugin is enabled - needs
	  skinning accordingly)
	  * Re-jigged the settings code to behave like a proper page
	  handler.
	  * Minor tweak to language
	* engine/lib/system_log.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2008101701.sql, version.php: Changes to
	  access any system log code. Introducing owner guid on items which
	  is necessary for access control.
	  Requires upgrade.php to be run

2008-10-17  pete

	* views/default/admin/plugins_opt/plugin.php,
	  views/default/css.php: activity stream basic style applied, and
	  plugin reorder links adjusted

2008-10-16  pete

	* views/default/css.php: widget gallery more info spacing fixed

2008-10-16  ben

	* languages/en.php: Minor language tweak.
	* actions/admin/plugins/reorder.php, admin/plugins/index.php,
	  engine/lib/plugins.php, languages/en.php, mod,
	  views/default/admin/plugins.php,
	  views/default/admin/plugins_opt/plugin.php: You can now reorder
	  plugins.

2008-10-16  pete

	* mod/profile/views/default/profile/css.php: gap in user menu
	  removed

2008-10-16  marcus

	* mod/activity, mod/activity/all.php, mod/activity/friends.php,
	  mod/activity/index.php, mod/activity/languages,
	  mod/activity/languages/en.php, mod/activity/manifest.xml,
	  mod/activity/start.php, mod/activity/views,
	  mod/activity/views/default, mod/activity/views/default/activity,
	  mod/activity/views/default/activity/dashboard.php,
	  mod/activity/views/default/activity/wrapper.php,
	  mod/activity/views/default/settings,
	  mod/activity/views/default/settings/activity,
	  mod/activity/views/default/settings/activity/edit.php: Initial
	  activity view.
	  
	  Missing functionality: comments, tabs and drill down ability.

2008-10-16  ben

	* engine/lib/statistics.php: Improved online users stats so that
	  more than 10 get displayed

2008-10-16  marcus

	* engine/lib/elgglib.php: Moving internal function out of
	  elgg_view_tree() since this caused problems
	* engine/lib/configuration.php: Closes #438
	* engine/lib/river.php:
	* engine/lib/river.php, engine/lib/system_log.php,
	  engine/schema/mysql.sql, engine/schema/upgrades/2008101601.sql,
	  version.php: Closes #442: Requires schema upgrade. Side effect -
	  friends activity rivers will be blanked.
	* engine/lib/river.php: River performance tweak

2008-10-15  marcus

	* mod/groups/languages/ru.php: Committing groups translation
	* views/default/notifications/settings/usersettings.php:
	  Notification methods now better translated
	* languages/ru.php: Closes #433: Merged changes from trac and email
	  submissions. Thanks for all submissions!
	* languages/ru.php: Initial core russian translation
	* mod/apiadmin/languages/ru.php, mod/diagnostics/languages/ru.php,
	  mod/guidtool/languages/ru.php, mod/logbrowser/languages/ru.php,
	  mod/reportedcontent/languages/ru.php, mod/river/languages/ru.php,
	  mod/updateclient/languages/ru.php,
	  mod/uservalidationbyemail/languages/ru.php: Refs #433: Russian
	  translations for core plugins

2008-10-15  dave

	* languages/en.php: view link added to en.php

2008-10-14  ben

	* engine/lib/social.php: Removed an annoying variable cast that was
	  destroying everything.
	* engine/lib/social.php: The word blacklist for filter_string is
	  now loaded on init.

2008-10-14  pete

	* views/default/css.php: Edit profile form modified

2008-10-14  marcus

	* languages/en.php:
	* mod/profile/actions/deletedefaultprofileitem.php,
	  mod/profile/actions/editdefault.php,
	  mod/profile/actions/resetdefaultprofile.php,
	  mod/profile/defaultprofile.php, mod/profile/start.php,
	  mod/profile/views/default/profile/editdefaultprofile.php: Closes
	  #235: Simple profile editor in place

2008-10-13  pete

	* _graphics/friends_picker_arrow_left.gif,
	  _graphics/friends_picker_arrow_right.gif,
	  _graphics/friends_picker_arrows.gif,
	  _graphics/gallery_back_icon.gif,
	  _graphics/gallery_back_icon_on.gif, views/default/css.php:
	  Friends picker arrows combined into one resource, and updated
	  with hover effect. Redundant image gallery icons removed.

2008-10-13  marcus

	* engine/lib/elgglib.php:
	* engine/lib/elgglib.php: Catching error on datalists

2008-10-13  pete

	* _graphics/avatar_menu_arrow.gif,
	  _graphics/avatar_menu_arrow_hover.gif,
	  _graphics/avatar_menu_arrow_open.gif,
	  _graphics/avatar_menu_arrows.gif,
	  mod/profile/views/default/profile/css.php: Avatar user menu
	  arrows updated to use one image rather than 3

2008-10-13  marcus

	* engine/lib/river.php: Closes #412
	* engine/lib/river.php: Refs #431: Belts and braces added to river
	  view

2008-10-13  pete

	* views/default/account/forms/useradd.php: Adjusted spacing on add
	  user form

2008-10-13  marcus

	* mod/groups/start.php: Refs #432: Typo
	* mod/groups/start.php: Closes #432: Hook added as profile
	* mod/profile/start.php: Minor commenting

2008-10-13  ben

	* INSTALL.txt, UPGRADE.txt: Updated the install and upgrade text.

2008-10-13  marcus

	* mod/reportedcontent/languages/zh.php: Refs #424: reportedcontent
	* mod/groups/languages/zh.php, mod/guidtool/languages/zh.php,
	  mod/river/languages/zh.php: Refs #424: guidtool, groups, river
	* mod/diagnostics/languages/zh.php,
	  mod/logbrowser/languages/zh.php,
	  mod/updateclient/languages/zh.php: Refs #424: Diagnostics,
	  logbrowser, updateclient
	* languages/zh.php: Refs #424: Core translations added.
	* UPGRADE.txt, engine/lib/version.php, upgrade.php: Closes #430

2008-10-13  pete

	* mod/groups/graphics/defaultlarge.gif,
	  mod/groups/graphics/defaultmedium.gif,
	  mod/groups/graphics/defaultsmall.gif,
	  mod/groups/graphics/defaulttiny.gif,
	  mod/groups/views/default/icon,
	  mod/groups/views/default/icon/group,
	  mod/groups/views/default/icon/group/default,
	  mod/groups/views/default/icon/group/default/large.php,
	  mod/groups/views/default/icon/group/default/medium.php,
	  mod/groups/views/default/icon/group/default/small.php,
	  mod/groups/views/default/icon/group/default/tiny.php,
	  mod/profile/graphics/defaultlarge.jpg,
	  mod/profile/graphics/defaultmedium.jpg,
	  mod/profile/graphics/defaultsmall.jpg,
	  mod/profile/graphics/defaulttiny.jpg,
	  mod/profile/graphics/defaulttopbar.jpg: Groups updated to use new
	  icon method and new groups icons added.
	  Profile updated with new default avatars

2008-10-13  ben

	* engine/lib/upgrades/2008101303.php, version.php: Fixed the
	  previous user login issue.

2008-10-13  marcus

	* engine/lib/languages.php: Introducing get_current_language().
	  Refs #235
	* mod/profile/start.php: Refs #235: Added hooks for future admin
	  interface
	* mod/profile/start.php:

2008-10-13  pete

	* views/default/annotation/generic_comment.php: default message
	  styled

2008-10-13  marcus

	* mod/profile/start.php: Refs #235: Now possible for plugins to
	  change default profile (plugin hook 'profile:fields', 'profile'.

2008-10-10  pete

	* views/default/css.php: widget more info tooltip improvements
	* views/default/canvas/layouts/widgets.php: further fixes to the
	  widget gallery to use css-based images
	* views/default/canvas/layouts/widgets.php, views/default/css.php:
	  Updated widget picker gallery to use classes for images rather
	  than hard-coded resources.

2008-10-08  pete

	* mod/profile/views/default/profile/css.php,
	  mod/profile/views/default/profile/icon.php,
	  mod/profile/views/default/profile/javascript.php: user avatar
	  menu method adjusted to avoid hard-coded image resources

2008-10-08  dave

	* languages/en.php, views/default/messages/errors/list.php,
	  views/default/messages/messages/list.php: system message strings
	  moved to elgg_echo

2008-10-08  ben

	* engine/lib/entities.php, mod/profile/icon.php,
	  mod/profile/views/default/icon,
	  mod/profile/views/default/icon/user,
	  mod/profile/views/default/icon/user/default,
	  mod/profile/views/default/icon/user/default/large.php,
	  mod/profile/views/default/icon/user/default/master.php,
	  mod/profile/views/default/icon/user/default/medium.php,
	  mod/profile/views/default/icon/user/default/small.php,
	  mod/profile/views/default/icon/user/default/tiny.php,
	  mod/profile/views/default/icon/user/default/topbar.php: Default
	  icon overrides.
	* engine/lib/entities.php, mod, mod/profile/icon.php: Simple hook
	  to allow for default user and entity icons.

2008-10-08  marcus

	* engine/lib/entities.php:
	* engine/lib/entities.php, mod/groups/graphics/defaultlarge.jpg,
	  mod/groups/graphics/defaultmedium.jpg,
	  mod/groups/graphics/defaultsmall.jpg,
	  mod/groups/graphics/defaulttiny.jpg, mod/groups/start.php,
	  mod/groups/views/default/groups/icon.php: Closes #417 & #418
	* engine/lib/filestore.php, mod/profile/start.php: Minor
	  optimisations.
	  Introducing exists() on filestores
	* _graphics/icons/default/topbar.png, engine/lib/entities.php,
	  mod/profile/icon.php, mod/profile/start.php,
	  mod/profile/views/default/profile/editicon.php,
	  mod/profile/views/default/profile/icon.php,
	  views/default/page_elements/elgg_topbar.php: Closes #301: Profile
	  icons now use getIcon() API. Overrides now possible:
	  
	  For themes to override, create a plugin hook listening to
	  'entity:icon:url' and object 'user'.
	  
	  In the hook return a different url.
	  
	  To replace default user icons in a plugin one might create a
	  hook:
	  
	  function profile_usericon_hook($hook, $entity_type, $returnvalue,
	  $params)
	  {
	  if ((!$returnvalue) && ($params['entity'] instanceof ElggUser))
	  {
	  // return your default graphic here.
	  }
	  }
	  
	  And set it to priority 900 (lower priority than the code that
	  displays a pretty icon for users but higher than the default
	  object display code in entities.php)
	* engine/lib/users.php: Allowing '.' in username, refs #415
	* views/rss/pageshells/pageshell.php: Fixes #413: Rss feeds with
	  GET query strings now functioning.
	  
	  Thanks for your patch, nice spot!
	* languages/en.php: Fixes #415

2008-10-08  pete

	* views/default/ajax/loader.php, views/default/css.php: ajax loader
	  updated to use an image from _graphics rather than a hard-coded
	  image resource (to make theming possible).

2008-10-07  ben

	* engine/lib/statistics.php: Removing pagination from online users.

2008-10-07  marcus

	* engine/lib/river.php: Removed debug
	* engine/lib/entities.php: Minor tweaks to the getIcon code:
	  * Default now running on priority 1000
	  * Renamed default hook to a better name
	  Marcus Povey

2008-10-07  ben

	* engine/lib/relationships.php,
	  mod/groups/views/default/widgets/a_users_groups/view.php: Removed
	  pagination for the groups widget

2008-10-07  marcus

	* engine/schema/mysql.sql, engine/schema/upgrades/2008100601.sql:
	  Bugfixes to river script
	* engine/schema/mysql.sql: Added river key to main schema

2008-10-07  pete

	* views/failsafe/messages/errors/list.php,
	  views/failsafe/messages/messages/list.php: updated failsafe
	  message divs dimensions

2008-10-07  marcus

	* engine/lib/upgrades/2008100601.php,
	  engine/lib/upgrades/2008100701.php: Changed the name. Refs #409
	* engine/lib/database.php, engine/lib/upgrades,
	  engine/lib/upgrades/2008100601.php, engine/lib/version.php,
	  languages/en.php, version.php: Closes #409: PHP update script to
	  update core added
	* mod/uservalidationbyemail/start.php: removed debug
	* mod/groups/languages/th.php: Removing BOM
	* mod/updateclient/languages/th.php: Thai language pack
	* mod/river/languages/th.php: Thai language pack
	* mod/reportedcontent/languages/th.php: Thai language pack
	* mod/logbrowser/languages/th.php: Thai language pack
	* mod/guidtool/languages/th.php: Thai language pack
	* mod/groups/languages/th.php: Thai language pack
	* mod/diagnostics/languages/th.php: Thai language pack
	* languages/th.php: Closes #406: Thanks for your submission

2008-10-06  ben

	* engine/lib/metadata.php, mod/profile/start.php: Introduced a way
	  to either tether metadata access to entities, or to make them
	  independent - in either case, explicitly.

2008-10-06  marcus

	* engine/lib/notification.php:
	* engine/lib/river.php: Deleted old gumpf refs #402 and #407
	* engine/lib/river.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2008100601.sql,
	  mod/groups/views/default/river/ElggRelationship,
	  mod/groups/views/default/river/relationship,
	  mod/groups/views/default/river/relationship/member,
	  mod/groups/views/default/river/relationship/member/create.php,
	  mod/profile/views/default/river/ElggUser,
	  mod/profile/views/default/river/user,
	  mod/profile/views/default/river/user/default,
	  mod/profile/views/default/river/user/default/profileiconupdate.php,
	  mod/profile/views/default/river/user/default/profileupdate.php,
	  views/default/river/ElggRelationship,
	  views/default/river/relationship,
	  views/default/river/relationship/friend,
	  views/default/river/relationship/friend/create.php: Closes #402
	  and #407 : Right! Finally nailed this fscking issue to the wall
	  (hopefully).
	  
	  Modified system log to hold extra information about the class
	  being stored, this lets us pull only the required rows from the
	  event log.
	  
	  This drastically simplifies and speeds up the query.
	  
	  Requires: Database upgrade.
	  Outstanding issues: Query is using filesort despite using correct
	  index. Still much faster than the last method!
	* engine/lib/elgglib.php: Removed unnecessary debug

2008-10-06  ben

	* engine/lib/elgglib.php, engine/lib/entities.php,
	  engine/lib/metadata.php, views/default/search/entity_list.php:
	  You can now remove pagination from a list
	* search/users.php: User browsing is revamped.
	* engine/lib/users.php: List_user_friends_objects now lets you hide
	  the toggle to gallery view

2008-10-06  marcus

	* mod/logbrowser/index.php: Refs #402 and #407: Extra fields added
	  to system_log
	* engine/lib/extender.php, engine/lib/relationships.php,
	  engine/lib/system_log.php, engine/schema/mysql.sql,
	  engine/schema/upgrades/2008100601.sql, version.php: Refs #402 and
	  #407: Extra fields added to system_log

2008-10-06  ben

	* engine/lib/elgglib.php: Minor fix for previous.
	* engine/lib/elgglib.php: Introducing elgg_view_tree, for getting
	  an array of views
	* engine/lib/elgglib.php, mod, views/default/js,
	  views/default/js/friendsPickerv1.php,
	  views/default/js/initialise_elgg.php,
	  views/default/page_elements/header.php: Elgg Javascript now goes
	  through the views system
	* engine/lib/access.php: A massive speed increase for access
	  permissions. :)

2008-10-06  marcus

	* engine/lib/entities.php: Closes #405: If -> else if. Nice spot.

2008-10-04  dave

	* views/default/comments/forms/edit.php: removed ratings hook from
	  comments. It will now go into plugins.

2008-10-03  pete

	* views/default/css.php, views/default/messages/errors/list.php,
	  views/default/messages/messages/list.php: updated messaging
	  system with 'click to dismiss' and moved it's position to not
	  overlap the top toolbar

2008-10-03  marcus

	* actions/systemsettings/install.php: Closes #399
	* engine/lib/version.php: Fixes #401
	* languages/en.php, mod/uservalidationbyemail/languages/en.php,
	  mod/uservalidationbyemail/start.php: Refs #311: Modified message
	  slightly
	* actions/register.php, engine/lib/users.php,
	  mod/uservalidationbyemail/actions,
	  mod/uservalidationbyemail/actions/email,
	  mod/uservalidationbyemail/actions/email/confirm.php,
	  mod/uservalidationbyemail/languages/en.php,
	  mod/uservalidationbyemail/start.php: Fixes #311, closes #345:
	  Validation now called via event 'user', 'validate'. Email
	  validation now a plugin.

2008-10-03  pete

	* views/default/css.php, views/default/messages/errors/list.php,
	  views/failsafe/messages/errors/list.php,
	  views/failsafe/messages/messages/list.php: updated messages
	  system

2008-10-03  marcus

	* engine/lib/users.php: Removed old validation code
	* languages/en.php: Refs #311 : Removing old email confirmation
	  code.
	* actions/email/confirm.php: Refs #311 : Removing old email
	  confirmation code.
	* engine/lib/install.php: Fixing whitescreen on settings file
	  creation
	* mod/uservalidationbyemail, mod/uservalidationbyemail/languages,
	  mod/uservalidationbyemail/languages/en.php,
	  mod/uservalidationbyemail/manifest.xml,
	  mod/uservalidationbyemail/start.php: Refs #311: Saving stub prior
	  to relocation...
	* actions/systemsettings/install.php: Refs #311: Enable email
	  validation module by default
	* engine/lib/users.php: Refs #311
	* engine/lib/sessions.php: Refs #311
	* actions/register.php: Refs #311
	* actions/email/save.php: Refs #311
	* actions/plugins/settings/save.php,
	  actions/plugins/usersettings/save.php: Closes #398
	* engine/lib/install.php, engine/settings.example.php: Fixing
	  installer issue.

2008-10-02  ben

	* mod/groups/start.php: Fitter, happier group links
	* engine/lib/admin.php: Added an admin override for container
	  permissions checking.
	* mod/groups/start.php: Improved group menu items.

2008-10-01  marcus

	* crontab.example, engine/handlers/cron_handler.php,
	  engine/lib/cron.php, htaccess_dist, languages/en.php: Improved
	  cron support
	* engine/lib/metadata.php: Closes #379
	* engine/lib/metadata.php: Closes #389
	* engine/lib/database.php, engine/lib/install.php: Fixes #395

2008-09-30  marcus

	* engine/lib/actions.php: Minor tweaks
	* engine/lib/actions.php: Changed to plugin hook
	* engine/lib/actions.php: Closes #390: Triggers an event 'action',
	  $action before action is included.
	  
	  This is rather kludgy and we need to rethink this a bit.
	* engine/lib/plugins.php: Actually, bad idea...
	* engine/lib/plugins.php: Events now triggered on plugin
	  enable/disable
	* actions/friends/remove.php, engine/lib/configuration.php,
	  engine/lib/users.php: Closes #388: Additionally the site check in
	  configuration_init() should be instanceof. Nice spot, thanks.

2008-09-30  pete

	* views/default/css.php, views/default/messages/errors/list.php,
	  views/default/messages/messages/list.php: Messages/error
	  notification system updated with dismiss button, longer delay,
	  and sticky/fixed position (at top of viewport).

2008-09-30  marcus

	* engine/lib/version.php: Install now works again

2008-09-30  dave

	* views/default/comments/forms/edit.php: ratings hook added to
	  comments block

2008-09-29  marcus

	* engine/lib/elgglib.php: Added IP address tools, todo check
	  licence.
	* engine/lib/notification.php, languages/en.php: Set the
	  notification settings
	* engine/lib/notification.php, languages/en.php: Notifications get
	  notification stuff in API form.
	* actions/admin/site/update_basic.php,
	  actions/systemsettings/install.php, languages/en.php,
	  views/default/settings/system.php,
	  views/failsafe/settings/system.php: Closes #383 & #384
	* engine/lib/notification.php: Closes #369: For entities which are
	  not users the ->email field is used, failing that it tries to
	  work out an address from ->url and lastly from
	  $CONFIG->site_guid.
	  Closes #382: Fix applied as suggested.

2008-09-29  ben

	* engine/lib/input.php: get_input can now be properly overridden by
	  set_input. Fixes #324

2008-09-25  marcus

	* engine/lib/sessions.php:
	* engine/lib/api.php:
	* engine/lib/api.php: Debug
	* engine/lib/api.php, engine/lib/sessions.php,
	  services/api/rest.php: Committing what I have at the end of the
	  day, api still not 100%
	* engine/lib/cache.php: Caching support fixed.
	* engine/lib/api.php: Fixing auth_token code
	* engine/lib/pam.php: Fixed issue with pam handler, now if required
	  method throws an exception the authentication short circuits with
	  false.

2008-09-25  ben

	* engine/lib/annotations.php: Clear annotations now clears
	  annotations properly when no name is specified. Fixes #357
	* engine/lib/annotations.php: Count annotations now fails properly
	  if a metastring is not found. Fixes #377

2008-09-25  marcus

	* languages/en.php: Make statisics nicer
	* mod/apiadmin/languages/en.php: Make statisics nicer
	* engine/lib/api.php: view now set by endpoint
	* engine/lib/widgets.php: Closes #326: add_widget uses the
	  specified $user_guid as $widget->owner_guid

2008-09-24  marcus

	* engine/lib/install.php:
	* languages/en.php: Closes #360: Will now install on 5.1.6 or
	  greater with a warning, 5.2 with now warning.
	* engine/lib/install.php: Closes #360: Will now install on 5.1.6 or
	  greater with a warning, 5.2 with now warning.
	* mod/updateclient/start.php: Modified pinger to use new style
	  endpoint format. Note, this will require ping.elgg.org to be
	  upgraded come next release!
	* engine/lib/ping.php: Modified pinger to use new style endpoint
	  format. Note, this will require ping.elgg.org to be upgraded come
	  next release!
	* engine/lib/ping.php, mod/diagnostics/start.php,
	  mod/updateclient/start.php,
	  views/default/admin/statistics_opt/basic.php: Closes 374: Using
	  get_version function instead of including the version file.
	* engine/lib/api.php, languages/en.php: Minor improvements to
	  failure mode.
	* engine/lib/api.php: auth_token api call now functional
	* services/api/rest.php: Addapted to be called from pagehandler
	* engine/lib/api.php:

2008-09-24  ben

	* engine/lib/access.php: Returning cache control back to access
	  permissions.

2008-09-24  marcus

	* mod/apiadmin/actions/generate.php,
	  mod/apiadmin/actions/revokekey.php,
	  mod/apiadmin/views/default/object/api_key.php: Added
	  action_gatekeeper() code
	* engine/lib/api.php:
	* engine/lib/api.php: Added endpoint page handler.
	* mod/apiadmin, mod/apiadmin/actions,
	  mod/apiadmin/actions/generate.php,
	  mod/apiadmin/actions/revokekey.php, mod/apiadmin/index.php,
	  mod/apiadmin/languages, mod/apiadmin/languages/en.php,
	  mod/apiadmin/manifest.xml, mod/apiadmin/start.php,
	  mod/apiadmin/views, mod/apiadmin/views/default,
	  mod/apiadmin/views/default/apiadmin,
	  mod/apiadmin/views/default/apiadmin/forms,
	  mod/apiadmin/views/default/apiadmin/forms/add_key.php,
	  mod/apiadmin/views/default/object,
	  mod/apiadmin/views/default/object/api_key.php: Introducing API
	  key administration panel
	* engine/lib/api.php: Create keypair code added
	* engine/lib/api.php: Added create_api_user
	* engine/lib/api.php: Added remove_api_user function
	* engine/lib/api.php: Will now handle banned users

2008-09-24  ben

	* engine/lib/access.php, engine/lib/metadata.php: Metadata
	  permissions now work as advertised, but had to remove caching in
	  the process. Will attempt to re-enable it shortly.

2008-09-24  marcus

	* views/default/user/settings/name.php: Closes #362: Nice spot.
	  
	  Cause was an omission of the user being edited being passed. No
	  security issues introduced by having this user set, since editing
	  user must still pass a canEdit() in the action itself.

2008-09-23  ben

	* engine/lib/database.php, engine/lib/version.php,
	  engine/schema/upgrades/2008092301.sql, languages/en.php,
	  version.php: The database schema will now automatically update
	  itself on upgrade.
	* engine/lib/api.php, engine/start.php: The cache library is now
	  loaded before the main library boot.

2008-09-23  marcus

	* engine/lib/cache.php: Belts and braces

2008-09-23  ben

	* engine/schema/upgrades, engine/schema/upgrades/2008092301.sql:
	  Database upgrade script from 1.0 to latest schema.

2008-09-22  marcus

	* engine/lib/api.php: API improvement. Authentication via token now
	  logs user in for that session.
	* mod/profile/index.php: Closes #367: Widgets only displayed for
	  found profiles.

2008-09-20  marcus

	* engine/lib/database.php: Apparently non-p connections are better
	  in many cases, see
	  http://www.slideshare.net/techdude/how-to-kill-mysql-performance
	* languages/it.php: Closes #363

2008-09-19  marcus

	* friends/index.php, friends/of.php: Closes #358 and #359. Well
	  spotted.
	* languages/fr.php: Closes #356: Thanks for the contribution!

2008-09-17  marcus

	* languages/en.php: API explanations added to language file
	* engine/lib/access.php: Access permissions now cached correctly.
	* engine/lib/plugins.php: Optimised plugin query.
	* engine/lib/metadata.php: Short circuit added for missing values.
	* engine/lib/plugins.php: Removed old gunk
	* engine/lib/api.php: Load cache php
	* engine/lib/api.php: Changed caching to memory.
	* engine/schema/mysql.sql: Added hmac cache of hmacs we have seen
	  before (MEMORY TABLE)
	* engine/schema/mysql.sql: Added hmac cache of hmacs we have seen
	  before (MEMORY TABLE)
	* engine/lib/api.php: Some api improvements:
	  * User tokens setable
	  * List api no longer requires token
	* engine/schema/mysql.sql: Changed users_apisessions to use memory,
	  since there is no reason to store this forever.
	* languages/de.php: Added german core from Elgg development group
	* engine/lib/system_log.php: System log now using delayed writes.

2008-09-15  marcus

	* engine/schema/mysql.sql: Marcus Povey:
	  * Some missing indexes added to database.
	  * Removed privileged path table since this is no longer used.
	* engine/lib/elgglib.php: Removed privileged path code since this
	  is no longer used
	* engine/lib/entities.php: Closes #346: More granularity on
	  enable/disable.
	* mod/reportedcontent/languages/it.php: Italian language patch
	* mod/updateclient/languages/it.php: Italian language patch
	* mod/river/languages/it.php: Italian language patch
	* mod/logbrowser/languages/it.php: Italian language patch
	* mod/guidtool/languages/it.php: Italian language patch
	* mod/groups/languages/it.php: Italian language patch
	* mod/diagnostics/languages/it.php: Italian language patch

2008-09-12  marcus

	* mod/profile/views/default/profile/gallery.php,
	  mod/profile/views/default/profile/listing.php,
	  mod/profile/views/default/profile/userdetails.php: Basic XFN
	  support

2008-09-11  marcus

	* mod/reportedcontent/languages/en.php: Added missing translation

2008-09-10  marcus

	* engine/lib/extender.php: Closes #349: We need to improve
	  detect_extender_valuetype
	* languages/it.php: Closes #348: Thanks for the patch!
	* languages/it.php: Closes #339 : Italian alpha core language pack
	  applied. Thanks for the contribution!
	* engine/lib/languages.php: Improved language completeness
	  algorithm.

2008-09-09  marcus

	* languages/fr.php: Closes #342: Thanks for the updates!
	* engine/lib/languages.php: Minor tweak: Only shows percentage on
	  things less than 100% complete
	* engine/lib/languages.php: Some language helper tools.
	* engine/lib/annotations.php, engine/lib/metadata.php: Closes #338:
	  You're quite right, this is was an error on our part. Nice spot!
	* engine/lib/languages.php, languages/en.php: Introducing: Admin
	  only translation "completeness" helper.

2008-09-08  marcus

	* languages/es.php: Preliminary spanish translation
	* engine/lib/xml-rpc.php: Refs #172: Removed line endings on spec.
	* mod/diagnostics/languages/fr.php, mod/groups/languages/fr.php,
	  mod/logbrowser/languages/fr.php,
	  mod/reportedcontent/languages/fr.php, mod/river/languages/fr.php,
	  mod/updateclient/languages/fr.php: Closes #298: Thankyou for your
	  contribution!
	* languages/fr.php: Closes #300: Thanks for the translation!
	* languages/en.php, mod/groups/actions/forums/edittopic.php,
	  mod/groups/languages/en.php: Closes #320: Filled in missing
	  translations

2008-09-07  marcus

	* views/default/input/checkboxes.php,
	  views/default/input/radio.php,
	  views/default/notifications/settings/usersettings.php: Fixes 334:
	  Radio buttons were part of the problem, label and option were the
	  wrong way round (compare with input/checkboxes).
	  
	  Second part of the problem was actually with
	  views/default/notifications/settings/usersettings.php, where the
	  value of the field was incorrectly being extracted from the
	  settings array.
	  
	  Thanks for the spot!

2008-09-06  marcus

	* actions/admin/plugins/disable.php,
	  actions/admin/plugins/enable.php,
	  views/default/admin/plugins_opt/plugin.php: Closes #327: Thanks
	  for the pointer. In the end I modified the fix from the patch you
	  sent, it still uses get but the generated token should make a
	  CSRF attack much harder.
	* actions/admin/user/ban.php, actions/admin/user/delete.php,
	  actions/admin/user/makeadmin.php,
	  actions/admin/user/resetpassword.php,
	  actions/admin/user/unban.php,
	  mod/profile/views/default/profile/menu/adminlinks.php: Fixes
	  #332: Added tokens and action_gatekeeper()
	* engine/lib/database.php: Fixes #330: I implemented the changes
	  you suggested (except for quotes around the table name). What
	  problems did you encounter?
	* mod/reportedcontent/languages/en.php: Refs #331: Trying this
	  again...
	* mod/reportedcontent/languages/en.php,
	  views/default/page_elements/owner_block.php: Closes 331: Removed
	  fixed string in translation. Thanks for the spot!

2008-09-02  marcus

	* engine/schema/mysql.sql: Set default db to UTF 8... for what it's
	  worth.

2008-09-01  marcus

	* engine/lib/input.php: Closes #305
	* actions/admin/site/update_basic.php: Fixes #244
	* views/default/settings/system.php: Fixes the regression
	  introduced by [2023]
	* engine/lib/actions.php, engine/lib/sessions.php: Additional
	  per-session random token, additional randomness protection
	  against CSRF. Report problems.

2008-08-31  marcus

	* engine/lib/actions.php, engine/lib/sessions.php: Some session
	  fingerprinting code. Requires user agent to be consistent across
	  requests.
	* engine/lib/sessions.php: Regenerates session ID on user login.
	  This helps prevent some hijacking attacks.
	* engine/lib/sessions.php: Minor tweak, logout now calls
	  session_destroy()

2008-08-28  marcus

	* engine/lib/languages.php, engine/start.php: Closes #313, Fixes
	  #274: Resolved strange OSX language file browsing, including
	  speculative windows fix. Thanks for the patch!

2008-08-26  marcus

	* languages/en.php, views/default/canvas/layouts/widgets.php,
	  views/default/navigation/toolbox.php,
	  views/default/navigation/topbar_tools.php: Closes #304: Thanks
	  for the patch!
	* languages/en.php: Fixes #275: Thanks for the report!
	* engine/lib/statistics.php, languages/en.php,
	  views/default/admin/statistics_opt/basic.php: Minor tweak to
	  basic stats to clarify number of users in the system.

2008-08-25  marcus

	* engine/lib/filestore.php, engine/lib/users.php, languages/en.php:
	  Closes #254: If mb_string is installed then internationalised
	  usernames are supported in file system.
	  
	  Because of this I have raised mbstring from recommended to a
	  (non-fatal) core requirement.
	  
	  Because of the lack of a unicode ctype_alnum function the
	  validation occurs at username input. Because of this I have
	  improved the user registration code:
	  
	  This code now validates for special chars etc in the username. I
	  have also introduced the following new plugin hooks (which are
	  run after primary validation) which provide plugins with the
	  ability to add other requirements (extra security etc).
	  
	  'registeruser:validate:password'
	  'registeruser:validate:username'
	  'registeruser:validate:email'
	  
	  Marcus Povey 25/8/08

2008-08-22  ben

	* engine/lib/input.php: Committing kses fix

2008-08-21  ben

	* actions/systemsettings/install.php: Fixed ping error. Fixes #269
	* engine/lib/elgglib.php, engine/lib/input.php, mod: Fixed input
	  for people with magic quotes on.

2008-08-21  marcus

	* actions/systemsettings/install.php: Actually fixes #269
	* actions/systemsettings/install.php: Fixes #269

2008-08-21  ben

	* engine/lib/elgglib.php: Added plugin hook to elgg_view.

2008-08-21  marcus

	* version.php: Prelude to release
	* engine/lib/elgglib.php: Fixes #280
	* engine/lib/sessions.php: Blanking session code on initialisation
	  fail

2008-08-20  marcus

	* views/default/river/dashboard.php: Closes #253: Patch provided by
	  edfactor. Thanks for your contribution!

2008-08-20  pete

	* views/failsafe/pageshells/pageshell.php: install process password
	  box added
	* views/failsafe/messages/errors/list.php,
	  views/failsafe/pageshells/pageshell.php: increased the size of
	  the input boxes on the install pages to faciliate url checking

2008-08-20  marcus

	* actions/systemsettings/install.php: Making it case insensitive...

2008-08-20  pete

	* _graphics/avatar_mini.gif: removed unused image

2008-08-20  marcus

	* actions/admin/site/update_basic.php,
	  actions/systemsettings/install.php, engine/lib/input.php,
	  languages/en.php: Refs #273: Extra sanity checking on install

2008-08-20  ben

	* languages/en.php: Language change
	* languages/en.php, views/default/settings/system.php,
	  views/failsafe/settings/system.php: Installation clarity fixes

2008-08-20  marcus

	* engine/lib/elgglib.php: Refs #272: Speculative fix. Added PORT
	  support to current_page_url(). Please test to see if this solves
	  your problem...
	* version.php: Oopsy, wrong package number
	* version.php: Raising point number pre-package

2008-08-20  ben

	* htaccess_dist: Revised rewrite rules.

2008-08-19  marcus

	* engine/lib/database.php: Refs #266: Error given if no database
	  has been set up.
	* engine/lib/database.php, engine/lib/elgglib.php,
	  engine/lib/install.php, install.php, languages/en.php,
	  views/failsafe/messages/exceptions/exception.php: Refs #256:
	  Basic installation parameters checked.
	  Fixes #266: If the install flag isn't set then elgg_view will no
	  longer attempt to load data from the database.
	* engine/lib/elgglib.php: Refs #265: If $CONFIG->view not blank
	  then it overrides the session even if the session is set.
	* engine/schema/mysql.sql: Fixes #260: Done. Nice spot.

2008-08-18  ben

	* engine/lib/access.php: Small access fix
	* CONTRIBUTORS.txt: And again.
	* CONTRIBUTORS.txt: Minor contributor file fix.
	* engine/lib/access.php: Corrected minor friend collection issue

2008-08-18  pete

	* CONTRIBUTORS.txt: changed bens twitter account url

2008-08-18  ben

	* actions/admin/user/ban.php: Moving the disable_entities call
	* engine/lib/elgglib.php: More submenu corrections
	* actions/admin/user/ban.php: Banning a user disables their
	  entities
	* engine/lib/entities.php, engine/lib/users.php: Removing a user
	  disables their entities

2008-08-18  marcus

	* version.php: Updated for release

2008-08-17  ben

	* engine/lib/elgglib.php: Fixed the submenu

2008-08-17  pete

	* mod/profile/graphics/defaultmaster.jpg: default image for cropper
	  tool

2008-08-17  ben

	* views/default/navigation/topbar_tools.php: The top tool menu is
	  now alphabetically sorted.
	* engine/lib/elgglib.php: Submenu items are now sorted.
	* mod/groups/start.php: Renamed groups submenus
	* mod/groups/languages/en.php: Added a missing translation string
	  to groups.
	* mod/groups/start.php: Corrected the 'your groups' link

2008-08-17  dave

	* views/default/spotlight/default.php: spotlight tweaks

2008-08-17  ben

	* views/default/friends/picker.php: Removed the context menu in the
	  friends picker.

2008-08-17  pete

	* views/default/css.php: force tinyMCE editor initial width for
	  safari
	* views/default/page_elements/footer.php: footer updated to fit
	  more links
	* _graphics/spotlight_back.gif, views/default/css.php: Opera fixes
	  and new spotlight back

2008-08-17  ben

	* dashboard/index.php, dashboard/latest.php,
	  engine/lib/elgglib.php, languages/en.php,
	  views/default/dashboard, views/default/dashboard/blurb.php: Wired
	  in latest activity, so new users aren't as lonely as they
	  otherwise might be.

2008-08-17  pete

	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/object/groupforumtopic.php: groups
	  listing icon changed from tiny to small
	  latest discussion listing info block styled up

2008-08-17  dave

	* views/default/page_elements/footer.php: footer tweak

2008-08-17  ben

	* mod/profile/actions/edit.php: Ensuring that tags are saved
	  correctly in profile

2008-08-17  pete

	* mod/profile/views/default/profile/css.php, views/default/css.php:
	  avatar menu fixes for IE
	* mod/groups/views/default/groups/css.php,
	  mod/profile/views/default/profile/css.php,
	  mod/profile/views/default/profile/javascript.php: avatar menu fix
	  for IE groups and profile pages

2008-08-17  ben

	* INSTALL.txt: Updated installation instructions

2008-08-16  pete

	* mod/profile/views/default/profile/css.php,
	  mod/profile/views/default/profile/javascript.php: avatar menu in
	  IE, z-index bug work-around
	* mod/profile/views/default/profile/javascript.php,
	  views/default/css.php: tools menu removed dynamic z-index

2008-08-16  ben

	* mod/profile/views/default/profile/icon.php,
	  mod/profile/views/default/profile/userdetails.php: Removed avatar
	  context menu from large profile picture
	* mod/logbrowser/start.php,
	  mod/logbrowser/views/default/logbrowser/adminlinks.php,
	  mod/profile/start.php,
	  mod/profile/views/default/profile/menu/adminlinks.php,
	  mod/profile/views/default/profile/menu/adminwrapper.php: Admin
	  links are now consolidated
	* engine/lib/users.php: Removing gallery on search user list
	  function

2008-08-16  pete

	* views/default/css.php: menu selected item ie6 fix

2008-08-16  dave

	* views/default/spotlight/default.php: a little content added to
	  the spotlight
	* mod/reportedcontent/views/default/reportedcontent/listing.php:
	  reported content tweak

2008-08-16  ben

	* mod/profile/actions/edit.php, mod/profile/start.php,
	  mod/profile/views/default/profile/edit.php,
	  mod/profile/views/default/profile/javascript.php,
	  mod/profile/views/default/profile/metatags.php: Individual
	  profile items can now have access restrictions; also made the
	  profile JS more cache friendly

2008-08-16  pete

	* mod/reportedcontent/views/default/reportedcontent/css.php,
	  mod/reportedcontent/views/default/reportedcontent/listing.php,
	  views/default/css.php: reported content updates
	* views/default/css.php: tools settings updated

2008-08-16  dave

	* languages/en.php: lang string missing

2008-08-16  pete

	* mod/groups/views/default/groups/css.php: groups widget fixed for
	  ie6

2008-08-16  marcus

	* mod/diagnostics/languages/en.php, mod/diagnostics/start.php:
	  Globals and PHP info added to diagnostics

2008-08-16  dave

	* views/default/admin/plugins_opt/plugin.php: further tweaks on
	  admin settings
	* views/default/admin/plugins_opt/plugin.php: plugin settings moved
	  to hidden dropdown

2008-08-16  marcus

	* engine/lib/entities.php: Code also useless
	* engine/lib/entities.php: Salt free diet

2008-08-16  pete

	* mod/profile/views/default/profile/css.php, views/default/css.php:
	  avatar menu fixed in admin area, admin area h3's fixed

2008-08-15  pete

	* _graphics/owner_block_menu_dot.gif, views/default/css.php: owner
	  block menu

2008-08-15  ben

	* engine/lib/users.php: Correction for the search list users by
	  name function.
	* mod/reportedcontent/languages/en.php: A rookie error.

2008-08-15  marcus

	* mod/groups/actions/addtogroup.php,
	  mod/groups/actions/joinrequest.php: Closes #234: Please use
	  brackets defensively; The statement:
	  
	  if ($user = get_entity($foo) && $group = get_entity($bar))
	  
	  Will not do what you expect it to do!

2008-08-15  ben

	* engine/lib/users.php, languages/en.php, search/users.php,
	  views/default/user/search/finishblurb.php: Added proper search
	  for users by name
	* mod/groups/views/rss, mod/groups/views/rss/forum,
	  mod/groups/views/rss/forum/topics.php,
	  mod/groups/views/rss/forum/viewposts.php,
	  mod/groups/views/rss/groups,
	  mod/groups/views/rss/groups/profileitems.php: RSS views for
	  forums
	* views/rss/group, views/rss/group/default.php: Group default RSS
	  view

2008-08-15  pete

	* views/default/css.php: sidebar arrow position fixed for ie 6 & 7

2008-08-15  ben

	* _css/css.php, mod/profile/icon.php, mod/profile/javascript.php,
	  views/default/friends/picker.php,
	  views/default/page_elements/header.php: Caching enhancements

2008-08-15  pete

	* views/default/css.php: screwed up profile page on ie6 fixed

2008-08-15  ben

	* mod/reportedcontent/languages/en.php: Added a language entry for
	  reported items (again)

2008-08-15  dave

	* mod/groups/membership.php: gallery view removed from group lists
	* mod/reportedcontent/index.php: reportedcontent bug sorted

2008-08-15  ben

	* mod/groups/views/default/forms/groups/invite.php: Ensured that
	  all friends come through for group invite
	* mod/groups/views/default/forms/groups/invite.php: Ensured that
	  all friends come through for group invite
	* views/default/page_elements/owner_block.php: Owner block defaults
	  to current logged in user.
	* engine/lib/input.php: Improved the kses whitelist

2008-08-15  marcus

	* install.php, views/failsafe/canvas,
	  views/failsafe/canvas/default.php, views/failsafe/input,
	  views/failsafe/input/button.php,
	  views/failsafe/input/checkboxes.php,
	  views/failsafe/input/form.php, views/failsafe/input/hidden.php,
	  views/failsafe/input/longtext.php,
	  views/failsafe/input/pulldown.php,
	  views/failsafe/input/reset.php, views/failsafe/input/submit.php,
	  views/failsafe/input/text.php, views/failsafe/messages/messages,
	  views/failsafe/messages/messages/list.php,
	  views/failsafe/messages/messages/message.php,
	  views/failsafe/pageshells/pageshell.php, views/failsafe/settings,
	  views/failsafe/settings/install.php,
	  views/failsafe/settings/system.php: Closes #224: Install now
	  using failsafe views. Please test from scratch (including
	  blanking setup) and make sure it works for you!

2008-08-15  dave

	* mod/groups/membership.php: groups view tweaked

2008-08-15  ben

	* entities/index.php, views/default/navigation/pagination.php,
	  views/default/widgets/wrapper.php: Removed pagination in widgets
	* engine/lib/relationships.php: Added the ability to hide the
	  gallery view on list_entities_from_relationships
	* languages/en.php: Language addition to make it clearer that you
	  need to validate before you can log in.

2008-08-15  dave

	* mod/groups/languages/en.php: group lang bug fixed
	* mod/reportedcontent/actions/add.php,
	  mod/reportedcontent/actions/archive.php,
	  mod/reportedcontent/actions/delete.php,
	  mod/reportedcontent/languages/en.php,
	  mod/reportedcontent/start.php,
	  mod/reportedcontent/views/default/reportedcontent/css.php,
	  mod/reportedcontent/views/default/reportedcontent/listing.php:
	  reported content updated

2008-08-15  ben

	* mod/reportedcontent/languages/en.php: Added a language entry for
	  reported items

2008-08-15  pete

	* views/default/page_elements/owner_block.php: owner block head -
	  divider line method changed to work in ie6
	* views/default/css.php: owner block fixes and blog post tweaks

2008-08-15  marcus

	* engine/lib/pagehandler.php,
	  mod/profile/views/default/profile/listing.php,
	  views/default/admin/statistics_opt/numentities.php,
	  views/default/input/checkboxes.php,
	  views/default/search/entity_list.php: Refs #249

2008-08-15  ben

	* engine/lib/entities.php, index.php: The front page now only shows
	  content and groups.

2008-08-15  marcus

	* mod/profile/edit.php,
	  views/default/page_elements/owner_block.php: Refs #249

2008-08-15  dave

	* mod/reportedcontent/languages/en.php,
	  mod/reportedcontent/views/default/reportedcontent/listing.php:
	  reported content tweaks

2008-08-15  pete

	* mod/profile/views/default/profile/css.php,
	  mod/profile/views/default/profile/userdetails.php,
	  views/default/css.php: IE 6 & 7 profile page avatar menu and
	  submenu fixed, toolbar new msg icon position,

2008-08-14  pete

	* views/default/css.php: owner block changes

2008-08-14  dave

	* mod/reportedcontent/views/default/reportedcontent/listing.php:
	  reportedcontent list tweaks

2008-08-14  ben

	* engine/lib/elgglib.php: Fixed an issue with the submenu.

2008-08-14  marcus

	* engine/lib/notification.php: Fixes #245: Tags now stripped from
	  email messages.

2008-08-14  dave

	* mod/diagnostics/index.php, mod/logbrowser/index.php,
	  mod/reportedcontent/index.php: more owner blocks added
	* admin/plugins/index.php, admin/site/index.php,
	  admin/statistics/index.php, admin/user/index.php: owner block
	  added to admin pages

2008-08-14  pete

	* views/default/css.php: collections, friends picker, status,
	  search items updated for IE6
	* views/default/friends/picker.php,
	  views/default/friends/tablelist.php: friends picker table bug
	  fixed and spacing adjusted on collections

2008-08-14  ben

	* engine/lib/elgglib.php: Redefined the default submenu item group
	  to 'a', so most usually it will appear on top
	* mod/groups/start.php,
	  views/default/canvas_header/submenu_group.php,
	  views/default/page_elements/owner_block.php: Further submenu
	  clustering
	* engine/lib/elgglib.php,
	  views/default/canvas_header/submenu_group.php: Added the facility
	  to group submenus

2008-08-14  pete

	* javascript/friendsPickerv1.js, views/default/css.php: friends
	  picker modified for IE 6
	* _graphics/friends_picker_arrow_left.gif,
	  _graphics/friends_picker_arrow_right.gif: new picker arrows

2008-08-13  marcus

	* actions/email/confirm.php, actions/register.php,
	  engine/lib/entities.php, engine/lib/users.php: Closes #227 and
	  #243: Hopefully this has the fscking thing nailed to the wall.
	  
	  Please report any problems, especially is they relate to access
	  permissions (granted when you shouldn't or denied when you
	  should)
	* mod/diagnostics/languages/en.php, mod/diagnostics/start.php:
	  Added session to diagnostics.
	* engine/lib/sessions.php: Fixing some session blanking problems.
	* actions/email/confirm.php, actions/register.php,
	  engine/lib/entities.php, engine/lib/users.php: Reverted changes
	  so users can now register again.
	  
	  There are critical issues with enable/disable.
	  
	  Primarily:
	  
	  1) A number of functions do not use the access controls, these
	  throw an exception when accessing a disabled entity.
	  
	  2) #243 does not seem possible.

2008-08-13  pete

	* views/default/page_elements/owner_block.php: owner block fixed
	  for safari and ie6

2008-08-13  marcus

	* engine/lib/entities.php, languages/en.php: Correct menus being
	  used

2008-08-13  pete

	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/groups/members.php,
	  views/default/css.php: numerous polishing and rendering fixes to
	  groups

2008-08-13  marcus

	* languages/en.php:
	* actions/admin/user/unban.php, engine/lib/admin.php,
	  engine/lib/entities.php, languages/en.php,
	  mod/profile/views/default/profile/menu/adminlinks.php: Refs #237:
	  Added option, now just needs a search listing banned users.
	  
	  Depends #243
	* actions/email/confirm.php, actions/register.php,
	  engine/lib/entities.php: Closes #227. Depends on #243 to work.
	* engine/lib/access.php: Refs #237, #46 and #227: Added override
	  code.
	* engine/lib/entities.php: Actually closes #46
	* views/default/admin/plugins_opt/plugin.php: placeholder for
	  settings toggle

2008-08-13  pete

	* views/default/css.php: login and register boxes fixed

2008-08-13  marcus

	* views/default/page_elements/owner_block.php: Now only displays
	  'report this' when plugin is enabled.

2008-08-13  ben

	* views/default/page_elements/owner_block.php: Sturdier enhancement
	  for the owner block.
	* mod/pages: Once again removing an accidentally committed plugin
	* index.php, languages/en.php, mod/pages, mod/pages/actions,
	  mod/pages/actions/pages, mod/pages/actions/pages/delete.php,
	  mod/pages/actions/pages/edit.php,
	  mod/pages/actions/pages/editwelcome.php, mod/pages/edit.php,
	  mod/pages/history.php, mod/pages/images,
	  mod/pages/images/application.png, mod/pages/images/code.png,
	  mod/pages/images/css.png, mod/pages/images/db.png,
	  mod/pages/images/directory.png, mod/pages/images/doc.png,
	  mod/pages/images/file.gif, mod/pages/images/file.png,
	  mod/pages/images/film.png, mod/pages/images/flash.png,
	  mod/pages/images/folder-closed.gif, mod/pages/images/folder.gif,
	  mod/pages/images/folder_open.png, mod/pages/images/html.png,
	  mod/pages/images/java.png, mod/pages/images/linux.png,
	  mod/pages/images/minus.gif, mod/pages/images/music.png,
	  mod/pages/images/pdf.png, mod/pages/images/php.png,
	  mod/pages/images/picture.png, mod/pages/images/plus.gif,
	  mod/pages/images/ppt.png, mod/pages/images/psd.png,
	  mod/pages/images/ruby.png, mod/pages/images/script.png,
	  mod/pages/images/spinner.gif,
	  mod/pages/images/treeview-black-line.gif,
	  mod/pages/images/treeview-black.gif,
	  mod/pages/images/treeview-default-line.gif,
	  mod/pages/images/treeview-default.gif,
	  mod/pages/images/treeview-famfamfam-line.gif,
	  mod/pages/images/treeview-famfamfam.gif,
	  mod/pages/images/treeview-gray-line.gif,
	  mod/pages/images/treeview-gray.gif,
	  mod/pages/images/treeview-red-line.gif,
	  mod/pages/images/treeview-red.gif, mod/pages/images/txt.png,
	  mod/pages/images/xls.png, mod/pages/images/zip.png,
	  mod/pages/index.php, mod/pages/javascript,
	  mod/pages/javascript/jquery.treeview.async.js,
	  mod/pages/javascript/jquery.treeview.js, mod/pages/languages,
	  mod/pages/languages/en.php, mod/pages/manifest.xml,
	  mod/pages/new.php, mod/pages/pagesTree.php, mod/pages/start.php,
	  mod/pages/view.php, mod/pages/views, mod/pages/views/default,
	  mod/pages/views/default/annotation,
	  mod/pages/views/default/annotation/icon.php,
	  mod/pages/views/default/annotation/page.php,
	  mod/pages/views/default/forms,
	  mod/pages/views/default/forms/pages,
	  mod/pages/views/default/forms/pages/edit.php,
	  mod/pages/views/default/forms/pages/editwelcome.php,
	  mod/pages/views/default/object,
	  mod/pages/views/default/object/page.php,
	  mod/pages/views/default/object/page_top.php,
	  mod/pages/views/default/pages,
	  mod/pages/views/default/pages/breadcrumbs.php,
	  mod/pages/views/default/pages/css.php,
	  mod/pages/views/default/pages/groupprofile_pages.php,
	  mod/pages/views/default/pages/menu.php,
	  mod/pages/views/default/pages/metatags.php,
	  mod/pages/views/default/pages/pagegallery.php,
	  mod/pages/views/default/pages/pagelisting.php,
	  mod/pages/views/default/pages/pageprofile.php,
	  mod/pages/views/default/pages/sidebar,
	  mod/pages/views/default/pages/sidebar/sidebarthis.php,
	  mod/pages/views/default/pages/sidebar/starter.php,
	  mod/pages/views/default/pages/sidebar/tree.php,
	  mod/pages/views/default/pages/sidebar/wrapper.php,
	  mod/pages/views/default/pages/welcome.php, mod/pages/welcome.php,
	  mod/pages/world.php: Added a new latest activity title to the
	  front page
	* views/default/page_elements/owner_block.php: The owner block now
	  doesn't display at all if there's no page owner

2008-08-13  pete

	* views/default/account/forms/login.php, views/default/css.php:
	  front page login box

2008-08-13  marcus

	* actions/admin/user/ban.php: Banned now gives a reason why user
	  disabled.
	* engine/lib/entities.php: Added a reason for disabled objects.
	* engine/lib/entities.php: Closes #46: Method for activating an
	  entity. No hookup yet.
	* engine/lib/access.php: Refs #237, #46 and #227: Added active only
	  override to get_access_sql_suffix

2008-08-13  ben

	* mod/blog: This shouldn't be here!

2008-08-13  marcus

	* actions/admin/user/delete.php, engine/lib/group.php,
	  engine/lib/objects.php, engine/lib/sites.php,
	  engine/lib/users.php: Fixes #241: Changed order, delete user
	  using object's delete method rather than the low level function

2008-08-13  ben

	* engine/lib/pagehandler.php: Removed page handler default errors

2008-08-13  pete

	* views/default/css.php: widget boxes fixed for IE

2008-08-13  ben

	* engine/lib/users.php: Added a page handler for the dashboard

2008-08-13  marcus

	* actions/useradd.php, engine/lib/sessions.php: Fixes #238: Problem
	  was caused by authenticate not having the user email validated
	  flag set.
	  
	  Introduced new flag ->admin_created to distinguish between the
	  two types.

2008-08-13  ben

	* views/default/canvas/layouts/widgets.php: A warning fix for the
	  dashboard layout.
	* views/default/input/button.php, views/default/input/form.php:
	  Some safety fixes for the new form views
	* engine/lib/elgglib.php: Only log warnings in debug mode.
	* mod/blog, mod/blog/actions, mod/blog/actions/add.php,
	  mod/blog/actions/delete.php, mod/blog/actions/edit.php,
	  mod/blog/add.php, mod/blog/edit.php, mod/blog/everyone.php,
	  mod/blog/friends.php, mod/blog/index.php, mod/blog/languages,
	  mod/blog/languages/en.php, mod/blog/manifest.xml,
	  mod/blog/read.php, mod/blog/start.php, mod/blog/views,
	  mod/blog/views/default, mod/blog/views/default/blog,
	  mod/blog/views/default/blog/css.php,
	  mod/blog/views/default/blog/forms,
	  mod/blog/views/default/blog/forms/edit.php,
	  mod/blog/views/default/blog/gallery.php,
	  mod/blog/views/default/blog/listing.php,
	  mod/blog/views/default/blog/menu.php,
	  mod/blog/views/default/blog/notfound.php,
	  mod/blog/views/default/blog/view.php,
	  mod/blog/views/default/object,
	  mod/blog/views/default/object/blog.php,
	  mod/blog/views/default/river, mod/blog/views/default/river/blog,
	  mod/blog/views/default/river/blog/annotate.php,
	  mod/blog/views/default/river/blog/create.php,
	  mod/blog/views/default/river/blog/update.php,
	  views/default/canvas/layouts/two_column_left_sidebar.php,
	  views/default/canvas/layouts/two_column_right_sidebar.php,
	  views/default/input/form.php: Removing some messages
	* engine/lib/pagehandler.php: Removing an error log entry in the
	  page handler function
	* engine/lib/elgglib.php: Fixed select class issue for submenus
	* search/index.php: Reinstated search label.
	* mod/logbrowser/start.php, mod/profile/start.php: Admin links on
	  profile pages and in user context menus appear at the bottom.
	* mod/profile/views/default/profile/userdetails.php: The profile
	  edit button is now wired up so that admins can edit any user.
	* engine/lib/access.php, engine/lib/admin.php: Admins now see all!

2008-08-13  pete

	* views/default/page_elements/owner_block.php: extra float clear
	  for ie6
	* _graphics/icon_gallery.gif: new gallery icon
	* _graphics/blockquote.png, _graphics/dummy_river_icon.gif,
	  _graphics/footer_logo.gif: removed images not used
	* _graphics/icon_bookmarkthis.gif, _graphics/icon_reportthis.gif,
	  views/default/css.php: owner block additional icons

2008-08-12  dave

	* mod/reportedcontent/views/default/reportedcontent/listing.php:
	  small tweak to reported content
	* mod/reportedcontent, mod/reportedcontent/actions,
	  mod/reportedcontent/actions/add.php, mod/reportedcontent/add.php,
	  mod/reportedcontent/index.php, mod/reportedcontent/languages,
	  mod/reportedcontent/languages/en.php,
	  mod/reportedcontent/manifest.xml, mod/reportedcontent/start.php,
	  mod/reportedcontent/views, mod/reportedcontent/views/default,
	  mod/reportedcontent/views/default/object,
	  mod/reportedcontent/views/default/reportedcontent,
	  mod/reportedcontent/views/default/reportedcontent/form.php,
	  mod/reportedcontent/views/default/reportedcontent/listing.php,
	  mod/reportedcontent/views/default/reportedcontent/user_report.php:
	  report content added as a core plugin. Still needs a couple of
	  bits wired up.
	* views/default/page_elements/owner_block.php: owner block tweaked
	  to add report this

2008-08-12  marcus

	* engine/lib/access.php: Removed superadmin access controls. You
	  can't call get_entity from within get_access_sql_suffix and
	  get_access_array as it causes an infinite loop.
	  
	  The only safe way to do this is via a plugin hook.
	* actions/systemsettings/install.php: Refs #232: Diagnostics now on
	  by default on new installs.
	* mod/diagnostics, mod/diagnostics/actions,
	  mod/diagnostics/actions/download.php, mod/diagnostics/index.php,
	  mod/diagnostics/languages, mod/diagnostics/languages/en.php,
	  mod/diagnostics/manifest.xml, mod/diagnostics/start.php,
	  mod/diagnostics/views, mod/diagnostics/views/default,
	  mod/diagnostics/views/default/diagnostics,
	  mod/diagnostics/views/default/diagnostics/forms,
	  mod/diagnostics/views/default/diagnostics/forms/download.php:
	  Closes #232: Produces a basic report plus checksums of all files
	  in md5sum format.
	  
	  To add extra information to this report add a plugin hook
	  listening to:
	  
	  'diagnostics:report'
	  
	  And append to $returnvalue which is a simple text buffer.

2008-08-12  pete

	* views/default/css.php: sidebar menu additions
	* _graphics/icons/default/large.png,
	  _graphics/icons/default/medium.png,
	  _graphics/icons/default/small.png,
	  _graphics/icons/default/tiny.png: new default entity icons

2008-08-12  ben

	* engine/lib/access.php: Further access additions for admins.
	* engine/lib/access.php: Admins can now see private data.
	* mod/groups/views/default/forms/groups/invite.php: Group invites
	  now uses the friends picker.

2008-08-12  dave

	* views/default/page_elements/owner_block.php: bookmark this and
	  report this (still to be wired up) added to the owner block

2008-08-12  marcus

	* actions/register.php, actions/useradd.php, engine/lib/users.php:
	  Closes #229: Admin signup now using different view + no password
	  validation for admin signup
	* actions/register.php, engine/lib/exceptions.php,
	  engine/lib/users.php, languages/en.php,
	  views/default/account/forms/register.php: Refs #229 : Register
	  now has more granular messages, dupe email checkiong,
	  sanitisation + fill in the blanks failure mode! (yay)

2008-08-12  pete

	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/groups/members.php,
	  views/default/css.php: groups pages interface fixes/cleanup

2008-08-12  ben

	* index.php: Improved front page.
	* mod/groups/start.php: Groups now links to a better place when
	  you're logged out.

2008-08-12  marcus

	* htaccess_dist: Slight tweak to rewrite rules.
	* actions/systemsettings/install.php: Forward not gatekeeper

2008-08-12  dave

	* views/default/navigation/pagination.php: pagination display
	  tweaked

2008-08-11  pete

	* mod/logbrowser/views/default/logbrowser/css.php,
	  views/default/css.php: settings and admin pages cleaned

2008-08-11  ben

	* engine/lib/entities.php, index.php,
	  views/default/welcome/logged_out.php: Added latest content to the
	  front page

2008-08-11  marcus

	* views/default/input/form.php: Logic error
	* actions/friends/deletecollection.php: Refs #228: Will now error
	  if collection can not be deleted

2008-08-11  pete

	* views/default/css.php:
	* javascript/initialise_elgg.js: toggle more info button for admin
	  panel added

2008-08-11  marcus

	* views/default/input/form.php: Added ability to disable security
	  enhancements on form (for certain cases)

2008-08-11  ben

	* languages/en.php, search/index.php: Clearer titles for search

2008-08-11  marcus

	* views/default/friends/forms/edit.php:
	* actions/friends/addcollection.php,
	  views/default/friends/forms/edit.php: Refs #210 & #211: Friends
	  form moved to action_gatekeeper code.

2008-08-11  ben

	* search/index.php: Improved search submenu items
	* languages/en.php: A clearer registration message.
	* engine/lib/notification.php: Downgraded UTF support in the email
	  notification function to optional

2008-08-11  dave

	* views/default/admin/plugins_opt/plugin.php: plugin admin layout
	  tweaks

2008-08-11  marcus

	* engine/lib/actions.php, languages/en.php: Minor bugfix to
	  actions_gatekeeper()
	* engine/schema/mysql.sql: Usernames now unique

2008-08-11  dave

	* views/default/settings/system.php: further admin layout tweak
	* views/default/admin/statistics_opt/basic.php,
	  views/default/admin/statistics_opt/numentities.php,
	  views/default/admin/statistics_opt/online.php: further admin
	  layout tweaks
	* views/default/usersettings/statistics_opt/numentities.php,
	  views/default/usersettings/statistics_opt/online.php: user
	  settings tweaks
	* views/default/notifications/settings/usersettings.php,
	  views/default/user/settings/email.php,
	  views/default/user/settings/language.php,
	  views/default/user/settings/name.php,
	  views/default/user/settings/password.php: user settings tweaked

2008-08-11  marcus

	* actions/comments/add.php, views/default/comments/forms/edit.php:
	  Refs #210 & #211 : Updated comments form
	* actions/widgets/save.php, views/default/widgets/editwrapper.php:
	  Refs #210 & #211 : Widgets edit now using action_gatekeeper
	* views/default/input/form.php: Minor modifications to form.

2008-08-11  ben

	* mod/groups/views/default/groups/grouplisting.php,
	  mod/profile/views/default/profile/listing.php: Added class to
	  user and group details

2008-08-11  marcus

	* actions/admin/site/update_basic.php,
	  actions/systemsettings/install.php,
	  actions/usersettings/save.php, views/default/settings/system.php,
	  views/default/usersettings/form.php: Refs #210 & #211 : Some more
	  core settings / admin pages moved to use admin_gatekeeper.
	  Install script action now also refuses to be run if the site has
	  already been installed.
	* actions/plugins/settings/save.php,
	  actions/plugins/usersettings/save.php,
	  views/default/object/plugin.php: Refs #210 & #211 : Plugins
	  settings converted.

2008-08-11  pete

	* _graphics/toolbar_messages_icon.gif, views/default/css.php,
	  views/default/welcome/logged_in.php,
	  views/default/welcome/logged_out.php: toolbar messages icon
	  rollover state added. Logged in/out front page wrapped in
	  paragraph tags

2008-08-11  marcus

	* views/default/basic_elements/login.php: Removed
	  basic_elements/login ... didn't seem to be used and is duped by
	  main login.
	* actions/register.php, actions/useradd.php,
	  views/default/account/forms/register.php,
	  views/default/account/forms/useradd.php: Refs #210 & #211

2008-08-11  ben

	* engine/lib/entities.php, engine/lib/group.php,
	  engine/lib/users.php, search/index.php: Added a search submenu.

2008-08-11  marcus

	* actions/login.php, actions/user/requestnewpassword.php,
	  languages/en.php: Refs #210 & #211

2008-08-10  dave

	* mod/groups/views/default/widgets/a_users_groups/view.php: group
	  profile widget tweaked

2008-08-10  marcus

	* engine/schema/mysql.sql: Closes #223

2008-08-09  pete

	* views/default/css.php: top toolbar elements fixed for ie
	* views/default/css.php, views/default/navigation/pagination.php:
	  pagination overlap in ie fixed
	* javascript/friendsPickerv1.js, views/default/css.php:
	* views/default/css.php:

2008-08-09  dave

	* mod/groups/languages/en.php, mod/groups/start.php,
	  mod/groups/views/default/widgets/a_users_groups,
	  mod/groups/views/default/widgets/a_users_groups/edit.php,
	  mod/groups/views/default/widgets/a_users_groups/view.php: a
	  simple widget that displays a users groups on their profile
	* mod/groups/views/default/groups/grouplisting.php: group listings
	  now include the brief description

2008-08-08  ben

	* engine/lib/group.php, engine/lib/users.php,
	  mod/groups/actions/forums/addtopic.php, mod/groups/addtopic.php,
	  mod/groups/topicposts.php: Major access fix.
	* engine/lib/entities.php, engine/lib/group.php: Solved write
	  issues in groups for non-admin users.
	* README.txt: Slight readme update.
	* CONTRIBUTORS.txt, account/forgotten_password.php,
	  actions/admin/plugins/disable.php,
	  actions/admin/plugins/enable.php,
	  actions/admin/site/update_basic.php, actions/admin/user/ban.php,
	  actions/admin/user/delete.php, actions/admin/user/makeadmin.php,
	  actions/admin/user/resetpassword.php, actions/email/save.php,
	  actions/entities/delete.php, actions/import/opendd.php,
	  actions/notifications/settings/usersettings/save.php,
	  actions/plugins/settings/save.php,
	  actions/plugins/usersettings/save.php, actions/user/language.php,
	  actions/user/name.php, actions/user/password.php,
	  actions/user/passwordreset.php,
	  actions/user/requestnewpassword.php, actions/useradd.php,
	  admin/plugins/index.php, admin/site/index.php,
	  admin/statistics/index.php, admin/user/index.php,
	  engine/handlers/cron_handler.php,
	  engine/handlers/xml-rpc_handler.php, engine/lib/admin.php,
	  engine/lib/annotations.php, engine/lib/api.php,
	  engine/lib/cache.php, engine/lib/entities.php,
	  engine/lib/exceptions.php, engine/lib/export.php,
	  engine/lib/extender.php, engine/lib/filestore.php,
	  engine/lib/group.php, engine/lib/input.php,
	  engine/lib/metadata.php, engine/lib/metastrings.php,
	  engine/lib/notification.php, engine/lib/opendd.php,
	  engine/lib/pam.php, engine/lib/ping.php, engine/lib/plugins.php,
	  engine/lib/query.php, engine/lib/relationships.php,
	  engine/lib/river.php, engine/lib/sites.php,
	  engine/lib/statistics.php, engine/lib/system_log.php,
	  engine/lib/tags.php, engine/lib/usersettings.php,
	  engine/lib/xml-rpc.php, engine/lib/xml.php,
	  mod/groups/actions/addtogroup.php, mod/groups/actions/edit.php,
	  mod/groups/actions/join.php, mod/groups/actions/joinrequest.php,
	  mod/groups/actions/leave.php, mod/groups/all.php,
	  mod/groups/discussions.php, mod/groups/edit.php,
	  mod/groups/graphics/icon.php, mod/groups/groupprofile.php,
	  mod/groups/index.php, mod/groups/invite.php,
	  mod/groups/languages/en.php, mod/groups/membership.php,
	  mod/groups/new.php, mod/groups/start.php,
	  mod/groups/topicposts.php,
	  mod/groups/views/default/forms/groups/edit.php,
	  mod/groups/views/default/forms/groups/invite.php,
	  mod/groups/views/default/forum/topicposts.php,
	  mod/groups/views/default/group/group.php,
	  mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/groups/groupgallery.php,
	  mod/groups/views/default/groups/grouplisting.php,
	  mod/groups/views/default/groups/icon.php,
	  mod/groups/views/default/river/ElggRelationship/create.php,
	  mod/groups/views/default/sharing/invite.php,
	  mod/groups/views/default/widgets/group_entities_widget/edit.php,
	  mod/groups/views/default/widgets/group_entities_widget/view.php,
	  mod/groups/views/default/widgets/group_members_widget/edit.php,
	  mod/groups/views/default/widgets/group_members_widget/view.php,
	  mod/guidtool/export.php, mod/guidtool/format_picker.php,
	  mod/guidtool/import.php, mod/guidtool/index.php,
	  mod/guidtool/languages/en.php, mod/guidtool/start.php,
	  mod/guidtool/view.php,
	  mod/guidtool/views/default/forms/guidtool/export.php,
	  mod/guidtool/views/default/forms/guidtool/format.php,
	  mod/guidtool/views/default/forms/guidtool/import.php,
	  mod/guidtool/views/default/guidtool/gallery.php,
	  mod/guidtool/views/default/guidtool/listing.php,
	  mod/guidtool/views/default/guidtool/profile.php,
	  mod/guidtool/views/default/object/guidtoolwrapper.php,
	  mod/logbrowser/index.php, mod/logbrowser/languages/en.php,
	  mod/logbrowser/start.php,
	  mod/logbrowser/views/default/object/logwrapper.php,
	  mod/profile/actions/cropicon.php, mod/profile/actions/edit.php,
	  mod/profile/actions/iconupload.php, mod/profile/edit.php,
	  mod/profile/editicon.php, mod/profile/icon.php,
	  mod/profile/index.php, mod/profile/javascript.php,
	  mod/profile/start.php,
	  mod/profile/views/default/profile/edit.php,
	  mod/profile/views/default/profile/gallery.php,
	  mod/profile/views/default/profile/hoverover.php,
	  mod/profile/views/default/profile/icon.php,
	  mod/profile/views/default/profile/listing.php,
	  mod/profile/views/default/profile/menu/actions.php,
	  mod/profile/views/default/profile/menu/adminlinks.php,
	  mod/profile/views/default/profile/menu/links.php,
	  mod/profile/views/default/profile/menu/linksownpage.php,
	  mod/profile/views/default/profile/metatags.php,
	  mod/profile/views/default/profile/profilelinks.php,
	  mod/profile/views/default/profile/userdetails.php,
	  mod/river/start.php,
	  mod/river/views/default/widgets/river_widget/edit.php,
	  mod/river/views/default/widgets/river_widget/view.php,
	  mod/river/views/default/widgets/river_widget_friends/edit.php,
	  mod/river/views/default/widgets/river_widget_friends/view.php,
	  mod/updateclient/languages/en.php, mod/updateclient/start.php,
	  mod/updateclient/views/default/settings/updateclient/edit.php,
	  services/api/rest.php, services/export/handler.php,
	  settings/statistics/index.php, settings/user/index.php,
	  views/default/account/forms/forgotten_password.php,
	  views/default/account/forms/useradd.php,
	  views/default/admin/main.php,
	  views/default/admin/main_opt/plugins.php,
	  views/default/admin/main_opt/site.php,
	  views/default/admin/main_opt/statistics.php,
	  views/default/admin/main_opt/user.php,
	  views/default/admin/plugins.php,
	  views/default/admin/plugins_opt/plugin.php,
	  views/default/admin/site.php, views/default/admin/statistics.php,
	  views/default/admin/statistics_opt/basic.php,
	  views/default/admin/statistics_opt/numentities.php,
	  views/default/admin/statistics_opt/online.php,
	  views/default/admin/user.php,
	  views/default/admin/user_opt/adduser.php,
	  views/default/admin/user_opt/search.php,
	  views/default/api/output.php,
	  views/default/comments/forms/edit.php,
	  views/default/export/entity.php,
	  views/default/export/metadata.php,
	  views/default/export/relationship.php,
	  views/default/graphics/icon.php, views/default/group/default.php,
	  views/default/input/button.php, views/default/input/form.php,
	  views/default/input/hidden.php, views/default/input/reset.php,
	  views/default/input/submit.php,
	  views/default/notifications/settings/usersettings.php,
	  views/default/object/default.php,
	  views/default/object/object.php, views/default/object/plugin.php,
	  views/default/output/iframe.php,
	  views/default/river/ElggRelationship/create.php,
	  views/default/river/dashboard.php,
	  views/default/site/default.php,
	  views/default/user/settings/email.php,
	  views/default/user/settings/language.php,
	  views/default/user/settings/name.php,
	  views/default/user/settings/password.php,
	  views/default/usersettings/main.php,
	  views/default/usersettings/main_opt/plugins.php,
	  views/default/usersettings/main_opt/statistics.php,
	  views/default/usersettings/main_opt/user.php,
	  views/default/usersettings/plugins.php,
	  views/default/usersettings/plugins_opt/plugin.php,
	  views/default/usersettings/statistics.php,
	  views/default/usersettings/statistics_opt/numentities.php,
	  views/default/usersettings/statistics_opt/online.php,
	  views/failsafe/pageshells/pageshell.php,
	  views/foaf/pageshells/pageshell.php, views/json/api/output.php,
	  views/json/canvas/default.php, views/json/export/entity.php,
	  views/json/export/metadata.php,
	  views/json/export/relationship.php, views/json/group/default.php,
	  views/json/messages/exceptions/exception.php,
	  views/json/object/default.php,
	  views/json/pageshells/pageshell.php,
	  views/json/search/entity_list.php, views/json/site/default.php,
	  views/json/user/default.php, views/opendd/canvas/default.php,
	  views/opendd/export/entity.php, views/opendd/export/metadata.php,
	  views/opendd/export/relationship.php,
	  views/opendd/group/default.php,
	  views/opendd/messages/exceptions/exception.php,
	  views/opendd/object/default.php,
	  views/opendd/pageshells/pageshell.php,
	  views/opendd/site/default.php, views/opendd/user/default.php,
	  views/php/api/output.php, views/php/canvas/default.php,
	  views/php/export/entity.php, views/php/export/metadata.php,
	  views/php/export/relationship.php, views/php/group/default.php,
	  views/php/messages/exceptions/exception.php,
	  views/php/object/default.php, views/php/pageshells/pageshell.php,
	  views/php/search/entity_list.php, views/php/site/default.php,
	  views/php/user/default.php, views/xml/api/output.php,
	  views/xml/messages/exceptions/exception.php,
	  views/xml/pageshells/pageshell.php, views/xml/xml-rpc/output.php:
	  Adjusted contributors file.

2008-08-08  marcus

	* mod/guidtool/views/default/forms/guidtool/export.php,
	  mod/profile/views/default/profile/icon.php,
	  views/default/canvas/layouts/widgets.php,
	  views/default/input/button.php,
	  views/default/messages/exceptions/exception.php,
	  views/failsafe/messages/exceptions/exception.php: Remaining
	  htmlentities calls converted to utf-8

2008-08-08  ben

	* INSTALL.txt: Small formatting correction to the install file.
	* CONTRIBUTORS.txt, INSTALL.txt, README.txt: Added content to stub
	  files

2008-08-08  marcus

	* actions/email/confirm.php, engine/lib/notification.php,
	  engine/lib/users.php, languages/en.php: Closes #221: Body and
	  subject now internationalised.

2008-08-08  ben

	* views/default/page_elements/title.php: The title no longer causes
	  a WSOD

2008-08-08  marcus

	* views/default/input/checkboxes.php,
	  views/default/input/hidden.php, views/default/input/radio.php,
	  views/default/input/tags.php, views/default/input/text.php,
	  views/default/input/url.php: Refs #206: Hopefully the last of it.
	  Please remember to use htmlentities($foo, null, 'UTF-8');
	  whenever using htmlentities!

2008-08-08  pete

	* views/default/css.php:

2008-08-08  marcus

	* mod/profile/views/default/profile/icon.php: Refs #206: A better
	  solution
	* mod/profile/views/default/profile/icon.php: Refs #206; Icons
	  title now displayed correctly

2008-08-08  ben

	* languages/en.php, views/default/canvas/layouts/widgets.php: Added
	  extra translation strings to the widget canvas

2008-08-08  pete

	* views/default/css.php, views/default/navigation/pagination.php:
	  pagination "..." fixed

2008-08-08  ben

	* mod/groups/addtopic.php, mod/groups/discussions.php,
	  mod/groups/edittopic.php, mod/groups/topicposts.php: Removing
	  some wsod issues

2008-08-08  marcus

	* entities/index.php, views/default/page_elements/header.php,
	  views/default/pageshells/pageshell.php: Refs #206: Character
	  encoding on both widget and main page now UTF-8

2008-08-08  ben

	* mod/groups/start.php: Group forums should work

2008-08-08  marcus

	* engine/lib/actions.php, views/default/input/form.php: Closes
	  #220: Removed action from hash. Timestamp should make this
	  unpredictable enough.
	* views/default/account/forms/forgotten_password.php,
	  views/default/account/forms/login.php,
	  views/default/input/access.php, views/default/input/button.php,
	  views/default/input/checkboxes.php,
	  views/default/input/email.php, views/default/input/file.php,
	  views/default/input/longtext.php,
	  views/default/input/password.php,
	  views/default/input/pulldown.php, views/default/input/radio.php,
	  views/default/input/reset.php, views/default/input/submit.php,
	  views/default/input/tags.php, views/default/input/text.php,
	  views/default/input/url.php: Refs #211: Two forms converted +
	  extra functionality to input views
	* engine/lib/dummy.php: Removed dummy

2008-08-08  pete

	* mod/groups/views/default/forum/topics.php,
	  mod/groups/views/default/forum/viewposts.php,
	  mod/groups/views/default/groups/css.php: continuation of cleanup
	  on groups

2008-08-08  ben

	* engine/lib/elgglib.php: Friendly titles no longer have more than
	  one hyphen in a row

2008-08-08  pete

	* mod/groups/views/default/groups/css.php,
	  mod/groups/views/default/groups/forum_latest.php: latest
	  discussions widget

2008-08-08  marcus

	* views/default/page_elements/title.php: Put minor fix back

2008-08-08  dave

	* mod/groups/languages/en.php: lang tweak on groups

2008-08-07  ben

	* engine/lib/pageowner.php, engine/lib/sessions.php: Removed
	  ElggDummy live code for now.

2008-08-07  dave

	* mod/groups/views/default/groups/css.php: groups css added

2008-08-07  ben

	* views/default/admin/statistics.php: Elgg.org -> elgg.com
	* mod/groups/languages/en.php,
	  mod/groups/views/default/groups/forum_latest.php,
	  mod/groups/views/default/groups/members.php: Group forum
	  additions
	* mod/groups/languages/en.php: Small grammar correction

2008-08-07  dave

	* mod/groups/actions/forums/deletepost.php, mod/groups/start.php,
	  mod/groups/views/default/forum/topicposts.php,
	  mod/groups/views/default/groups/forum_latest.php: more group
	  tweaks

2008-08-07  pete

	* javascript/friendsPickerv1.js: updated, cleaned-up, credited, and
	  tweaked friends picker

2008-08-07  marcus

	* engine/lib/entities.php, engine/lib/group.php,
	  engine/lib/objects.php, engine/lib/sites.php,
	  engine/lib/users.php: Centralised set and get magic functions to
	  the tlc. Added isset and unset magic methods.
	  
	  Report any problems!

2008-08-07  ben

	* mod/groups/languages/en.php: Slight change to group vocabulary.
	* mod/groups/topicposts.php,
	  mod/groups/views/default/groups/groupprofile.php: Wired up group
	  member count and fixed topic page title

2008-08-07  dave

	* mod/groups/actions/forums/addpost.php: group tweak
	* mod/groups/views/default/object/groupforumtopic.php: changed the
	  latest discussion view

2008-08-07  marcus

	* engine/lib/sessions.php: removed print_r
	* engine/lib/dummy.php, engine/lib/pageowner.php,
	  engine/lib/sessions.php, views/default/page_elements/title.php:
	  Refs #174: Introducing the ElggDummy class which returns false
	  for all methods and set variables called on it. This is what the
	  logged out $_SESSION['user'] is set to and is also what
	  page_owner_entity will return if page_owner is invalid.
	  
	  This means that calls to things like $_SESSION['user']->getGUID()
	  are now safe and will no longer cause a parsing error.
	  
	  Please report any issues.

2008-08-07  ben

	* engine/lib/annotations.php: Adjusted
	  list_entities_from_annotations to hide the gallery view by
	  default
	* mod/groups/views/default/object/groupforumtopic.php: Minor
	  language change to group topics

2008-08-07  dave

	* mod/groups/discussions.php, mod/groups/languages/en.php,
	  mod/groups/views/default/groups/forum_latest.php,
	  mod/groups/views/default/object,
	  mod/groups/views/default/object/groupforumtopic.php: more group
	  profile work

2008-08-07  ben

	* mod/groups/index.php, mod/groups/languages/en.php,
	  mod/groups/membership.php, mod/groups/start.php: Added a 'member
	  of' groups page and made it default
	* engine/lib/access.php, mod/groups/start.php,
	  mod/profile/start.php: Fixed access permissions wrt groups

2008-08-07  dave

	* mod/groups/languages/en.php, mod/groups/start.php: new tools menu
	  added - latest discussion
	* mod/groups/languages/en.php,
	  mod/groups/views/default/groups/forum_latest.php: forum latest
	  for group profile page

2008-08-07  ben

	* engine/lib/annotations.php: Removed an extra sanitise_string call
	  in update_annotations

2008-08-07  dave

	* mod/groups/actions/forums, mod/groups/actions/forums/addpost.php,
	  mod/groups/actions/forums/addtopic.php,
	  mod/groups/actions/forums/deletetopic.php,
	  mod/groups/actions/forums/edittopic.php, mod/groups/addtopic.php,
	  mod/groups/edittopic.php, mod/groups/forum.php,
	  mod/groups/languages/en.php, mod/groups/start.php,
	  mod/groups/topicposts.php, mod/groups/views/default/forms/forums,
	  mod/groups/views/default/forms/forums/addpost.php,
	  mod/groups/views/default/forms/forums/addtopic.php,
	  mod/groups/views/default/forms/forums/edittopic.php,
	  mod/groups/views/default/forum,
	  mod/groups/views/default/forum/topicposts.php,
	  mod/groups/views/default/forum/topics.php,
	  mod/groups/views/default/forum/viewposts.php,
	  mod/groups/views/default/groups/forum_latest.php,
	  mod/groups/views/default/groups/profileitems.php: groups now have
	  forums

2008-08-07  marcus

	* views/default/pageshells/pageshell.php: Refs #206: Seems to be
	  related to this issue
	  http://www.webmasterworld.com/forum21/11685.htm
	  
	  Have committed a speculative fix based on the suggested fix,
	  could you confirm this works for you?

2008-08-07  pete

	* _graphics/toolbar_arrow_ie.gif, views/default/css.php,
	  views/default/navigation/topbar_tools.php: new dropdown toolbar
	  menu that works corss platform. Widget page layout fixed for ie6
	  & 7

2008-08-07  marcus

	* engine/lib/actions.php: Refs #210: Will trigger a plugin hook
	  'action_gatekeeper:permissions:check'.
	* views/default/page_elements/title.php: Refs #174: Checking that
	  session user exists before calling methods on it
	* install.php: Install site secret

2008-08-07  ben

	* mod/logbrowser/languages/en.php, mod/logbrowser/start.php,
	  mod/logbrowser/views/default/logbrowser/adminlinks.php: Added
	  explore log option to user context menu, albeit in the wrong
	  place.
	* languages/en.php, views/default/admin/statistics.php: Direct link
	  from statistics through to elgg.org
	* languages/en.php: Adjusted statistics message
	* languages/en.php, views/default/admin/statistics_opt/basic.php,
	  views/default/admin/statistics_opt/numentities.php: Updated admin
	  statistics
	* engine/lib/system_log.php: You can now filter by ID.

2008-08-07  marcus

	* views/default/graphics/icon.php: Minor tweaks to the default icon

2008-08-07  ben

	* mod/logbrowser/views/default/object/logwrapper.php: Easy
	  drilldown into logs
	* engine/lib/system_log.php: System log functions now allow
	  searching.
	* mod/logbrowser/index.php, mod/logbrowser/languages/en.php,
	  mod/logbrowser/start.php,
	  mod/logbrowser/views/default/logbrowser,
	  mod/logbrowser/views/default/logbrowser/css.php,
	  mod/logbrowser/views/default/logbrowser/form.php,
	  mod/logbrowser/views/default/object/logwrapper.php: The log
	  browser is now searchable.

2008-08-07  marcus

	* engine/lib/actions.php, languages/en.php: Closes #218

2008-08-07  ben

	* mod/logbrowser/index.php, mod/logbrowser/start.php,
	  mod/logbrowser/views/default/logbrowser,
	  mod/logbrowser/views/default/object/logwrapper.php: Initial
	  changes to log browser

2008-08-07  marcus

	* views/default/input/form.php: Todo has been done

2008-08-06  pete

	* views/default/css.php: collections, pages nav and numerous other
	  fixes
	* views/default/css.php: breadcrumbs sorted
	* mod/groups/views/default/groups/groupprofile.php,
	  views/default/css.php: groups styles and group owner layout
	  changed

2008-08-06  dave

	* views/default/page_elements/title.php: title block tweaked

2008-08-06  pete

	* _graphics/owner_block_menu_arrow.gif, views/default/css.php:
	  owner block menu 'selected' style added

2008-08-06  dave

	* mod/groups/views/default/groups/groupprofile.php,
	  mod/groups/views/default/groups/profileitems.php: group profile
	  layout tweaked

2008-08-06  ben

	* engine/lib/entities.php: Edited container-related permissions.

2008-08-06  dave

	* mod/groups/views/default/groups/profileitems.php: group profile
	  tweak
	* mod/groups/groupprofile.php: group profile tweak
	* mod/groups/views/default/groups/groupprofile.php,
	  mod/groups/views/default/groups/members.php,
	  mod/groups/views/default/groups/profileitems.php: group profile
	  layout tweaked

2008-08-06  marcus

	* actions/import/opendd.php,
	  mod/guidtool/views/default/forms/guidtool/import.php: Example of
	  usage (Refs #210), also refs #211.
	* views/default/messages/exceptions/exception.php: Tidied up
	  exception
	* engine/lib/actions.php, languages/en.php,
	  views/default/input/button.php, views/default/input/form.php:
	  Refs #210 and #211

2008-08-06  pete

	* views/default/css.php, views/default/page_elements/footer.php:
	  footer links update, changes to gallery view

2008-08-06  marcus

	* views/default/input/button.php: Images and security fixes
	* views/default/input/button.php, views/default/input/reset.php,
	  views/default/input/submit.php: Closes #212

2008-08-06  pete

	* languages/en.php, views/default/navigation/topbar_tools.php: tool
	  menu slide effect removed, language file changed for dashboatrd
	  instructions

2008-08-06  marcus

	* views/default/input/hidden.php: Closes #209
	* views/default/input/form.php: Closes #208
	* account/forgotten_password.php: Fixes #207: Thanks for your
	  report eike!

2008-08-05  pete

	* views/default/css.php: river additions
	* views/default/css.php: toolbar fixes and register box positioning
	  fixed

2008-08-05  ben

	* engine/lib/elgglib.php, engine/lib/sessions.php: Tweaked the way
	  forwarding works.
	* engine/lib/access.php, engine/lib/group.php,
	  mod/groups/start.php: Fixed group-specific access controls, and
	  site-specific access controls

2008-08-05  pete

	* _graphics/river_icons/river_icon_bookmarks.gif,
	  _graphics/river_icons/river_icon_shares.gif,
	  _graphics/river_icons/river_icon_status.gif,
	  _graphics/toolbar_messages_icon.gif, views/default/css.php:
	  numerous fixes to messageboard, status, river icons,

2008-08-05  marcus

	* engine/lib/elgglib.php: Log though will now not store a url
	  relating to an action... it is now possible to log in again if
	  you are logged out! :D
	* engine/lib/river.php, engine/lib/system_log.php: Fixes #121 and
	  #143. Please confirm.

2008-08-05  ben

	* mod/logbrowser/index.php, mod/logbrowser/start.php: The log
	  browser is now a part of the admin panel.
	* engine/lib/widgets.php: Fixed an issue where the third widget
	  column drops widgets.
	* views/default/canvas/layouts/widgets.php: Widget layout update

2008-08-05  marcus

	* views/default/canvas/layouts/widgets.php: Fixes #204
	* actions/login.php, engine/lib/elgglib.php: Closes #196: Stores
	  last forwarded page in session, this is used by logon to forward
	  page to correct location.
	  
	  Also fixed current_page_url() which was introducing a superfluous
	  "/" before $_SERVER['REQUEST_URI']

2008-08-05  pete

	* _graphics/toolbar_messages_icon.gif, views/default/css.php,
	  views/default/page_elements/elgg_topbar.php: topbar with message
	  count and icon

2008-08-05  dave

	* mod/profile/actions/iconupload.php: largest avatar size changed
	  from 600 to 550
	* mod/profile/editicon.php: icon crop area layout tweaked

2008-08-05  ben

	* engine/lib/entities.php: Tagging issue on unsaved entities:
	  solved.

2008-08-05  marcus

	* engine/lib/entities.php: Speculative fix for metadata issue.
	* engine/lib/entities.php: Actually fixes #202
	* engine/lib/elgglib.php, engine/lib/entities.php: Fixes #202 :
	  Listen to plugin hook 'entity:icon:url', which passes parameters:
	  
	  'entity' The entity
	  'viewtype' The view (eg 'default')
	  'size' The size (eg, large, tiny etc)
	  
	  You should return a url for the object's icon if you can..
	  otherwise return nothing at all.

2008-08-05  ben

	* mod/groups/start.php: Fixed accidental group link error
	* views/default/account/forms/login.php: Removed an annoying notify
	  error

2008-08-05  marcus

	* mod/guidtool/views/default/guidtool/listing.php: Using correct
	  entity for icon.

2008-08-05  ben

	* install.php: The install script uses the one column layout

2008-08-05  dave

	* mod/groups/views/default/groups/groupprofile.php: more group
	  profile layout tweaks
	* mod/groups/views/default/groups/groupprofile.php: group profile
	  tweaked

2008-08-05  pete

	* views/default/css.php:

2008-08-05  ben

	* mod/groups/edit.php, mod/groups/index.php, mod/groups/invite.php,
	  mod/groups/languages/en.php, mod/groups/start.php,
	  mod/groups/views/default/groups/grouplinks.php,
	  mod/groups/views/default/groups/groupprofile.php,
	  mod/groups/views/default/groups/menu: Moved group links to the
	  sidebar

2008-08-05  pete

	* _graphics/powered_by_elgg_badge_drk_bckgnd.gif,
	  _graphics/powered_by_elgg_badge_light_bckgnd.gif,
	  views/default/page_elements/footer.php: powered by badge in
	  footer

2008-08-05  dave

	* mod/groups/groupprofile.php,
	  mod/groups/views/default/groups/items.php,
	  mod/groups/views/default/groups/profileitems.php: group profile
	  view tweaked

2008-08-04  ben

	* admin/index.php, admin/plugins/index.php, admin/site/index.php,
	  admin/statistics/index.php, admin/user/index.php,
	  engine/lib/admin.php, engine/lib/entities.php,
	  views/default/account/forms/useradd.php,
	  views/default/admin/user_opt/adduser.php,
	  views/default/admin/user_opt/search.php: Further changes to the
	  admin panel

2008-08-04  dave

	* mod/groups/views/default/groups/items.php: groups profile page
	  layout tweak
	* mod/groups/edit.php, mod/groups/groupprofile.php,
	  mod/groups/languages/en.php,
	  mod/groups/views/default/groups/items.php,
	  mod/groups/views/default/groups/members.php: new group profile
	  views

2008-08-04  marcus

	* mod/guidtool/views/default/guidtool/gallery.php,
	  mod/guidtool/views/default/guidtool/listing.php: Minor
	  improvement to guid tool

2008-08-04  ben

	* settings/index.php, settings/statistics/index.php,
	  settings/user/index.php,
	  views/default/notifications/settings/usersettings.php,
	  views/default/user/settings/email.php,
	  views/default/user/settings/language.php,
	  views/default/user/settings/name.php,
	  views/default/user/settings/password.php: User changes to
	  settings
	* engine/lib/users.php, engine/lib/usersettings.php,
	  languages/en.php, mod/profile/languages, mod/profile/start.php,
	  settings/index.php, settings/plugins,
	  settings/statistics/index.php, settings/user/index.php,
	  views/default/notifications/settings/usersettings.php,
	  views/default/page_elements/elgg_topbar.php,
	  views/default/user/settings/email.php,
	  views/default/user/settings/language.php,
	  views/default/user/settings/name.php,
	  views/default/user/settings/password.php,
	  views/default/usersettings/form.php,
	  views/default/usersettings/statistics.php,
	  views/default/usersettings/statistics_opt/numentities.php,
	  views/default/usersettings/statistics_opt/online.php: User
	  settings

2008-08-04  marcus

	* engine/lib/xml-rpc.php: Error message bugfix
	* mod/guidtool/index.php, mod/guidtool/languages/en.php,
	  mod/guidtool/start.php: Adapted to use new menus.
	* services/export/handler.php: Handler output made a little more
	  pretty.
	* mod/guidtool/export.php, mod/guidtool/format_picker.php,
	  mod/guidtool/import.php, mod/guidtool/index.php,
	  mod/guidtool/view.php, mod/logbrowser/index.php: Using the new
	  view

2008-08-04  ben

	* engine/lib/entities.php: Fixed the container_guid override.

2008-08-04  pete

	* views/default/css.php, views/default/navigation/topbar_tools.php,
	  views/default/page_elements/footer.php: updates to toolbar menu
	  fixes, error messages, owner block

2008-08-04  marcus

	* actions/entities, actions/entities/delete.php, languages/en.php,
	  views/default/group, views/default/group/default.php,
	  views/default/object/default.php, views/default/site/default.php:
	  Fixes #199
	* engine/lib/xml-rpc.php: XML-RPC helper functions suggested by
	  Misja

2008-08-04  dave

	* search/index.php: search layout tweaked

2008-08-04  ben

	* engine/lib/elgglib.php, engine/lib/metadata.php,
	  search/index.php, views/default/search/entity_list.php: Hidden
	  viewtype toggle on search.
	* views/default/page_elements/owner_block.php: Added
	  owner_block/extend to the owner block

2008-08-04  marcus

	* CONTRIBUTORS.txt, INSTALL.txt, LICENCE.txt, README.txt: Refs
	  #197: Added placeholders & gpl 2 licence.
	* engine/lib/sessions.php, engine/lib/users.php,
	  engine/schema/mysql.sql: Closes #193: Added salt field to
	  database and new users will be generated with salted passwords.
	  
	  Existing users remain unchanged and should still be able to log
	  in.
	  
	  Requires a schema change and the following code run against the
	  database:
	  
	  alter table elggusers_entity add column salt varchar(8) NOT NULL
	  default '' after password;

2008-08-04  ben

	* views/default/canvas/layouts/narrow_right_sidebar.php,
	  views/default/canvas/layouts/two_column.php: Removed old,
	  no-longer-necessary canvas areas.

2008-08-04  marcus

	* account, account/forgotten_password.php, account/register.php,
	  actions/systemsettings/install.php, languages/en.php,
	  views/default/account/forms/forgotten_password.php,
	  views/default/account/forms/login.php: Closes #195 & #191

2008-08-04  ben

	* views/default/navigation/pagination.php: Altered pagination so
	  that it does display if we already have an offset.

2008-08-03  dave

	* mod/profile/edit.php: profile edit layout altered
	* views/default/page_elements/title.php: tweaked the old title
	  block - we no longer need the user avatar now we have the owner
	  block.
	* mod/groups/all.php, mod/groups/groupprofile.php,
	  mod/groups/index.php, mod/groups/invite.php,
	  mod/groups/languages/en.php, mod/groups/new.php,
	  mod/groups/start.php: some work on groups to make them work with
	  the new layout
	* mod/profile/languages/en.php, mod/profile/start.php,
	  views/default/page_elements/owner_block.php: brief description
	  added to the owner block and profile
	* views/default/navigation/pagination.php: pagination now only
	  displays if there is content to paginate through

2008-08-02  pete

	* views/default/css.php: minor interface fixes

2008-08-02  ben

	* views/rss/annotation, views/rss/annotation/default.php: Default
	  annotation RSS view.

2008-08-01  pete

	* _graphics/icon_odd.gif, _graphics/icon_rss.gif,
	  _graphics/owner_block_back.jpg,
	  mod/profile/views/default/profile/userdetails.php,
	  views/default/css.php: more interface fixes and improvements.
	  Icons and background added to owner block

2008-08-01  ben

	* views/foaf/canvas, views/foaf/canvas/default.php,
	  views/foaf/friends, views/foaf/search,
	  views/foaf/search/entity_list.php, views/foaf/user,
	  views/foaf/user/default.php: Fixed FOAF view
	* friends/index.php, friends/of.php,
	  mod/profile/views/default/user, views/default/user/default.php,
	  views/rss/user/default.php: Fixed RSS and OpenDD feeds for users

2008-08-01  marcus

	* views/json/canvas, views/json/canvas/default.php,
	  views/json/group, views/json/group/default.php,
	  views/json/object, views/json/object/default.php,
	  views/json/search, views/json/search/entity_list.php,
	  views/json/site, views/json/site/default.php, views/json/user,
	  views/json/user/default.php, views/php/canvas,
	  views/php/canvas/default.php, views/php/group,
	  views/php/group/default.php, views/php/object,
	  views/php/object/default.php, views/php/search,
	  views/php/search/entity_list.php, views/php/site,
	  views/php/site/default.php, views/php/user,
	  views/php/user/default.php: PHP and JSON entity list views...
	  which should work.

2008-08-01  ben

	* engine/lib/users.php: Fixed erroneous friends link issue
	* views/default/page_elements/header.php,
	  views/default/page_elements/owner_block.php, views/opendd/search,
	  views/opendd/search/entity_list.php: Fixed OpenDD feeds
	* languages/en.php, views/default/page_elements/owner_block.php:
	  RSS and OpenDD feeds autolink in owner block
	* actions/user/spotlight.php, engine/lib/users.php,
	  views/default/page_elements/spotlight.php: Spotlight state
	  persists.

2008-08-01  pete

	* views/default/css.php: friends picker modified, minor fixes and
	  css cleanup / re-sort

2008-08-01  marcus

	* actions/user/passwordreset.php,
	  actions/user/requestnewpassword.php, engine/lib/users.php,
	  languages/en.php: Refs #191: Actions for resetting passwords, but
	  no front end as yet.
	  
	  To request a password reset access
	  http://..../actions/user/requestnewpassword/?username=username

2008-08-01  pete

	* views/default/canvas/layouts/widgets.php, views/default/css.php:
	  river updated, widget layout fixed, page block tweaked,

2008-08-01  marcus

	* mod/guidtool/views/default/guidtool/gallery.php,
	  mod/guidtool/views/default/guidtool/listing.php: GUIDTool now
	  displays some generic information about entities where available.

2008-08-01  ben

	* actions/widgets/reorder.php, engine/lib/widgets.php,
	  entities/index.php, views/default/canvas/layouts/widgets.php:
	  Widgets now work in three columns
	* engine/lib/elgglib.php: Introducing the new pagesetup event.

2008-08-01  marcus

	* languages/en.php: Message changes, refs #190
	* mod/guidtool/start.php: Guidtool only available to admins
	* engine/lib/entities.php, engine/lib/users.php: Changed so that
	  validated_email flag written as null user. Refs #190.
	  
	  Also confirms fix and closes #104.

2008-08-01  ben

	* engine/lib/entities.php, engine/lib/metadata.php: The metadata
	  permissions check now passes along (optionally) the specific
	  piece of metadata. Refs #104

2008-08-01  marcus

	* engine/lib/sessions.php: Closes #190. Note however that logins
	  will be broken until #104 has been resolved!
	* actions/import/opendd.php, engine/lib/input.php: Fixes #194
	* actions/import/opendd.php: Refs #194

2008-08-01  ben

	* engine/lib/elgglib.php, entities/index.php,
	  views/default/canvas/layouts/two_column_left_sidebar.php,
	  views/default/page_elements/owner_block.php: Introducing the
	  consistent owner block

2008-08-01  marcus

	* engine/lib/sites.php: Fixed what I presume was an error: namely
	  it was using $site instead of $guid in get_entity

2008-07-31  pete

	* views/default/friends/collection.php: delete collection action -
	  div prevented from showing

2008-07-31  ben

	* actions/friends/deletecollection.php, languages/en.php:
	  Collections now delete successfully

2008-07-31  pete

	* views/default/friends/collections.php: temporarily allow h2 click
	  to propagate through to delete button

2008-07-31  marcus

	* actions/import/opendd.php: Bugfix

2008-07-31  ben

	* friends/pickercallback.php, views/default/friends/collection.php,
	  views/default/friends/collectiontabs.php,
	  views/default/friends/tablelist.php,
	  views/default/friends/tablelistcountupdate.php: Counts now update
	  when you save a friends collection
	* engine/lib/access.php, views/default/friends/picker.php: More
	  updates for collections - save now works properly.
	* actions/friends/editcollection.php: Removing the reference to the
	  collection name for now
	* actions/friends/editcollection.php, engine/lib/access.php,
	  friends/pickercallback.php, languages/en.php,
	  views/default/friends/collection.php,
	  views/default/friends/collectiontabs.php,
	  views/default/friends/forms/collectionfields.php,
	  views/default/friends/forms/edit.php,
	  views/default/friends/picker.php: Picker saves correctly!

2008-07-31  marcus

	* views/default/output/iframe.php: Added iframe output
	* mod/guidtool/export.php, mod/guidtool/format_picker.php,
	  mod/guidtool/import.php, mod/guidtool/index.php,
	  mod/guidtool/languages/en.php, mod/guidtool/start.php,
	  mod/guidtool/view.php,
	  mod/guidtool/views/default/forms/guidtool/export.php,
	  mod/guidtool/views/default/forms/guidtool/format.php,
	  mod/guidtool/views/default/guidtool,
	  mod/guidtool/views/default/guidtool/gallery.php,
	  mod/guidtool/views/default/guidtool/listing.php,
	  mod/guidtool/views/default/guidtool/profile.php,
	  mod/guidtool/views/default/object,
	  mod/guidtool/views/default/object/guidtoolwrapper.php: Guid tool
	  for import, export and browsing.
	* views/default/graphics, views/default/graphics/icon.php: Refs
	  #151: graphics/icon view

2008-07-31  pete

	* _graphics/footer_logo.gif,
	  views/default/canvas/layouts/widgets.php, views/default/css.php,
	  views/default/navigation/pagination.php,
	  views/default/page_elements/footer.php: footer logo added, widget
	  gallery instructions changed, pagination block styles added to
	  all pagination

2008-07-31  ben

	* actions/friends/addcollection.php,
	  actions/friends/deletecollection.php,
	  actions/friends/editcollection.php, engine/lib/users.php,
	  friends/add.php, friends/collections.php, friends/edit.php,
	  languages/en.php, views/default/friends/forms,
	  views/default/friends/forms/edit.php: Friends collections are now
	  fully part of the main core

2008-07-31  marcus

	* _graphics/icons, _graphics/icons/default,
	  _graphics/icons/default/large.png,
	  _graphics/icons/default/medium.png,
	  _graphics/icons/default/small.png,
	  _graphics/icons/default/tiny.png, engine/lib/elgglib.php,
	  engine/lib/entities.php: Closes #151: Introducing getIcon($size)
	* mod/logbrowser/graphics,
	  mod/logbrowser/views/default/logbrowser/gallery.php,
	  mod/logbrowser/views/default/logbrowser/icon.php,
	  mod/logbrowser/views/default/logbrowser/listing.php: Logbrowser
	  now using getIcon for graphics
	* mod/logbrowser/index.php: Title added
	* engine/lib/elgglib.php: Introducing elgg_get_view_location()

2008-07-31  pete

	* _graphics/toolbar_arrow.png, views/default/css.php: arrow icon
	  added to dropdown menu
	* views/default/css.php, views/default/friends/picker.php: save and
	  cancel buttons added to collections

2008-07-31  ben

	* friends/pickercallback.php, javascript/friendsPickerv1.js,
	  views/default/friends/collection.php,
	  views/default/friends/collections.php,
	  views/default/friends/collectiontabs.php,
	  views/default/friends/picker.php: Hurrah! Made the friendspickers
	  work

2008-07-31  marcus

	* mod/guidtool, mod/guidtool/import.php, mod/guidtool/index.php,
	  mod/guidtool/languages, mod/guidtool/languages/en.php,
	  mod/guidtool/manifest.xml, mod/guidtool/start.php,
	  mod/guidtool/views, mod/guidtool/views/default,
	  mod/guidtool/views/default/forms,
	  mod/guidtool/views/default/forms/guidtool,
	  mod/guidtool/views/default/forms/guidtool/import.php: Added
	  guidtool and switching to desktop.

2008-07-31  ben

	* views/default/friends/collection.php,
	  views/default/friends/collectiontabs.php: Friends picker tab
	  initialisation updates

2008-07-30  pete

	* views/default/friends/picker.php,
	  views/default/friends/tablelist.php: small change to collection
	  members display - as a table
	* javascript/friendsPickerv1.js,
	  views/default/friends/collectiontabs.php: minor fixes from
	  earlier today - re-instating the a-z slider, and correctly
	  switching the picker tabs

2008-07-30  ben

	* views/default/friends/collection.php: Removing the members from
	  the collections content
	* views/default/friends/picker.php: Picker works better on ajax
	  load.
	* views/default/friends/collectiontabs.php: Added specific
	  numbering to tab classes for the picker
	* views/default/friends/picker.php: Removing js on picker load
	* views/default/friends/collection.php,
	  views/default/friends/picker.php: Collections open blank (for
	  now)
	* views/default/friends/collectiontabs.php: Committing in loads

2008-07-30  pete

	* views/default/friends/collectiontabs.php: pete's collectiontabs
	  code

2008-07-30  marcus

	* actions/import/odd.php, actions/import/opendd.php,
	  engine/lib/export.php, services/export/handler.php, views/odd,
	  views/opendd: Closes #189: ODD -> OpenDD

2008-07-30  ben

	* views/default/friends/collection.php,
	  views/default/friends/collectiontabs.php,
	  views/default/friends/picker.php: AJAX improvements to picker
	* engine/lib/elgglib.php, views/default/navigation/pagination.php:
	  Lists of comments etc no longer display "none found" if there
	  aren't any.

2008-07-30  marcus

	* actions/import/odd.php: Forward to referer
	* services/export/handler.php:
	* actions/import/odd.php: Admin gatekeeper

2008-07-30  pete

	* _graphics/elgg_toolbar_logout.gif,
	  _graphics/elgg_toolbar_logout_over.gif,
	  _graphics/icon_customise_remove.png, views/default/css.php,
	  views/default/friends/collection.php: toolbar logout icon changed
	  to work as a single image resource (for caching purposes), delete
	  icon on collections changed to work as a single image rollover

2008-07-30  marcus

	* languages/en.php, views/default/export/entity.php: Minor
	  improvements to default entity view.
	* views/default/export/metadata.php,
	  views/default/export/relationship.php: Improved views

2008-07-30  ben

	* friends/pickercallback.php, views/default/friends/picker.php,
	  views/default/friends/tablelist.php: Added friends picker
	  callback

2008-07-30  marcus

	* engine/lib/extender.php, engine/lib/relationships.php: Refs #186:
	  Get URL for relationships

2008-07-30  ben

	* views/default/friends/collection.php,
	  views/default/friends/collectiontabs.php,
	  views/default/friends/picker.php: Moved collection tabs out of
	  the main picker view

2008-07-30  marcus

	* engine/lib/extender.php: Refs #186
	* engine/lib/annotations.php, engine/lib/extender.php,
	  engine/lib/metadata.php: Introducing url handlers for extenders.
	* engine/lib/export.php: Changed export uuid, refs #186
	* htaccess_dist: Changed export rewrite rules.

2008-07-30  ben

	* views/default/friends/collection.php,
	  views/default/friends/picker.php,
	  views/default/friends/tablelist.php: Added friends collections
	  members list

2008-07-30  marcus

	* engine/lib/relationships.php: Using guid_to_uuid

2008-07-30  ben

	* views/default/friends/tablelist.php: Added the tablelist view

2008-07-30  pete

	* javascript/friendsPickerv1.js, views/default/css.php,
	  views/default/friends/collection.php,
	  views/default/friends/picker.php: the beginnings of the tabbed
	  friends picker

2008-07-30  marcus

	* engine/lib/annotations.php, engine/lib/extender.php,
	  engine/lib/metadata.php: Extender getURL() support (no overide as
	  of yet)
	* mod/opendd: Moved OpenDD out of the central repo.
	* mod/logbrowser/index.php: Logbrowser using admin gatekeeper.

2008-07-30  ben

	* engine/lib/widgets.php: Widget state cookie is now removed on
	  widget delete.

2008-07-29  pete

	* javascript/initialise_elgg.js,
	  views/default/canvas/layouts/widgets.php,
	  views/default/widgets/wrapper.php: individual widgets state now
	  saved in cookies

2008-07-29  marcus

	* htaccess_dist: Default view added to export, for completeness
	* engine/lib/system_log.php:
	* views/odd/group, views/odd/group/default.php, views/odd/site,
	  views/odd/site/default.php: OpenDD default views on entities
	* views/default/export/entity.php: Improvements to export view
	* views/default/object/default.php, views/default/site,
	  views/default/site/default.php: Added some default views.
	* mod/logbrowser/views/default/logbrowser/gallery.php: And in
	  gallery view
	* mod/logbrowser/views/default/logbrowser/listing.php: Handle
	  anonymous events.
	* actions/systemsettings/install.php, mod/logbrowser,
	  mod/logbrowser/graphics,
	  mod/logbrowser/graphics/defaultlarge.jpg,
	  mod/logbrowser/graphics/defaultmedium.jpg,
	  mod/logbrowser/graphics/defaultsmall.jpg,
	  mod/logbrowser/graphics/defaulttiny.jpg,
	  mod/logbrowser/index.php, mod/logbrowser/languages,
	  mod/logbrowser/languages/en.php, mod/logbrowser/manifest.xml,
	  mod/logbrowser/start.php, mod/logbrowser/views,
	  mod/logbrowser/views/default,
	  mod/logbrowser/views/default/logbrowser,
	  mod/logbrowser/views/default/logbrowser/gallery.php,
	  mod/logbrowser/views/default/logbrowser/icon.php,
	  mod/logbrowser/views/default/logbrowser/listing.php,
	  mod/logbrowser/views/default/object,
	  mod/logbrowser/views/default/object/logwrapper.php: Added basic
	  log browser.
	  updateclient & logbrowser are switched on by default in new
	  installs.
	* engine/lib/system_log.php: Fixed count
	* engine/lib/system_log.php: Typo
	* engine/lib/system_log.php: Added some useful helper functions.
	* engine/lib/system_log.php: Count support added

2008-07-29  pete

